Einleitung

Navigation: Einleitung >

Einleitung

 Return to chapter overview

cadviewersml

CAD Viewer 2022

CAD Markup 2022

CAD QS 2022

Willkommen zum CAD Viewer 2022, CAD Markup 2022, und CAD QS 2022 Handbuch !

CAD Viewer 2022

·Betrachten und Drucken von CAD-, PDF- und Bildformaten.

·Konvertieren und Speichern von CAD-Dateien als PDF- und Bilddatei.

CAD Markup 2022

·Alle CAD Viewer Funktionen, plus:

·Hinzufügen von Texten, Linien, Pfeilen, Bemaßungen und Bildern als Markup-Elemente.

CAD QS 2022

·Alle CAD Markup Funktionen plus:

·Positionierung von Prüfstempeln mit automatischer Nummerierung.

·Integrierte Toleranztabellen für Freimaße und Passungen.

·Erfassung von Maßen und Toleranzen aus PDF-, Raster-, DWG- und DXF-Zeichnungen.

·Export frei konfigurierbarer Prüfmerkmale zur Übernahme in den Prüfbericht.

Neu in 2022

·Unterstützung des AutoCAD® 2023 Zeichnungsformates

·Full Undo/Redo markup edits

·4K graphics support (tool button sizes may be set to 100%, 150%, 200%)

·Improved Excel template configuration

·Option to include/exclude Ø, C, R, M in Dimension field

·Option to capture Ø, C, R, M to separate 'Characteristic' field.

·Feature Control Frame (FCF) capture from all drawing types

·FCF configuration to allow elements to be split to separate fields

·Improved OCR (Optical Character Recognition) for attributes capture

·Improved GD&T callout capture using OCR

·GD&T callout capture for DXF/DWG drawings

·Group capture and QS symbols placement - automatically place QS symbols for a section of the drawing or for the whole drawing in a single operation

Neu in 2019

·Unterstützung des AutoCAD® 2019 Zeichnungsformates

·PDF Text search

·PDF dimension text capture

·QS option to draw edge zone labels and grid directly to the drawing

·Option to configure QS lower tolerance as a +ve value

·QS Attributes defintion Export / Import

·Expanded WM_COPYDATA inter-process communication commands

·Updated separate installers

·Right click Markup text options 'Copy' and 'Delete'

·Centralised setting of QS attributes configuration (via Edit > Preferences > Admin Settings)

·Markups supported on DWF drawings

·Save multiple drawings to separate PDFs supported for all PDF drivers

Neu in 2018

·Unterstützung des AutoCAD® 2018 Zeichnungsformates

·QS Zeichnungszonen / Zonenbeschriftungen

·Obround for QS cirlce balloon - gives nice display of Multiples / Grouping

·Architect format dimensions support for Dimension capture

·Imperial units dimensions support for Dimension capture

·WM_COPYDATA method for faster external command calls to the software

·/savem=n command line option

·Option to disable General Tolerances

·Column +/- Tolerances output: For equal +- values just output the single +value, for non equal values output +val / -val

·Global Size / Color change

·Rotate text

·Dimension style option to place dimension text above the dimension line

·Markups Audit command

·Expanded Text Stamp design

·New setup installer

·QA attributes configuration Import / Export

New in 2017

·QS Pen Layers

·Circle option for QS symbol

·Multiple Stamp definitions

·Enable Text search in Markups

·New command line switches:

·/WPOS=Left,Top,Width,Height Set viewer window position

·/NOMOVE Prevent user from moving the viewer window

·/NOQUIT Prevent user from closing the viewer window

·/QPON=={pen_numbers} - turn QS Pen layer(s) on

·/QPOFF=={pen_numbers} - turn QS Pen layer(s) off

·/PTRAY=n Paper Tray selection

·/PA=n control which pages are printed

·/PMARGIN=size print margin switch

·/PP_CUST=custom_paper_size custom paper size switch

·Extra Command line paper sizes, activated by /pp switch. ARCHA,ARCHB,ARCHC,ARCHD,ARCHE,ARCHE1

·CAD QS LT Multiplier option

·Double click edit of markup text / QS attributes

·Improved handling of QS settings for drawings with multiple Layouts

·User defined General Tolerance tables.

·Ability to hide existing inbuilt tables if the user does not want to see them

·Alternate user configuration for networks using %LOCALAPPDATA% instead of %APPDATA% (set in Admin dialog)


Standard Setup

Navigation: Software-Setup >

Standard Setup

 Return to chapter overview

Standard Setup

The standard setup is for use by the majority of end-users.

1. Download the setup file:

Download from www.guthcad.com

or if the software was delivered on CD, locate the file setup.exe on the CD.

2. Run the setup file.

3. The setup process presents a series of dialogs:

- confirm acceptance of the End User License Agreement

- select the installation destination folder

- select File Type Associations. Files Type association tell Windows to use the application as the default application for opening the selected file types.

- select whether everyone on the current computer can use the software, of just the current user.

- select whether to place a shortcut to the software on the Windows Desktop

The setup will then install the software onto the your computer.

Online Registration

Start the software and click the option 'Activate ..', followed by 'Activate Online'. Enter the 'License ID' and 'Password' that were supplied at purchase.


Netzwerkinstallation

Navigation: Software-Setup >

Netzwerkinstallation

 Return to chapter overview

Netzwerkinstallation

Hinweis: Erfordert eine erworbene „Netzwerk“-Lizenz

Überblick

Die Netzwerklizenz erlaubt die Installation der Software auf einer beliebigen Anzahl von Computern in einem lokalen Netzwerk mit der in der erworbenen Lizenz angegebenen maximalen Anzahl gleichzeitiger Benutzer..

Einrichtungsschritte

(1) Entscheiden Sie sich für einen „Freigabe“-Ordner, auf den alle Benutzer zugreifen können. Der Ordner muss existieren und für alle Benutzer lesbar/schreibbar sein. Normalerweise befindet sich der Ordner auf einem Server, kann sich aber auch auf jedem Computer befinden, auf den alle Clients zugreifen können. Im Freigabeordner werden Lizenzinformationen gespeichert.

(2) Installieren Sie die Software auf einem Client-Computer, indem Sie die Setup-Datei ausführen.

(3) Starten Sie die installierte Software, indem Sie auf das Desktop-Symbol klicken oder sie im Windows-Startmenü suchen.

Geben Sie den Speicherort des Freigabeordners ein (wie in Schritt 1 festgelegt).)

Beachten Sie, dass der Speicherort des Freigabeordners auf allen Client-Computern genau gleich eingegeben werden muss. Zum Beispiel die 2 Pfadnamen unten

\\Servername\Freigabe

\\servername.domain.com\freigabe

können auf denselben Freigabeordner verweisen, würden aber jeweils unterschiedliche Kennungswerte generieren. Es ist erforderlich, dass auf allen Clientcomputern exakt derselbe Pfad verwendet wird, z. B. \\Servername\Freigabe.

(4) Nachdem der Freigabeordner ausgewählt wurde, fordert die Software zur Eingabe der Lizenzdetails auf. Für diesen Schritt muss der Computer über einen Internetzugang verfügen. Geben Sie die beim Kauf bereitgestellte „Lizenz-ID“ und das „Passwort“ ein.

Nach erfolgreicher Aktivierung wird eine Lizenzdatei generiert und im Freigabeordner gespeichert.

(5) Installieren Sie die Software auf allen anderen Clients, die die Software verwenden müssen, indem Sie nur die Schritte (2) und (3) wiederholen.

Einrichtungsschritte

Das Dialogfeld „Online aktivieren“ in Schritt 4 sollte nur einmal vorkommen. Nach erfolgreicher Aktivierung wird die generierte Lizenzdatei im Freigabeordner gespeichert. Wenn bei nachfolgenden Installationen das Dialogfeld „Online aktivieren“ angezeigt wird, weist dies darauf hin, dass die Software die gespeicherte Lizenzdatei nicht gefunden hat. Die wahrscheinlichste Ursache ist, dass ein anderer Freigabepfad eingegeben wurde. Gehen Sie zurück und geben Sie den richtigen Freigabepfad erneut ein. Stellen Sie sicher, dass Sie für alle Clients genau denselben Pfad eingeben.

Software

Setup file name

CAD Viewer 2022 Network License

CAD Markup 2022 Network License

CAD QS 2022 Network License

cvsetup2022de_nw.exe

cmsetup2022de_nw.exe

qasetup2022de_nw.exe


Erweiterte Installationsmöglichkeiten

Navigation: Software-Setup >

Erweiterte Installationsmöglichkeiten

 Return to chapter overview

(Softwareadministratoren/ Netzwerkadministratoren / Programmierer)

Erweiterte Installationsmöglichkeiten

Einige besondere Installationsmöglichkeiten (z.B. Deaktivierung des Druckbefehls) sind nur durch entsprechende Eingabe über die Befehlszeile möglich.

Der komplette Befehlssatz der für die Installation über die Befehlszeile :

/0

Don't add a desktop shortcut icon.

/2

Add an entry to the Programs menu that allows a second instance of the software to be started.

Explanation:

Normally the software does not allow a 2nd instance of itself to be started, instead the already opened instance will simply come to the fore. If it is desired to give the user the option to open a second instance then use this switch. The user may then open a 2nd instance of the software via an entry in Programs labeled ' ... (2)'.

/3

Add an entry to the Programs menu that allows a second instance of the software to be started (as per switch /2) PLUS add a desktop icon for the second instance. (Do not use both /2 and /3 together, use one or the other.)

/ASSOC_DWG=n

/ASSOC_DXF=n

/ASSOC_PLT=n

/ASSOC_TIF=n

Control file type associations.

Where n=0,1

0 = off

1 = on

The default operation is to set file associations to the file types:

DWG,DXF,PLT and TIF

siehe auch: /NOA

/BLACK (Voreinstellung)

Installiert die Software mit schwarz als Bildschirmhintergrund.

/WHITE

Installiert die Software mit weißem Bildschirmhintergrund.

/INST={Installation_path}

Gibt das Installationsverzeichnis an. Der Pfad muss in doppelten Anführungszeichen gesetzt werden.

z.B. : /INST="C:\viewer2022"

/SHARE={share_folder_path}

Set the share folder pathname. NOTE, not currently implemented (coming in update mid August 2022)

/LOCALAPPDATA={0,1}

Set the storage location for user files.

The software's default storage location is the Windows APPDATA folder.

If a previous version of the software was already installed the storage location will be set to whatever that version was set to. Normally this will be the APPDATA folder, unless it was reconfigured to LOCALAPPDATA.

Use the /LOCALAPPDATA switch to force the storage location to be either of APPDATA or LOCALAPPDATA. Where:

/LOCALAPPDATA=0 Sets the user storage to the Windows APPDATA folder

/LOCALAPPDATA=1 Sets the user storage to the Windows LOCALAPPDATA folder

/NOA

Während der Installation werden keine Dateiverknüpfungen gesetzt.

/NOMENUS

Installiert die Software ohne Pull-Down-Menüs (Der Benutzer kann diese jedoch jederzeit über 'Voreinstellungen' aktivieren.

/NOPRINT

Es wird keine Druckerunterstützung installiert.

/NOPDFX

Do not install the PDF-XChange printer driver.

/DEFPDF={pdf_driver_name}

Specify the default PDF driver to be used by the software. The PDF driver name must match the exact name of the driver as seen in Windows. The name must also be enclosed within double quotations (see example below.)

Example: Specify 'Adobe PDF' to be used by the software to create PDF documents.

/DEFPDF="Adobe PDF"

/PDFX_REMOVE

Remove an installation of PDF-XChange that was installed with a previous installation of the software. (The setup program looks for the uninstall program called 'unins000.exe' located in the sub-folder 'PDF-XChange' of the previous installation folder, and if found, runs it.)

/NOPREFS

Der Benutzer kann keine (Vor)einstellungen ändern.

/S

Silent- Installation.

Der Installationsablauf ist nicht sichtbar und wird ohne Rückfrage(n) durchgeführt. Die Silent Installation wird zusammen mit der Angabe des Installationsverzeichnisses (über den Schalter /INST durchgeführt.

Wird dieser nicht gesetzt wird die Software ins Verzeichnis c:\program files (x86)\cadviewer2022 installiert. War bereits eine (Vorgänger)Version des CAD Viewers auf dem Rechner wird diese überschrieben.

/NOSAVE

Deaktivieren Sie Datei speichern und in die Zwischenablage kopieren.

siehe auch:

MSI Installation


Moving the software to a different computer

Navigation: Software-Setup >

Moving the software to a different computer

 Return to chapter overview

Moving the software to a different computer

Moving the registered software to a different computer requires deactivating the software license on the current computer prior to re-installing and re-activation of the software on a different computer.

Standard License

Go to the software's Help > About dialog and click the 'Deactivate License' button.

Network License

To move the software to a different server, or network share location:

(1) Run the software's executable with the command line parameter /UL=1

(2) Go to the software's Help > About dialog and click the 'Deactivate License' button.

(Note: For the network license the 'Deactivate' button may be hidden to avoid the possibility of a user on the network inadvertently deactivating the license. The /UL=1 parameter makes the button visible.)

Important Note

Deactivation of the license on one computer and reactivation of the license on a different computer is not meant as a method to bypass the number of purchased licenses. Hence there is a built in limit to the number of times this operation may be performed. Once the limit is reached (usually 3 times) the message 'No activations left' will be displayed.


Info

Navigation: Befehlsreferenz >

Info

Return to chapter overview

About2 Hilfe > Über

Info über dieses Programm

Zeigt Informationen wie z.B. den Versionsstand des installierten software.

Außerdem werden Ihre Lizenzdetails angezeigt: Lizenznehmer, Seriennummer und Lizenztyp (Einzellizenz oder z.B. 10 Benutzer-Lizenz).

Läuft die Software noch im Demomodus (30 Tage), erscheint ein Schalter um den Registrierungsdialog zu starten und ein zweiter mit Information wie Sie die Vollversion des software bestellen können.


In die Zwischenablage kopieren

Navigation: Befehlsreferenz >

In die Zwischenablage kopieren

 Return to chapter overview

CLIPBD2 Bearbeiten > In die Zwischenablage kopieren

Kopieren eines Bildschirmbereichs in die Windows Zwischenablage.

Dazu wird durch Klicken mit dem Cursor ein rechteckiger Bereich der Zeichnung ausgewählt. Dieser Bereich wird als Bitmap in die Zwischenablage von Windows kopiert. Dieses Bild kann in andere Programme wie z.B. Netscape, OpenOffice, MS Word, Paintshop Pro, PhotoShop usw. eingefügt werden.

Abkürzungstasten (Shortcut) : <Ctrl+C>

siehe auch:


Email PDF

Navigation: Befehlsreferenz >

Email PDF

 Return to chapter overview

pdfeml File > Email PDF

Save a Drawing file as a PDF document, and attach it to a new email ready to send.

This command is virtually the same as 'Save As PDF'. The only difference is that the saved PDF is automatically attached to a new email.

The software opens the default email client when attaching the newly created PDF file.

Defaults values for the Email fields 'From', 'To', 'CC', 'Subject', and 'Content' can be set in PDF-XChange --> Properties --> e-Mail -->

e-Mail Properties.

siehe auch:

Save as PDF


Beenden

Navigation: Befehlsreferenz >

Beenden

 Return to chapter overview

Exit2 Datei > Beenden

Beendet den Viewer.


Datei Öffnen

Navigation: Befehlsreferenz >

Datei Öffnen

 Return to chapter overview

Open2 Datei > Öffnen

Öffnet eine Zeichnung mit Hilfe des gewöhnlichen Windows Dialogs.

Dateien können von der lokalen Festplatte, Diskette, CD oder einem lokalen Netzlaufwerk geöffnet werden.

Dateien auf die über das Internet zugegriffen wird, werden automatisch von Ihrem Web Browser geladen (so lange der software für den entsprechenden Filetyp konfiguriert ist)

Tipp: Sie können auch mehrere Dateien gleichzeitig zum Öffnen auswählen.

Sie können mehrere Dateien auf einmal laden, indem Sie diese markieren und dann auf 'Öffnen' klicken.

So können Sie einen ganzen Dateibereich auswählen:

Klicken Sie auf die erste Datei, drücken Sie die 'Shift'-Taste und klicken Sie dann auf die letzte zu Öffnende Datei.

Selektieren und deselektieren von einzelnen Dateien:

Halten Sie die 'Control' (Ctrl) Taste gedrückt während Sie auf die entsprechende Datei klicken.

Der CAD software unterstützt die folgenden Dateiformate:

Vektor Formate : | DXF, DXB, DWF, DWG, DGN, PDF, PLT, (HPGL / HP-GL/2 inkl. GL2, HP2, HPG, usw.), PDF, XYZ, CSV, ESRI Shapefile (SHP) (Alle DXF / DWG Versionen bis AutoCAD® 2022)
Raster Image Formate: | BMP, CAL, CMP, CUR, ECW, GIF,GP4,ICO,JPG(JPEG),PCX, PNG,TGA,TIF(TIFF), LZW TIFF

Abkürzungstasten (Shortcut) <Ctrl+O>


Datei Repariaren / Wiederherstellen

Navigation: Befehlsreferenz >

Datei Repariaren / Wiederherstellen

 Return to chapter overview

audit2 Datei > Repariaren / Wiederherstellen

Read a damaged DXF or DWG drawing file, and give an 'Audit' report.

Notes:

·The software automatically invokes a file recovery (audit and repair) process if it detects an error during the read process. Use this command to formally perform an audit of the drawing and give a report of any errors that are found, and that are capable of being repaired.

·The source drawing on disk is not repaired by this command. To permanently repair damaged DXF and DWG drawing files use GuthCAD's dwgConvert software.

·If no errors are found during the audit process the drawing will simply load as per normal, and no 'Audit' report will be displayed.


Speichern unter BMP, CAL, GIF, JPG, PNG, TIF

Navigation: Befehlsreferenz >

Speichern unter BMP, CAL, GIF, JPG, PNG, TIF

 Return to chapter overview

save2 Datei > Speichern unter > BMP, CAL, GIF, JPG, PNG, TIFF

Speichert eine Zeichnungsdatei als Pixelbild. Der software erlaubt das Speichern im BMP-, CAL-, GIF-, JPG-, PNG- und TIFF-Format.

Gespeichert wird der aktuell im software- Fenster sichtbare Bereich.

Abkürzungstasten (Shortcut) : <Ctrl+Shift+S>

siehe auch:

Clipbdu In die Zwischenablage kopieren

Speichern als PDF


Speichern unter PDF

Speichern als PDF

Navigation: Befehlsreferenz >

Speichern als PDF

 Return to chapter overview

svpdfbig Datei > Speichern unter PDF

Speichern einer Zeichnung als PDF Dokument.

Um PDF- Dokumente zu erzeugen benutzt dieser Befehl den „PDF-XChange" genannten PDF- Treiber. Seine Benutzung ist im Prinzip identisch mit dem Drucken eines Dokumentes auf einen Drucker. Schauen Sie hierzu in der Hilfe unter „Drucken" nach.

Zusätzlich hat der PDF-XChange Treiber etliche nützliche Optionen, auf welche über den Button „Einstellungen" zugegriffen werden kann :

– Konfiguration eines Wasserzeichens (unabhängig vom die software- eigenen Wasserzeichen)

– Einstellung der Auflösung in dpi, wobei ein höherer dpi- Wert eine bessere Ausgabequalität, aber auch eine größeren PDF- Datei, ergibt.

– Voreinstellung über die automatischen Dateinamensvergabe für das PDF- Dokument

– Aufruf des PDF- Viewers um das neu erzeugte PDF- Dokument anzuzeigen.

Alle diese Einstellungen werden als Voreinstellungen hinterlegt, wenn sie diese im Betriebssystem unter „Einstellungen – Drucker" durchführen.

Speichern der Zeichnung als PDF-Dokument - (zum Archivieren oder Versenden per Email)

Im Menü “Eigenschaften...“ kann u.a. das Format, die Orientierung sowie die Auflösung (Resolution) festgelegt werden.

Danach kann in der Box “Druckeinstellung“ ausgewählt werden, was und wie gedruckt wird

PDF-XChange User Manual

Further detailed help on using the PDF-XChange functions is available from the PDF-XChange settings dialog. I.e. From the 'Save as PDF' print driver dialog, select 'Properties', and then either hit the <F1> function key, or click the 'Help' button from the 'About' tab, to invoke the PDF-XChange user help.

PDF-XChange Initial DPI setting

The initial DPI (Dots per Inch) setting used within the PDF-XChange driver is read from the CADVIEWER.INI configuration file:

[PDF-XChange]

DPI=2400

A high DPI setting is recommended for CAD drawings. A lower DPI value may be selected within the PDF-XChange driver's Properties. To permanently set an initial lower DPI value, change the DPI entry in the CADVIEWER.INI file.

siehe auch:

Drucken

Datei Speichern (BMP,CAL,JPG,TIF)


Kopie speichern unter

Navigation: Befehlsreferenz >

Kopie speichern unter

 Return to chapter overview

svcopybig Datei > Kopie speichern unter

Save a copy of the current drawing file to a new location.

The copy is an straight copy of the original drawing without modifications.


Datei Schließen / Datei Alles Schließen

Navigation: Befehlsreferenz >

Datei Schließen / Datei Alles Schließen

 Return to chapter overview

CLOSE2 Datei > Schließen

Schließt die aktuell angezeigte Zeichnung

Abkürzungstasten (Shortcut) : <Ctrl+W>

CLOSE2 Datei > Alles Schließen

Schließen Sie alle Zeichnungen

Abkürzungstasten (Shortcut) : <Ctrl+Shift+W>


Text suchen

Navigation: Befehlsreferenz >

Text suchen

 Return to chapter overview

find2 Bearbeiten > Text suchen

Sucht nach Text innerhalb der aktuellen Zeichnung.

Im obigen Beispiel wird das Wort 'HWY' innerhalb der Beispielzeichnung 'Highways.dxf' gesucht. Der Begriff wird 21 mal gefunden. Wenn Sie auf den 'Next' Button klicken werden alle gefundenen Texte nacheinander angezeigt. Ausserdem wird die Stelle durch eine Ellipse markiert. Ist die 'Auto-Zoom' - Option aktiviert, so wird zusätzlich jedes Mal auf die entsprechende gefundene Textstelle gezoomt. Eine Schaltleiste im unteren Bereich der Dialogbox erlaubt ein Zurück- und Vorblättern zu den gefundenen Textstellen.

Vor dem Start der Suche zeigt der 'Nächsten'– Schalter (wie im obigen Bild) den Text 'Suchen'.

Nach Beendigung der Suche ändert sich der Text in 'Nächsten'.

Wenn Sie einen neuen Suchtext eingeben erscheint wieder der Schaltertext 'Suchen'

Suchmöglichkeiten (Optionen) :

Nur ganzes Wort

Suchbeispiel : 'way'.

Ist diese Option ausgeschaltet (kein Häkchen), wird das Wort 'Highway' als Treffer gewertet.

Ist diese Option eingeschaltet (Häkchen gesetzt), wird 'Highway' nicht als Fundstelle gewertet.

Groß-/Kleinschreibung

Als Beispiel die Suche nach 'highway'

Ist diese Option ausgeschaltet (kein Häkchen), wird das Wort 'highway' als Treffer gewertet.

Ist diese Option eingeschaltet (Häkchen gesetzt), wird 'highway' nicht als Fundstelle gewertet.

Nur in Ansicht suchen

Ist diese Option eingeschaltet (Häkchen gesetzt), wird die Suche auf den aktuell sichtbaren Bildschirminhalt beschränkt.

Auto-Zoom

Ist diese Option eingeschaltet (Häkchen gesetzt), wird die gefundene Textstelle vergrößert dargestellt.

Abkürzungstasten (Shortcut) : <Ctrl+F>


Zurück und Vorwärts

Navigation: Befehlsreferenz >

Zurück und Vorwärts

 Return to chapter overview

Arrr2 Datei > Vorwärts

Arrl2 Datei > Zurück

Der Viewer erlaubt Ihnen mehrere Dateien auf einmal zu laden. Mit dem Vorwärts- und Zurück Schalter können Sie sehr einfach durch die geöffneten Zeichnungen blättern.

Der Name der aktuell angezeigten Zeichnung wird am oberen Bildschirmrand des Viewers in eckigen Klammern angezeigt.

Wenn Sie mit dem Cursor über den Vorwärts- oder Zurück Schalter 'fahren', wir der Name der nächsten bzw. vorherigen Zeichnung unten links am Bildschirmrand in eckigen Klammern angezeigt.

Wenn es keine weiteren Zeichnungen gibt wird stattdessen [Ende der Liste] angezeigt.

Abkürzungstasten (Shortcut) :

Zurück: Ctrl + -> (Ctrl + rechte Pfeiltaste)

Vorwärts: Ctrl + <- (Ctrl + linke Pfeiltaste)

siehe auch:

Schalter Papier- / Modellbereich


Gehe zur

Navigation: Befehlsreferenz >

Gehe zur

 Return to chapter overview

modecont Ansitch > Gehe zur

The 'View > Go to Page' commands are used to navigate the pages of a document or drawing with more than one page. Naviagation may be performed via the the menu or via the Page Controls at the bottom right of the drawing display window.

Ansitch > Gehe zur > ersten Seite

Go to the first page of the document.

Shortcut: <Home>

Ansitch > Gehe zur > vorherigen Seite

Go to the previous page in the document.

Shortcut: <Left Arrow key>

Ansitch > Gehe zur > nächsten Seite

Go to the next page in the document.

Shortcut: <Right Arrow key>

Ansitch > Gehe zur > letzten Seite

Go to the last page of the document.

Shortcut: <End>

Ansitch > Gehe zur > Seite Nr.

Go the specified numbered page of the document.

Shortcut: <Ctrl+Shift+N>


Hilfe

Navigation: Befehlsreferenz >

Hilfe

 Return to chapter overview

Help2 Hilfe > Online-Hilfe

Dieser Schalter startet die Online-Hilfe

Abkürzungstasten (Shortcut) : <F1>


Schnell oder geglättet (smooth)

Navigation: Befehlsreferenz > Bild Einstellungen >

Schnell oder geglättet (smooth)

 Return to chapter overview

Der Umschalter Schnellzeichnen / Helligkeit (div. Optionen) funktioniert nur bei schwarzweiß- Pixelbilden.

Schnellzeichnen | Helligkeit (Normal)
FAST | SMOOTH

Beispiel eines Bildes of image clarity improvement as a result of smoothing:

Bild > Schnellzeichnen (Wechsel)

Keine Pixelglättung. Einstellung für schnellsten Bildaufbau. Für das Anzeigen großer schwarzweiß Pixeldateien am Besten geeignet.

Abkürzungstasten (Shortcut) : <F4>

Bild > Helligkeit (Aufhellen)

Glättet das schwarzweiß Bild. Einstellung 'Aufhellen'

Bild > Helligkeit (Normal)

Glättet das schwarzweiß Bild. Einstellung 'Normal'

Bild > Helligkeit (Dunkel)

Glättet das schwarzweiß Bild. Einstellung 'Dunkel'


Invertieren

Invertieren Farben

Navigation: Befehlsreferenz > Bild Einstellungen >

Invertieren Farben

Return to chapter overview

INVERT2 Bild > Invertieren

Invertiert die Farben eines Pixelbildes, sodass das photographische Negativ des Bildes angezeigt wird.

Beispiel 1: Farbbild

ROSE | ROSENEG
Beispiel 2: schwarzweiß Bild | NEGATIVE

Anmerkung: Dieser Befehl funktioniert nur bei Pixelbilden – nicht bei Vektordateien wie DXF, DWG, HPGL.

Abkürzungstasten (Shortcut) : keine


Abfrage

Navigation: Befehlsreferenz > Abfrage >

Abfrage

 Return to chapter overview

The Inquiry Commands allow the user to inquire on information contained in the drawing, such as:

- distance

- area

- coordinate position

- entity type

- entity properties such as Layer, Pen, coordinate location, etc

- non-graphic data attached to particular entities

- general information about the drawing

Hints for Using the Inquiry Commands

(1) Model Space versus Paper Space Layouts

AutoCAD drawings commonly contain both the 'model' (the drawing proper) called in AutoCAD terminology the Model Space, and also 1 or more presentation Layouts, which are compositions of the drawing meant for final printing or presentation.

It is important that inquiries on properties such as distance, area, and coordinates, are done on the actual model (drawing proper) rather than on entities in the Paper Space Layouts. In the Model Space, dimensions are the actual dimensions of the objects in the drawing, whereas measurements taken in the Paper Space Layout will simply be the measurements of objects as they appear on the final printout. A simple way to think of it is that measuring the actual height of a person is not the same as measuring a photograph of the person!

Select the Model Space via Settings > Select Layout

(2) Making Entities Accessible

Sometimes entities of interest may be enclosed within an AutoCAD Block. Attempts to inquire on such entities will only display information about the containing Block. To get to the contained entities use Settings > Explode Blocks to either explode a single Block or to perform a global explode of all of the Blocks in the drawing.


Abfrage Punkt

Navigation: Befehlsreferenz > Abfrage >

Abfrage Punkt

 Return to chapter overview

Inqpnt2 Abfrage > Punkt

Ermittelt die Koordinaten eines Punktes.

Spezifizieren Sie einen Punkt durch Klicken mit der Maus. Befindet sich an dieser Stelle mehr als ein Punkt, so blinkt das angeklickte Element auf. Drücken Sie die linke Maustaste um das Element zu bestätigen, oder nochmals die mittlere Maustaste um zum nächsten Element zu springen.

Benutzen sie den ‚Schalter Anzeige Punkte' um die abzufragenden Punkte am Bildschirm sichtbar zu machen.

Abkürzungstasten (Shortcut) <Alt+P>

siehe auch:

Point Schalter Anzeige von Punkten

Ptp Abfrage Abstand Punkt zu Punkt

Inqent Koordinatenabfrage

Inqatt Abfrage Attribute


Abfrage Abstand Punkt zu Punkt

Navigation: Befehlsreferenz > Abfrage >

Abfrage Abstand Punkt zu Punkt

 Return to chapter overview

Ptp2 Abfrage > Punkt zu Punkt

Ermittelt den Abstand zwischen zwei Punkten. Es können Punkte gewählt werden, die sich bereits in der Zeichnung befinden (z.B. der Endpunkt einer Linie) oder sie klicken auf die gewünschte Position auf dem Bildschirm.

Bereits vorhandene geometrische Punkte werden durch Klicken mit der mittleren Maustaste lokalisiert. Befindet sich an dieser Stelle mehr als ein Punkt, so blinkt das angeklickte Element auf. Drücken Sie die linke Maustaste um das Element zu bestätigen, oder nochmals die mittlere Maustaste um zum nächsten Element zu springen.

Hinweis: Benutzen sie den entsprechenden Schalter in der Statuszeile rechts unten im Zeichnen Schaufenster um geometrische Punkte sichtbar zu machen

Dieser Befehl kann auch über das Flyout-Menü 'Info' aufgerufen werden.

Abkürzungstasten (Shortcut) <Alt+X>

siehe auch:


Abfrage Koordinatenabfrage (detailliert)

Koordinatenabfrage (detailliert)

Navigation: Befehlsreferenz > Abfrage >

Koordinatenabfrage (detailliert)

 Return to chapter overview

Abfrage > Koordinatenabfrage (speziell)

Objektabfrage für bestimmte Objekttypen

(Nur über das Pull-down-Menü oder die entsprechenden Abkürzungstasten)

Die folgenden Befehle erlauben eine objektspezifische Abfrage die wirkungsvoller als die allgemeine Abfrage von Punkten oder Abständen sein kann.

<Alt+B>

<Alt+C>

<Alt+L>

<Alt+P>

<Alt+R>

<Alt+S>

<Alt+T>

<Alt+W>

<Ctrl+E>

Abfrage > Block

Abfrage > Kreis

Abfrage > Linie

Abfrage > Punkt

Abfrage > Bild

Abfrage > Oberfläche

Abfrage > Text

Abfrage > Kurve

Abfrage > Zähler

Abrage eines Blockes

Abfrage eines Kreises oder Bogens

Abfrage einer Linie

Abfrage eines Punktes

Abfrage eines Bildes

Abfrage einer Oberfläche

Abfrage eines Textes

Abfrage einer Polylinie/Kurve

Gesamtanzahl der Objekte in der akt. Zeichnung

siehe auch:


Abfrage Koordinatenabfrage

Koordinatenabfrage

Navigation: Befehlsreferenz > Abfrage >

Koordinatenabfrage

 Return to chapter overview

Inqent2 Abfrage > Koordinatenabfrage

Abfrage von geometrischen Elementen in Zeichnungen (DWG/DXF)

Klicken Sie auf das abzufragende Zeichnungselement. Das gewählte Element blinkt. Wenn zwei oder mehr Elemente an dieser Stelle übereinander liegen, können Sie durch klicken der mittleren Maustaste auf das nächste Element 'springen'. Bestätigen Sie dann das gewünschte Element durch klicken der linken Maustaste.

Dieser Befehl kann auch über das 'i' - FlyOut- Menü aufgerufen werden.

Abkürzungstasten (Shortcut) <Alt+I>

siehe auch:

Abfrage Koordinaten (detailliert)


Abfrage Attribute

Navigation: Befehlsreferenz > Abfrage >

Abfrage Attribute

 Return to chapter overview

Inqatt2 Abfrage > Attribute

Durch Anklicken des abzufragenden Elementes werden die daran angehängten Attribute angezeigt.

Im Allgemeinen sind in DXF/DWG-Dateien die Attribute an Blöcken angehängt. Trotzdem kann der Viewer auch so genannte 'Extended Attributes' anzeigen. Diese Attribute können an jedes beliebige Zeichnungselement angehängt sein.

Sind an dem angeklickten Element keine Attribute angehängt erscheint folgende Meldung:

'Keine Attribute vorhanden'

Beispiel einer Attributabfrage: An dem Element sind zwei Attribute angehängt.

Abkürzungstasten (Shortcut) <Alt+A>

siehe auch:


Inquire Drawing Info

Navigation: Befehlsreferenz > Abfrage >

Inquire Drawing Info

 Return to chapter overview

Inquire > Drawing Info

Give general information about the drawing.

- Displays the total entity counts for the drawing

- Displays the AutoCAD drawing format type and version.

Shortcut: <Ctrl+E>

See Also:

Specific Entity Inquiries


Betriebsartschalter (Modus Befehle Schalter)

Navigation: Befehlsreferenz > Betriebsartschalter (Modus Befehle) >

Betriebsartschalter (Modus Befehle Schalter)

 Return to chapter overview

Die Betriebsartschalter steuern die Anzeige(art) der Zeichnung. Sie befinden sich in der Statuszeile rechts unten im Zeichnen Schaufenster.

Bei gedrücktem Schalter ist der entsprechende Modus eingeschaltet (On).


TrueType Schriftarten Schalter

Navigation: Befehlsreferenz > Betriebsartschalter (Modus Befehle) >

TrueType Schriftarten Schalter

 Return to chapter overview

Ttype2 Einstellungen > TrueType Schriftarten

Zeigt TrueType- Schriftarten anstatt der regulären CAD- Schriften an.

Beispiel der Wirkungsweise: Laden sie die mitgelieferte Beispielzeichnung 'Austates.dwg'. Der CAD- Schrift complex.shx wurde die TrueType-Schrift 'Arial' zugeordnet.

Wenn Sie den Schalter drücken können sie den Unterschied sehen

Der Schalter hat nur bei CAD- Schriften denen eine TrueType- Schrift zugeordnet ist eine Auswirkung.

Abkürzungstasten (Shortcut) : <F2>

siehe auch:

Zuordnung von TrueType Schriften

Betriebsart (Schalter)


Schalter Anzeige von Punkten

Navigation: Befehlsreferenz > Betriebsartschalter (Modus Befehle) >

Schalter Anzeige von Punkten

 Return to chapter overview

Point2 Einstellungen > Punkte (Schalter)

Anzeige von geometrischen Punkten in der Zeichnung (z.B. Endpunkte von Linien). Vorgabemäßig nicht eingeschaltet.

Abkürzungstasten (Shortcut) <F8>

siehe auch:

Betriebsart (Schalter)


Schalter Bild

Navigation: Befehlsreferenz > Betriebsartschalter (Modus Befehle) >

Schalter Bild

 Return to chapter overview

Schalter > Anzeige von Bildern

Schaltet in die Zeichnung eingefügte Rasterbilder ein bzw. aus. Ist der Schalter auf 'Aus' wird nur noch der Rahmen des Rasterbildes angezeigt.


Schalter Render

Navigation: Befehlsreferenz > Betriebsartschalter (Modus Befehle) >

Schalter Render

 Return to chapter overview

Render2 Einstellungen > Render

Im Rendermodus werden Zeichnungen welche 3D- Flächen enthalten 'gerendert' dargestellt. Diese Ansichten können dann auch so ausgedruckt werden.

Abkürzungstasten (Shortcut) keine

siehe auch:

Betriebsart (Schalter)


Schalter Papier- / Modellbereich

Navigation: Befehlsreferenz > Betriebsartschalter (Modus Befehle) >

Schalter Papier- / Modellbereich

 Return to chapter overview

Pspace2 Einstellungen > Seitenbegrenzungen

Einige Zeichnungen enthalten einen Papier – und einen Modellbereich. Im Papierbereich befindet sich normalerweise der Zeichnungsrahmen sowie der Zeichnungskopf. Mit diesem Schalter können sie zwischen Papier- und Modellbereich umschalten.

Bemerkung: Der Schalter hat keinerlei Wirkung wenn die Zeichnung keinen Papierbereich enthält!

Abkürzungstasten 1 <F3>

Abkürzungstasten 2 CTRL TAB Zeigt die nächste Layouts in der Liste der Layouts.

Abkürzungstasten 3: CTRL SHIFT TAB Zeigt die vorhergehende Layouts in der Liste der Layouts.

siehe auch:

Betriebsart (Schalter)


Schalter Markup Layer

Navigation: Befehlsreferenz > Betriebsartschalter (Modus Befehle) >

Schalter Markup Layer

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Markups ( Ein / Aus )

Markup > Markups (Ein/Aus) oder Betriebsart (Schalter)

Dieser Befehl schaltet die Markup-Layer Ein / Aus, damit Anzeige und Verstecken des Markups.

Markups in Farbe sperren

Betriebsart (Schalter)

Sperren Sie Markups in Farbe, sodass selbst dann, wenn die Zeichnung in den Schwarz / Weiß-Modus umgeschaltet wurde, die Markups in Farbe bleiben.

siehe auch:

Markup Commands


Schalter QS Stempel-Layer

Navigation: Befehlsreferenz > Betriebsartschalter (Modus Befehle) >

Schalter QS Stempel-Layer

 Return to chapter overview

CAD QS

Schalter QS Stempel-Layer

QS > Stempel-Layer

<% QA%> Symbolsätze können durch Farbe ein- / ausgeschaltet werden.

Alle Stiftlagen auf:

Die rote Stiftschicht ist ausgeschaltet.


Schalter schwarzweiß / farbig

Navigation: Befehlsreferenz > Betriebsartschalter (Modus Befehle) >

Schalter schwarzweiß / farbig

 Return to chapter overview

Einstellungen > schwarz & weiß

Zeigt die Zeichnung im schwarz-weiß oder farbig an.

Dieser Schalter findet bei Vektorzeichnungen Anwendung (DXF, DWG, HPGL und HPGL/2)

Bei Rasterbildern werden die Farben je nach Intensität in Graustufen umgewandelt.

Ist jedoch bei Einstellungen -> Erweitert

'Wandle Farben in Graustufen wenn ‚Schalter schwarzweiß / farbig' aktiviert ist.' deaktiviert, so hat der Schalter auf Bilder keinen Effekt.

Das heißt, dass Bilder (innerhalb von Zeichnungen) farbig bleiben, auch wenn die Zeichnung von farbig auf schwarz-weiß umgeschaltet wird. Geometrische Elemente und Texte usw. werden alle schwarz, eingefügte Farbbilder bleiben farbig.

Abkürzungstasten (Shortcut) <keine>

siehe auch:

Betriebsart (Schalter)


Schalter Hintergrundfarbe

Navigation: Befehlsreferenz > Betriebsartschalter (Modus Befehle) >

Schalter Hintergrundfarbe

 Return to chapter overview

house Einstellungen > schwarz & weiß

Umschalter zwischen Hintergrundfarbe schwarz oder weiß.


Auflösen von Blöcken (Explode Blocks)

Navigation: Befehlsreferenz > Zeichnung Einstellungen >

Auflösen von Blöcken (Explode Blocks)

 Return to chapter overview

EXPLOD2 Einstellungen > Explode Blocks

Ein Block ist eine Zusammenfassung von mehreren Objekten zu einem einzelnen Objekt. Dieser Befehl erlaubt es einen Block wieder in seine ursprünglichen Einzelteile zu zerlegen. Blöcke können einzeln und nacheinander, durch Anklicken derselben aufgelöst werden. Wird alternativ die Option 'Recursively Explode All Blocks in the Drawing' gesetzt, so

werden alle Blöcke - auch verschachtelte – in einem Durchgang aufgelöst.

Frage: Wann sollte man Blöcke auflösen?

Antwort: Es gibt verschiedene Gründe dafür

- um bestimmte Elemente innerhalb eines Blockes abzufragen z.B. die Länge einer Linie usw.

- der Befehl 'Text suchen' findet keine Texte innerhalb von Blöcken.

- bei großen Zeichnungen die viele Blöcke enthalten (bzw. enthielten)wird die Geschwindigkeit erhöht

Anmerkung: Jeder Block der aufgelöst wird verliert dabei seine Attribute (falls er welche hatte)

Abkürzungstasten (Shortcut) <F6>


Layersteuerung

Navigation: Befehlsreferenz > Zeichnung Einstellungen >

Layersteuerung

 Return to chapter overview

LAYERS2 Einstellungen > Layers

Dieser Befehl ermöglicht das Ein- und Ausblenden von einzelnen Layern.

Abkürzungstasten (Shortcut) <F5>


Skalieren

Navigation: Befehlsreferenz > Zeichnung Einstellungen >

Skalieren

 Return to chapter overview

SCALE2 Einstellungen > Skalieren

Dieser Befehl hat nur Auswirkungen auf die Darstellung von gestrichelten und punktierten Linien sowie den Abstand von Schraffurlinien. Wird der Skalierungsfaktor geändert so wirkt sich dies immer auf die gesamte Zeichnung aus.

Anmerkung: Dieser Befehl hat keinerlei Auswirkungen auf die (Dimensionen) der Zeichnungselemente.

Eine Linie mit der Länge 25 und dem Skalierungsfaktor = 1 :

x- - - - - - - - - - - - x

Wird der Skalierungsfaktor auf 2 geändert wird die Linie 'gröber' dargestellt – sie wird jedoch nicht länger.

x-- -- -- -- -- -- x


Named View

Navigation: Befehlsreferenz >

Named View

 Return to chapter overview

NAMEDVW2 View > Named View

Select a 'Named View' from the list available user defined views in the drawing.

Note that a drawing may or may not contain any Named Views. These Views are originally created and stored in the drawing, by the creator of the drawing. If a drawing does not contain any such stored views then the menu item 'View > Named View' will be grayed out.

(Note also that the current software only supports 2D Named Views, 3D Named Views will be supported in a future upgrade.)

This button for this command is on the Views flyout menu.

Abkürzungstasten (Shortcut) <Alt+V>

siehe auch:


Pan

Navigation: Befehlsreferenz >

Pan

 Return to chapter overview

Pan2 Ansicht > Pan

Verschiebt die Zeichnung innerhalb des Pans des Zeichnungsfensters. Klicken sie zuerst auf den Startpunkt und dann auf den Zielpunkt der Verschiebeoperation.

Anmerkung: Die Koordinaten der Zeichnung werden nicht verschoben sonder lediglich die Position der Zeichnungsdarstellung auf dem Bildschirm.

siehe auch:

Pan using Mouse Wheel or Keyboard


Pan using Mouse Wheel or Keyboard

Navigation: Befehlsreferenz >

Pan using Mouse Wheel or Keyboard

 Return to chapter overview

Pan using Mouse Wheel

The mouse wheel button can be used in combination with the <SHIFT> and <CTRL> keys to Pan the drawing horizontally and vertically.

Mouse wheel

Pan up by scrolling the mouse wheel forward, while holding down the <SHIFT> key.

Pan down by scrolling the mouse wheel backward, while holding down the <SHIFT> key.

Pan left by scrolling the mouse wheel forward, while holding down the <CRTL> key.

Pan right by scrolling the mouse wheel backward, while holding down the <CRTL> key.

The Left and Right mouse buttons may be used in place of the <SHIFT> and <CRTL> keys.

Pan using Keyboard

The keyboard arrow keys can be used to pan the drawing horizontally and vertically.

Pan up using the <Up Arrow> key.

Pan down using the <Down Arrow> key.

Pan left using the <Left Arrow> key.

Pan right using the <Right Arrow> key.

If your keyboard has a Zoom Slider, it can also be used to Pan the drawing.

Pan up by pushing the slider forward, while holding down the <SHIFT> key.

Pan down by pulling the slider back, while holding down the <SHIFT> key.

Pan left by pushing the slider forward.

Pan right by pulling the slider back.

Pan Movement Direction Note

The software's Pan may be considered conceptually more akin to moving the drawing, rather than moving the user's viewpoint. So for example the 'Up Arrow' moves the drawing 'up'. It is similar to the Abobe Reader 'hand' which moves the document in the direction that the hand is moved.

siehe auch:

Zoom using Mouse Wheel or Keyboard


Einfügen aus der Zwischenablage

Navigation: Befehlsreferenz >

Einfügen aus der Zwischenablage

 Return to chapter overview

CLIPBDP2 Bearbeiten > Einfügen aus der zwischenablage

Paste a raster image from the Windows clipboard into the current drawing.

Shortcut: <Crtl-V>

siehe auch:


Einfügen aus der Zwischenablage 1:1

Navigation: Befehlsreferenz >

Einfügen aus der Zwischenablage 1:1

 Return to chapter overview

SaveasPasteimage1to1big Bearbeiten > Einfügen aus der zwischenablage 1:1

Paste image from clipboard into image at exact 1:1 scale.

See Also:


Einfügen als neues Bild

Navigation: Befehlsreferenz >

Einfügen als neues Bild

 Return to chapter overview

SaveasPasteAsNewbig Bearbeiten > Einfügen als neues Bild

Paste a raster image from the Windows clipboard as a new drawing.

The Image may be Printed, or Saved to a new raster image format or PDF document.

Markup users may overlay the image with text notes and red-lining drawing elements.

Shortcut: <Crtl-Shift-V>

See Also:


Ansichten (3D)

Navigation: Befehlsreferenz >

Ansichten (3D)

 Return to chapter overview

3dtrans2 Ansicht > Ansichten (3D)

Im Viewer sind 14 vordefinierte 3D Ansichtspositionen für 3D- Zeichnungen.

Um die Bedienung und die Bedeutung der einzelnen Ansichtsbezeichnungen kennen zu lernen, sollten Sie die Beispielzeichnung '3D-LNBRG.DXF' laden und damit ein wenig 'experimentieren'.

Die Ansicht 'Oben (Draufsicht)' kann auch direkt über 'Draufsicht (Plan)' im selben Pull-down-Menü aufgerufen werden.

Die letzten beiden Einträge [Rotiert] und [Pfeiltasten]

Die letzten beiden Einträge [Rotieren] und [Pfeiltasten] starten die Befehle 'Drehen 3D Ansicht' bzw. 'Anzeigesteuerung durch Pfeiltasten'

Zur Erklärung dieser Befehle klicken sie bitte auf die beiden folgenden Links.

siehe auch:


Einstellungen - Programmes

Navigation: Befehlsreferenz >

Einstellungen - Programmes

 Return to chapter overview

Prefs2 Bearbeiten > Einstellungen > Programmes

Benutzer- Voreinstellungen für die Arbeit mit dem software. You can navigate to help topics about individual tabs by clicking the hotpots on the below image.

Koordinatenanzeige (Coordinates Tracking)

Bei eingeschalteter Koordinatenanzeige erscheint oben links im der software- Fenster die Position des Cursors als x- und y- Koordinate.

Hinweis: Die Koordinate wird nur bei bestimmten Befehlen angezeigt z.B. Abfrage -> Punkt

Achsen anzeigen

Zeigt das Koordinatensymbol im Zeichnungsursprung (x=0, y=0) auf der Zeichnung an. Liegt der Nullpunkt nicht im momentan sichtbaren Bildschirmbereich wird auch das Koordinatensymbol nicht angezeigt.

Hinweis: Das Koordinatensymbol wird nur auf dem Bildschirm angezeigt aber niemals ausgedruckt.

(Voreinstellung ist 'Ein')

Bestätigung bei 'Beenden'

Einstellung, ob eine Bestätigungsabfrage erscheinen soll, wenn sie 'Datei beenden' aufrufen.

(Voreinstellung ist 'Ein')

Menüs

Die Pull-down-Menüs können ausgeschaltet werden.

Hinweis: Der gesamte Befehlsumfang ist auch über Buttons und Abkürzungstasten (Shortcut) verfügbar.

So können sie die ausgeschalteten Pull-down-Menüs wieder einschalten: Starten Sie den Einstellungsdialog über den entsprechenden Button in der linken Bildschirmleiste, und setzen sie 'Menüs' wieder aktiv.

(Vorgabe Menüs Ein)

Anzahl der zuletzt benutzten Dateien im Datei-Menü (0-10)

Sets the number of recent files displayed on the software's File menu. Valid values are 0 to 10.

Starten von anderen Programmen ohne Rückfrage

Beim Versuch ein nicht unterstütztes Dateiformat mit dem software zu öffnen wird für dieses Format das vorgesehene Programm gestartet. Ist dieser Schalter aktiviert erfolgt lediglich eine Rückfrage.

(Voreinstellung ist 'Ein')


Einstellungen - DGN/DXF/DWG

Navigation: Befehlsreferenz >

Einstellungen - DGN/DXF/DWG

 Return to chapter overview

Prefs2 Edit > Preferences > DGN/DXF/DWG

DGN/DXF/DWG Tab:

Startansicht (DXF/DWG)

Diese Einstellungen steuern wie die Zeichnung nach dem Öffnen dargestellt wird:

· Alles anzeigen - Die Zeichnung wird bildschirmfüllend dargestellt (Voreinstellung)

· An Limits anpassen - Die Zeichnung wird bis zu den 'Limiten' bildschirmfüllend dargestellt.

Die 'Limiten' sind in der Zeichnung mit abgespeichert. Meist sind die Limiten auf die Grösse des Zeichnungsrahmens gesetzt. So kann man z.B. 'Limits drucken' drucken.

Vorteil: Wenn ausserhalb des Rahmens Elemente liegen, werden diese nicht gedruckt.

· Wie letzte Ansicht - Die Zeichnung wird so dargestellt, wie sie (im CAD-System) zuletzt gespeichert wurde.

Rasterbilder (BMP) in Zeichnungen

DXF und DWG Zeichnungen können Rasterbilder enthalten. In der Zeichnung ist eine Referenz auf dieses Rasterbild (inkl. Pfad) abgespeichert. Das Rasterbild wird erst beim Starten der Zeichnung hinzugeladen.

Sie können im software die Anzeige solcher Rasterbilder ein- bzw. ausschalten. Ist die Anzeige von Rasterbildern ausgeschaltet wird lediglich der Rahmen des Bildes angezeigt, so dass man noch Grösse und Position desselben erkennen kann.

Folgende Voreinstellungen sind möglich:

·Ignorieren falls Bild nicht gefunden - Ist das Laden von Bildern nicht deaktiviert und wird das Bild am spezifizierten Ort nicht gefunden, dann wird die Zeichnung ohne Fehlermeldung und ohne Bild geladen. Es erscheint lediglich der Rahmen des (ursprünglichen) Bildes.

·Öffnen-Dialog falls Bild nicht gefunden - Ist das Laden von Bildern nicht deaktiviert und wird das Bild am spezifizierten Ort nicht gefunden, dann erscheint eine Eingabemaske in der sie den Pfad der Pixeldatei neu zuordnen können. (Voreinstellung)

·Bilder nicht laden - Das Laden von Bildern ist deaktiviert

·Rasterbildsuchpfad leeren

Xrefs in Zeichnungen

·Ignorieren falls Bild nicht gefunden - Ist das Laden von Bildern nicht deaktiviert und wird das Bild am spezifizierten Ort nicht gefunden, dann wird die Zeichnung ohne Fehlermeldung und ohne Bild geladen. Es erscheint lediglich der Rahmen des (ursprünglichen) Bildes.

·Öffnen-Dialog falls Bild nicht gefunden - Ist das Laden von Bildern nicht deaktiviert und wird das Bild am spezifizierten Ort nicht gefunden, dann erscheint eine Eingabemaske in der sie den Pfad der Pixeldatei neu zuordnen können. (Voreinstellung)

·Xrefs suchpfad leeren

Render Linienstile, wenn:

Select the zoom level at which to render line styles. Line styles not rendered as per their definition will be rendered as solid lines. Options are:

never

zoomed very close

zoomed close

zoomed medium (default)

zoomed distant

always

Anzeigelinienstärken

Lineweights (line widths) are displayed if defined.

Linienstärken von zugeordneter Stift-Tabelle übernehmen (.CTB)

In AutoCAD ist es möglich die Stift- bzw. Linienstärkenzuordnung in einer Datei abzuspeichern. Ist diese Option 'Ein' und die entsprechende .CTB-Datei ist vorhanden, dann benutzt der software die in dieser Datei vorhandenen Einstellungen. (Voreinstellung ist 'Ein')

Linienstärke aus der [MapPensIn] Section der DXF6.INI haben Vorrang gegenüber den in der Zeichnung definierten

Get pen width settings from the [MapPensIn] of DXF6.INI. DXF6.INI is in the software installation folder.

Schlüpfen Anzeige ist standardmäßig beim Start einer neuen Sitzung

Hatching display may be turned off in the Layers Manager dialog. If this option is checked then Hatching display will revert to on at the start of a new session. If the option is not checked then the last setting made in the Layers Manager dialog is used.

Ignore Invisible Entities

Keep DWG Xrefs in color even when drawing is toggled to black/white display


Einstellungen - HPGL

Navigation: Befehlsreferenz >

Einstellungen - HPGL

 Return to chapter overview

Prefs2 Edit > Preferences > HPGL

HPGL Tab:

'NR' - Befehl (Not Ready) als Seitenvorschub

Der HPGL-Befehl 'NR' versetzt den Plotter in einen 'Nicht Bereit' Status. Manchmal wird dieser Befehl jedoch als Seitenvorschub benutzt um dem Bediener zu Ermöglichen ein neues Blatt in den Plotter einzulegen.

Ist dieser Schalter auf 'Ein' dann wird bei jedem 'NR' ein neues Blatt begonnen.

Ausnahme: Steht der 'NR' - Befehl am Anfang oder Ende der HPGL-Datei wird er vom software ignoriert.

(Voreinstellung ist 'Aus)

Flächen ausgefüllt darstellen und der Hintergrundfarbe anpassen

Alle (weißen) Flächen welche innerhalb einer HP-GL/2- Datei definiert sind, werden innerhalb des softwares auch als ausgefüllte Fläche dargestellt. Die Farbe wird dabei der eingestellten Hintergrundfarbe des software angepasst; d.h. bei Hintergrundfarbe 'weiß' werden die Flächen schwarz dargestellt bzw. umgekehrt. Ist der Schalter auf 'Aus' wird die Fläche im software nicht gefüllt dargestellt; der gefüllte Bereich wird mit einem Kreuz versinnbildlicht. (Voreinstellung ist 'Ein')

Darstellung der Linienstärke abhängig vom Zoomfaktor

Ist der Schalter auf 'Ein' werden die Linien beim Hineinzoomen entsprechend breiter dargestellt. Normalerweise wird eine Linie maximal mit der Dicke angezeigt, mit der sie in der HPGL-Datei definiert ist. Das bedeutet z.B. dass eine 1.5 mm Linie am Bildschirm mit einer Breite von 1.5 mm dargestellt wird und zwar unabhängig vom momentanen Zoomfaktor. Ist der Schalter auf 'Ein' dann erhalten sie eine bessere Vorstellung wie die Zeichnung auf dem Ausdruck erscheint. (Voreinstellung ist 'Aus')

Prefer solid fills to hatching

If checked hatching from the HPGL will be rendered as solid fills.

Ignore RO (Rotate) command within plot file

Ignore the RO command in HPGL files.

Skalierungsfaktor

Apply a scaling factor to the drawing dimensions. Typically a drawing will be plotted at a particular scale. HPGL Plot files do not contain information about what scale the drawing was plotted at. By default therefore CAD Viewer simply displays the drawing in the actual dimensions of the plotter output (in MM or inches). However if you know what scale was used, it is possible to scale the drawing back to it's original dimensions by setting a 'Scale Factor'.

Example:

All your drawings are plotted at a scale 1:2500 (1 mm = 2.5 meters.) It is desired that the units of the drawing in CAD Viewer represent meters. Assuming that the Units are mm (see Units setting above), this is achieved by setting the Scale Factor to '0.4' (calculated by 1 / 2.5)

Einheiten

Wählen sie die Maßeinheit in der die HPGL- Datei angezeigt werden soll. Möglich sind mm und inches (Zoll)

Vorgabe Drehwinkel: (Grad)

Apply a rotation to HPGL Plot file. Rotation selections are 0,90,180,270 degrees.


Einstellungen - PDF/Raster

Navigation: Befehlsreferenz >

Einstellungen - PDF/Raster

 Return to chapter overview

Prefs2 Edit > Preferences > PDF/Raster

PDF/Raster Tab:

Startansicht (Raster)

Diese Einstellung steuert wie Pixelbilder nach dem Öffnen auf dem Bildschirm angezeigt werden:

· Bild an Fenster anpassen - Das Pixelbild wird bildschirmfüllend dargestellt (Voreinstellung)

·1:1 anzeigen - Das Pixelbild wird 1:1 angezeigt – d.h. ein Pixel im Bild entspricht ein Pixel auf dem Bildschirm. Hat z.B. das Pixelbild die gleiche Auflösung wie ihr Monitor (z.B. 1024x768) dann ist der Bildschirm exakt bis zum Rand mit dem Bild ausgefüllt.

'Wandle Farben in Graustufen wenn ‚Schalter schwarzweiß / farbig' aktiviert ist.'

Ist der Schalter aktiviert dann werden (farbige) Rasterbilder beim Umschalten von farbig auf schwarz-weiß, als Graustufenbild dargestellt.

Ist der Schalter deaktiviert, dann werden Bilder (auch innerhalb von Zeichnungen) weiterhin farbig dargestellt, auch wenn die Zeichnung von farbig auf schwarz-weiß umgeschaltet wird.

(Voreinstellung ist 'Ein')

Standardordner beim Speichern einer Zeichnung in PDF ist selben Ordner wie die Zeichnung

If checked the default folder that is presented when saving a drawing to PDF is the same folder as the drawing.

If unchecked the default folder that is presented when saving a drawing to PDF is the last folder saved to.


Einstellungen - Einheiten

Navigation: Befehlsreferenz >

Einstellungen - Einheiten

 Return to chapter overview

Prefs2 Bearbeiten > Einstellungen > Einheiten

Einheiten Tab:

The units settings affect the units and precision displayed for Inquiry commands, such as display of point coordinates, length, and area.

Type

Options are:

· Architectural - units are expressed in feet and fractional inches (example: 1' -5 1/2")

· Decimal - unitless display in decimal format (example: 17.5)

· Engineering - units are expressed in feet and decimal inches (example: 1'-5.5")

· Fractional - unitless fractional display (example 17 1/2)

The units Type settings 'Architectural' and 'Fractional' additionally have the sub option:

· Keep coordinates in Decimal display units

If the above option is checked then point coordinate will always be displayed in Decimal format.

Precision

Sets the precision of the display units.


Einstellungen_2_2

Einstellungen - Administrator Einstellungen

Navigation: Befehlsreferenz >

Einstellungen - Administrator Einstellungen

 Return to chapter overview

Prefs2 Bearbeiten > Einstellungen > Administrator Einstellungen

Administrator Tab:

Erfordern Administrator-Passwort

Erfordern die Administrator-Passwort, um Änderungen an den Einstellungen vornehmen. Der Administrator-Passwort wird zum Zeitpunkt des Kaufs ausgestellt.

Drucken

Aktivieren Drucken

Speichern / Kopieren in die Zwischenablage

Aktivieren Speichern und Kopieren in die Zwischenablage.

Use LOCALAPPDATA instead of APPDATA folder for user data storage.

Configure the software to store user data to the Windows LOCALAPPDATA folder in preference to the APPDATA folder. Note that the option is greyed out in normal usage. To enable the option the software must be started via 'Run As Administrator'.

Allow Markups to be embedded into DXF/DWG drawings

Allows Markups to be embedded into DXF/DWG drawings

Configure Folders

Opens the markup folders configuration dialog

Markup Folder Konfiguration sperren

Sperren Sie die Markup-Ordner-Konfiguration.

Definition der QS Merkmalstabelle

Definition der QS Merkmalstabelle

Lock QS Attributes Table Definitions

Locks the QS attributes tables configuration.

Configure Tolerances

Opens the 'Manage Tolerances' configuration dialog.

Lock Tolerance Definitions

Locks the Tolerances configuration.

QS-Attribut-Tabellendefinitionen sperren

QS-Attribut-Tabellendefinitionen sperren

Default Output Folders

Opens the 'Default Folder Location' configuration dialog.

Symbol Libraries parent folder

Set the Symbol Libraries parent folder.


Drucken

Navigation: Befehlsreferenz >

Drucken

 Return to chapter overview

Print2 Datei > Drucken

Sendet die Zeichnung/en an einen Windows- Drucker oder Plotter.

Drucker Einstellung(en)

Zuerst erscheint die Windowsdrucker- Dialogbox entsprechend ihrem speziellen Drucker.

Klicken Sie auf Einstellungen (Properties) und stellen sie die Papiergröße, Orientierung, Auflösung usw. ein.

Sie können nur die aktuell angezeigte Zeichnung oder alle geladenen Zeichnungen oder aber eine Auswahl der geladenen Zeichnungen drucken.

Druckeinstellungen

Nachdem das Printer Setup beendet ist, erscheint die software Dialogbox 'Druckeinstellungen'.

Hier können spezielle Zeichnungsspezifische Einstellungen vorgenommen werden.

An Seite anpassen

Der gewählte Zeichnungsbereich* wird blattfüllend ausgedruckt (Voreinstellung)

*Folgende Zeichnungsbereiche können ausgewählt werden:

Gesamte Zeichnung | Druckt diegesamte Zeichnung
Limits drucken | Druckt den Bereich innerhalb der 'Limiten' (definiert in der Zeichnung)
Ansicht drucken | Druckt den momentan am Bildschirm sichtbaren Zeichnungsbereich
Fenster drucken | Druckt einen durch zwei Mausklicks bestimmten Bereich der Zeichnung. Diese Option ist nicht aktiv, wenn mehrere Zeichnungen zum Drucken ausgewählt wurden.

Linienstärkenskalierung

Die Linienstärkenskalierung steuert die Linienbreite beim Drucken. Eine Einstellung von 1.0 druckt die Linien mit der Einstellung von z.B. 0.13 mm. Ein Wert von 2.0 verdoppelt alle Linienstärken. So wird z.B. aus den 0.13 mm eine Liniendicke von 0.26 usw.

Schwarz (keine Graustufen)

Werden farbige Zeichnungen auf einem schwarz-weiß-Drucker ausgegeben, so erscheinen die Farben normalerweise entsprechend ihrer Helligkeit. Gelbe Linien sind deshalb auf dem Ausdruck kaum zu erkennen.

Dieser Schalter erzwingt, dass alle Zeichnungsobjekte unabhängig von ihrer Farbe schwarz (ohne Graustufeneffekt) ausgedruckt werden.

Schalten Sie diesen Schalter auf 'Ein' wenn sie meistens auf schwarz-weiß Geräten ausdrucken.

(Voreinstellung ist 'Aus')

Helle Linien verdunkeln

Linien, Texte oder andere Objekte die helle Farben besitzen (z.B. Gelb) werden dunkler ausgedruckt (wie z.B. Braun)

Helle Flächen verdunkeln

Flächen (Solids) die helle Farben besitzen (z.B. Gelb) werden dunkler ausgedruckt (wie z.B. Braun)

Die beiden verfügbaren Einheiten sind mm und inches (Zoll). Wurde die Zeichnung 'in Zoll erstellt'; d.h. eine Zeichnungseinheit entspricht 1 inch, so müssen sie den Schalter auf 'Inches' stellen. Dann erscheint eine mit 1 (inch) bemaßte Strecke mit der richtigen Länge von 25.4 mm auf dem Plot. ( Voreinstellung ist 'mm')

Haben sie 'Maßstäblich Drucken' ausgewählt erscheint nach Drücken von 'OK' ein rechteckiger Rahmen, der anzeigt welche Fläche sie in dem gewählten Maßstab auf das gewählte Papierformat drucken können.

Positionieren sie den Zeiger so*, dass der von ihnen gewünschte Bereich ausgedruckt wird. Alternativ können sie die Koordinate* über die Tastatur eingeben.

(* Der Punkt ist jeweils de linke untere Ecke des Druckbereichs)

Abkürzungstasten (Shortcut) <Ctrl+P>

siehe auch:

Weiterführende Themen: Drucken/Plotten einer Zeichnung über die Befehlszeile


Neuzeichnen

Navigation: Befehlsreferenz >

Neuzeichnen

 Return to chapter overview

Redraw2 Ansicht > Neuzeichnen

Zeichnet die Ansicht neu.

Dieser Befehl kann auch über das Flyout- Menü Zoom Grenzen aufgerufen werden (Symbol 'R')

Abkürzungstasten (Shortcut) keine


Drehen

Navigation: Befehlsreferenz >

Drehen

 Return to chapter overview

ROT902 Ansicht | Drehen > 90 (gegen Uhrzeigersinn)

Dreht die Zeichnung um 90° entgegen dem Uhrzeigersinn

Abkürzungstasten (Shortcut) : keine

rot1802 Ansicht | Drehen > 180

Dreht die Zeichnung um 180°

Abkürzungstasten (Shortcut): keine

rot2702 Ansicht | Drehen > 90 (im Uhrzeigersinn)

Dreht die Zeichnung um 180°

Abkürzungstasten (Shortcut) keine


Drehen 3D Ansicht

Navigation: Befehlsreferenz >

Drehen 3D Ansicht

Return to chapter overview

Rotview2 Ansicht | Spezielle Ansicht

Der ' Rotated View'- Dialog kann über einen drehbaren Würfel gesteuert werden.

Es gibt grundsätzlich zwei Möglichkeiten die gewünschte 3D-Ansicht(sposition) zu erlangen :

1. Klicken sie innerhalb des Kreises in dem der Würfel dargestellt ist, und halten sie die rechte Maustaste gedrückt. Bewegen sie jetzt die Maus so, dass sie die gewünschte Ansicht erhalten. (siehe auch Anmerkungen)

2. Der Würfel kann auch separate um die x-, y- bzw. z- Achse gedreht werden. Wird der jeweilige Schalter gedrückt so dreht sich der Würfel jeweils um die aktuell eingestellte Schrittweite (Increment) in positiver oder negativer Richtung.

Anmerkungen :

T = Top = Draufsicht

F = Front = Vorderansicht

L = Left = Ansicht von Links

R = Right = Ansicht von Rechts

B = Back = Ansicht von Hinten

Bo = Bottom = Ansicht von Unten

Dieser Befehl kann auch über das Flyout- Menü '3D- Ansichten' aufgerufen werden.

siehe auch:


Editieren von Texten

Navigation: Befehlsreferenz >

Editieren von Texten

 Return to chapter overview

Die Editierbefehle erlauben es kleinere Änderungen an Zeichnungstexten vorzunehmen bevor diese ausgedruckt oder als Pixelbild gespeichert werden. Diese Änderungen können nicht in der Originaldatei (DWG, DXF) gespeichert werden.

Befehle um Kommentare oder andere Zusätze in der Zeichnung mit zu speichern (Redlining) werden in einer späteren Version des software integriert sein.

symedit2 Bearbeiten > Text > Text ändern

Ändern von vorhandenem Text innerhalb der Zeichnung.

symmove2 Bearbeiten > Text > Text verschienben

Verschieben von vorhandenem Text an eine andere Position.

symcopy2 Bearbeiten > Text > Text kopieren

Verschieben von vorhandenem Text an eine beliebige Position.

symdel2 Bearbeiten > Text > Text löschen

Löschen von vorhandenem Text.

SYMPRP2 Edit > Text Touchup > Match Properties

Match properties of existing text in the drawing to other text. Use this command to change the size, width scaling, color, line width, and font of text to match existing text. The method is first to select the text whose properties will be applied to other text. The cursor will change to a paintbrush icon. Then select the text to change.

Bearbeiten > Text > Rückgängig

Macht den letzten Editierbefehl, z.B. das Löschen eines Textes, rückgängig.

Dieser Befehl ermöglicht es ihnen auch mehrere Änderungen Schritt für Schritt rückgängig zu machen.

Abkürzungstasten (Shortcut) <Ctrl+Z>

Bemerkung :

Die Originalzeichnungen werden durch die Editierbefehle nicht geändert !

Auf Text innerhalb von Blöcken kann nicht direkt zugegriffen werden. Diese Blöcke müssen zuerst aufgelöst werden.


Pfeiltasten

Navigation: Befehlsreferenz >

Pfeiltasten

 Return to chapter overview

Arrkey2 Ansicht > Pfeiltasten

Die Pfeiltasten können auch zum dynamischen Drehen einer 3D- Zeichnung benutzt werden. Während des Drehens ist der Mauszeiger deaktiviert. Um diesen wieder zu aktivieren müssen sie die rechte Maustase drücken; damit wird gleichzeitig das dynamische Drehen über die Pfeiltasten beendet.

Dieser Befehl kann auch über das Flyout- Menü '3D- Ansichten' aufgerufen werden.

siehe auch:


Zoom

Navigation: Befehlsreferenz >

Zoom

 Return to chapter overview

Zoomall2 Ansicht > Alles anzeigen

Stellt die komplette Zeichnung bildschirmfüllend dar.

Abkürzungstasten (Shortcut) <Alt+Z>, <Shift+Home>

siehe auch: <Shift+Home> Key - Zoom All / Revert Toggle

Zoombox2 Ansicht | Heranzoomen (Box)

Stellt einen rechteckigen Bereich vergrößert auf dem Bildschirm dar. Dieses Fenster (Box) wird durch Klicken von zwei gegenüber liegenden Ecken mit der Maus definiert.

Abkürzungstasten (Shortcut) <Ctrl+Shift+B>

Zoomin2 Ansicht > Vergrössern

Zoomout2 Ansicht > Verkleinern

Ansicht -> Vergrößern (+) oder Ansicht -> Verkleinern (-) um einen mit der Maus zu spezifizierenden Punkt.

Revert2 Ansicht > Ansicht rückgängig

Wechselt zur letzten Ansicht zurück. Der Befehl wirkt wie ein Schalter d.h. ein zweiter Aufruf des Befehls bringt wieder die erste Ansicht zurück.

Abkürzungstasten (Shortcut) <Ctrl+R>, <Shift+End>

siehe auch: <Shift+Home> Key - Zoom All / Revert Toggle

<Shift+Home> Key - Zoom All / Revert Toggle

The <Shift+Home> key combination may be used to alternately Zoom All and Revert to the last view prior to Zoom All. This command acts as a toggle such that the first time <Shift+Home> key combination is pressed the drawing zooms to fit, and the next time that it is pressed the drawing reverts to the previous view. This can be useful if the wants to know the position of the zoomed in portion in relation to the overall drawing.

siehe auch:

Dynamic Zoom using Mouse Wheel or Keyboard


Zoom Maßstab 1:1

Navigation: Befehlsreferenz >

Zoom Maßstab 1:1

 Return to chapter overview

11scale2 Ansicht > Auf Zeichnungsgröße (1:1)

Zoomt auf den Maßstab 1:1. Das Pixelbild wird 1:1 11scale angezeigt – d.h. ein Pixel im Bild entspricht ein Pixel auf dem Bildschirm. Hat z.B. das Pixelbild die gleiche Auflösung wie ihr Monitor (z.B. 1024x768) dann ist der Bildschirm exakt bis zum Rand mit dem Bild ausgefüllt.

Dieser Befehl funktioniert nur bei Pixelbildern und hat keinen Effekt bei DWG/DXF- Dateien

Abkürzungstasten (Shortcut) keine


Zoom auf Limiten

Navigation: Befehlsreferenz >

Zoom auf Limiten

 Return to chapter overview

ZOOMLIM2 Ansicht > Zoom Grenzen

Zoomt auf die 'Zeichnungslimiten' wie sie in der Zeichnung hinterlegt sind.

Die Zeichnung wird bis zu den 'Limiten' bildschirmfüllend dargestellt. Die 'Limiten' sind in der Zeichnung mit abgespeichert. Meist sind die Limiten auf die Grösse des Zeichnungsrahmens gesetzt. So kann man z.B. 'auf Limiten' drucken. Vorteil: Wenn ausserhalb des Rahmens Elemente liegen, werden diese nicht gedruckt.

Wenn in der Zeichnung keine Limiten definiert sind, wirkt der Befehl wie 'Zoom Alles'.

Technische Anmerkung: Zoom auf Limiten' benutzt die Variablen LIMMIN und LIMMAX die in der DXF- bzw. DWG- Datei abgespeichert sind.

Abkürzungstasten (Shortcut) keine

siehe auch:


Zoom using Mouse Wheel or Keyboard

Dynamic Zoom using Mouse Wheel or Keyboard

Navigation: Befehlsreferenz >

Dynamic Zoom using Mouse Wheel or Keyboard

 Return to chapter overview

Zoom using Mouse Wheel

The mouse wheel button can be used to Zoom in and Zoom out.

Mouse wheel

Zoom in by scrolling the mouse wheel forward.

Zoom out by scrolling the mouse wheel backward.

When zooming in and out using the Mouse Wheel, place the cursor at the part of the drawing that is of interest. This will become the new center of the drawing window.

Zoom using Keyboard Arrow Keys

The keyboard arrow keys can be used to Zoom in and Zoom out.

Zoom in using the <Shift> and <Up Arrow> key.

Zoom out using the <Shift> and <Down Arrow> key.

If your keyboard has a Zoom Slider:

Zoom in by holding down the <Alt> key and pushing the slider forward.

Zoom out by holding down the <Alt> key and pulling the slider back.

When using the keyboard to Zoom in and Zoom out, the zoom is always from the center of the display window.

siehe auch:

Pan using Mouse Wheel or Keyboard


Anbringen von Anmerkungen (Markup/Redlining)

Navigation: Markup Befehlsreferenz >

Anbringen von Anmerkungen (Markup/Redlining)

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Anbringen von Anmerkungen (Markup/Redlining)


Skizze

Navigation: Markup Befehlsreferenz >

Skizze

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Skizze

sketch2 Markup > Skizze

The sketch tool allows the user to add freehand line drawing to the drawing. Draw by holding down the left mouse button and moving the mouse. Release the mouse button to stop drawing. The software automatically closes loops if there is a small gap.


Linie

Navigation: Markup Befehlsreferenz >

Linie

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Linie

line2 Markup > Linie

The line drawing tool allows the user to add a series of connected straight lines to the drawing. The right mouse button is used to terminate a connected line series.


Pfeil

Navigation: Markup Befehlsreferenz >

Pfeil

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Pfeil

arrow2 Markup > Pfeil

The arrow drawing tool allows the user to add arrows to the drawing. The tail of the arrow is placed first, and terminates with placement of the arrow head.


Rechteck

Navigation: Markup Befehlsreferenz >

Rechteck

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Rechteck

box2 Markup > Rechteck

The Box drawing tool allows the user to add rectangular boxes to the drawing. The first corner of the box is selected, followed by the diagonally opposite corner.


Kreis

Navigation: Markup Befehlsreferenz >

Kreis

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Kreis

circle2 Markup > Kreis

Add a circle to the drawing by locating the center point of the circle with the cursor, followed by a circumference point.


Bereich Verdecken

Navigation: Markup Befehlsreferenz >

Bereich Verdecken

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Bereich Verdecken

mit Markupfarbe

drawblot Markup > Bereich Verdecken > mit Markupfarbe

Blot out (cover) a rectangular area of the drawing using the current markup pen color.

Use Blot Out to visibly indicate that the blotted our area is incorrect or contains entitles that should be deleted.

mit Hintergrundfarbe

rectbackbig Markup > Bereich Verdecken > mit Hintergrundfarbe

Wipe out (cover) a rectangular area of the drawing using the background color.

Use Wipe Out to make an area of the drawing invisible.

Bereichsgrenze anzeigen

Markup > Bereich Verdecken > Bereichsgrenze anzeigen

Toggles the drawing of frames around wipeout rectangles. Use this command when deleting wipeouts which would otherwise not be visible.


Löschen

Navigation: Markup Befehlsreferenz >

Löschen

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Löschen

delete2 Markup > Löschen

Löscht alle Markup Bearbeitungen für die aktuelle Zeichnung. (Mess- und QS Änderungen werden auch durch diesen Befehl gelöscht.)


Markupdatei Löschen

Navigation: Markup Befehlsreferenz >

Markupdatei Löschen

 Return to chapter overview

CADCAD Markup / SymbolCAD / CAD QS

Markupdatei Löschen

Markup > Markupdatei Löschen

or

Datei > Markupdatei Löschen

Deletes all Markup Edits for the current drawing. (Measurement and QA edits are also deleted by this command.)


Bereich verdecken

Navigation: Markup Befehlsreferenz >

Bereich verdecken

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

mit Markupfarbe

drawblot Markup > Bereich verdecken > mit Markupfarbe

Blot out (cover) a rectangular area of the drawing using the current markup pen color.

Use Blot Out to visibly indicate that the blotted our area is incorrect or contains entitles that should be deleted.

mit Hintergrundfarbe

rectbackbig Markup > Bereich verdecken > mit Hintergrundfarbe

Wipe out (cover) a rectangular area of the drawing using the background color.

Use Wipe Out to make an area of the drawing invisible.

Bereichsgrenze anzeigen

Markup > Bereich verdecken > Bereichsgrenze anzeigen

Toggles the drawing of frames around wipeout rectangles. Use this command when deleting wipeouts which would otherwise be invisible.


Bild enfügen

Navigation: Markup Befehlsreferenz >

Bild enfügen

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Bild enfügen

Markup > Bild enfügen

Add an image to the drawing. Locate the image file on disk via the Browse dialog. Place the image on the drawing using the cursor and set the size by dragging the outline rectangle to the desired screen location.


maßstab

Navigation: Markup Befehlsreferenz >

maßstab

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Scale Markup Entries

ScaleaMarkupBIG Markup > Scale

Select a group of markup entries by drawing a box, and scale the size of those markup entries as a group.


Farbe ändern

Navigation: Markup Befehlsreferenz >

Farbe ändern

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Farbe ändern

PAINT2 Markup > Farbe ändern

Ändern Sie die Stiftfarbe einzelner Markup-Objekte.


Hyperlink hinzufügen

Navigation: Markup Befehlsreferenz >

Hyperlink hinzufügen

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Hyperlink hinzufügen

HYPER2 Markup > Hyperlink hinzufügen

Add an active text hyperlink to the drawing.

Enter the text that will display as the hyperlink description in the upper area of the 'Enter Hyperlink Text and path' dialog.

In the example screen shot the text description is 'Link to CAD Markup home page'

Enter a Web Address, or File Path in the 'File Path or Web Address' edit control. In the example screen shot a web address has been entered which is the home page of CAD Markup on the internet. I.e.

https://www.guthcad.com/cadviewer_markup.htm

The result after placement on the drawing will be a hyperlink similar to the hyperlink below:

Link to CAD Markup home page

Links may also be made to a file on the local hard drive, or local network. Clicking on a file link will load the target file in the default application for that type of file.

You may also change the size and rotation of the hyperlink.


Import / Export

Navigation: Markup Befehlsreferenz >

Import / Export

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Export

Markup > Export

Export Markups in der aktuellen Zeichnung in eine externe Datei (.CVMX Datei). Exportierte Markups können in eine andere Zeichnung importiert werden.

Import

Markup > Import

Import Markups aus einer externen Datei (.CVMX Datei) in die aktuelle Zeichnung.

siehe auch:

Markupdatei speichern


Markup Text

Navigation: Markup Befehlsreferenz >

Markup Text

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Markup Text

text2 Markup > Markup Text

Fügen Sie Text auf die Zeichnung. Geben Sie den Text in der "Eingabe des Markup-Textes" Dialog. Klicken Sie auf "OK", und positionieren Sie den Text an der gewünschten Stelle auf der Zeichnung mit dem Cursor.


Markup Text ändern

Navigation: Markup Befehlsreferenz >

Markup Text ändern

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Markup Text ändern

editm2 Markup > Markup Text ändern

Ändern Sie Markup Text in der Zeichnung. Klicken Sie auf den Text, um ihn zu bearbeiten.


Markup Text verschieben

Navigation: Markup Befehlsreferenz >

Markup Text verschieben

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Markup Text verschieben

textmov2 Markup > Markup Text verschieben

Bewegen Sie Markup Text in eine neue Zeichnung Lage. Markieren Sie den Text mit der Maus. Eine übersicht der Text wird dem Cursor zu befestigen. Klicken Sie mit der Maus auf die neue Position, um den Text zu platzieren.


Verschieben

Navigation: Markup Befehlsreferenz >

Verschieben

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Verschieben

measmove2 Markup > Verschieben

Bewegen Sie Markup-Elemente an eine neue Position. Wählen Sie die Elemente mit der Maus (machen Sie ein Rechteck.) Bewegen Sie die ausgewählten Elemente durch Klicken auf eine Startposition und eine Zielposition.


Markups ( Ein / Aus )

Navigation: Markup Befehlsreferenz >

Markups ( Ein / Aus )

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Markups ( Ein / Aus )

Markup > Markups (Ein/Aus) oder Betriebsart (Schalter)

Dieser Befehl schaltet die Markup-Layer Ein / Aus, damit Anzeige und Verstecken des Markups.

Markups in Farbe sperren

Betriebsart (Schalter)

Sperren Sie Markups in Farbe, sodass selbst dann, wenn die Zeichnung in den Schwarz / Weiß-Modus umgeschaltet wurde, die Markups in Farbe bleiben.


Markupdatei speichern

Navigation: Markup Befehlsreferenz >

Markupdatei speichern

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Markupdatei speichern

svmrkup Datei > Markupdatei speichern

Speichert Markup Änderungen für die aktuelle Zeichnung.

Hinweis: Die Standard Bedienung der Software ist es, " Markup Edits " separat zu der Quelle Zeichnung zu speichern, so dass die die Originalzeichnung bleibt unverändert.

Mehrere / Freigegebene Ordner

Um das Speichern der Markupdateien in verschiedene Verzeichnisse zu ermöglichen, muss im Abschnitt [SaveEditsFolders] der MARKUP.INI folgender beispielhafte Eintrag gemacht bzw. geändert werden:

[SaveEditsFolders]

num=4

Name1=Diaphragm Valves

Name2=Butterfly Valves

Name3=Ball Valves

Name4=Pumps

Folder1=s:\Markups\Diaphragm_Valves

Folder2=s:\Markups\Butterfly_Valves

Folder3=s:\Markups\Ball_Valves

Folder4=s:\Markups\Pumps

UserFolderEnabled=1

UserFolderName=Eigene Dateien (lokal)

Wenn “UserFolderEnabled=0“ - erscheint die Auswahl “Eigene Dateien (lokal)“ nicht.
Das heißt der Anwender kann keine Stempeldateien lokal speichern. Es stehen ihm nur die spezifizierten (Netzwerk)-Verzeichnisse zur Verfügung. (siehe Abbildung 2)

num=4 Es stehen die angegebenen vier Verzeichnisse (Folder1 bis Folder4) zur Verfügung. Wird der Wert von num auf 0 oder 1 zurückgesetzt, sind diese Verzeichnisse nicht mehr aktiv.

Hier befindet sich das lokale MarkupVerzeichnis “Eigene Dateien (lokal)“

bei XP: C:\Dokumente und Einstellungen\<Username>\Anwendungsdaten\GuthCAD\CMDE2022.0\edits

bei Vista: C:\Users\<Username>\AppData\Roaming\GuthCAD\CMDE2022.0\edits

(wobei <Username> für den Login-Namen des Anwenders steht)

Save Markup Edits to same Folder as the drawing

The software may be configured to save Markups in the same folder as the drawing being edited. To do this set the entry 'SaveLocation=1 in the [SaveEditsFolders] section of MARKUP.INI. Markups are stored in a companion file with the extension '.CVM'.

[SaveEditsFolders]
SaveLocation=1

To also set the default folder for save as PDF to the same folder as the drawing use:

[SaveEditsFolders]
SaveLocation=3

siehe auch:

Import / Export


Markup Einstellungen

Navigation: Markup Befehlsreferenz >

Markup Einstellungen

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Markup Einstellungen

markset2 Markup > Einstellungen

Textgröße

Automatisch:

Text wird automatisch in der aktuellen Ansicht der Zeichnung so bemessen sein, mit drei verfügbaren Größeneinstellungen: Klein, Mittel und Groß.

feste Größe:

Text hat eine feste Größe.

Farbe:

Wählen Sie die Stiftfarbe zum Zeichnen von Linien, Pfeile usw.

Die "Schwarz / Weiß" Pen

Die spezielle "Schwarz / Weiß" Stift, zieht als "Black", wenn der Bildschirm Hintergrund ist weiß, und als "White", wenn der Bildschirm Hintergrund ist schwarz. Beim Drucken der "Schwarz / Weiß" zeigt immer als Schwarz (auf weißem Papier.)

Die "White / Black 'Pen

Die spezielle "Weiß / Schwarz 'pen ist nur für Text-Hintergrund verwendet. Er passt die Hintergrundfarbe des Bildschirms schwarz oder weiß. Beim Drucken, zeigt es immer als weiß.


Stempel setzen

Navigation: Markup Befehlsreferenz >

Stempel setzen

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Stempel setzen

addstmp Stempel > Stempel setzen

Fügen Sie einen Benutzer definierten Zeit / Datum-Stempel auf die Zeichnung.

See Also:


Stempel List

Navigation: Markup Befehlsreferenz >

Stempel List

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Stempel List

StampListButtonBig Stempel > List

Select a stamp from a list, and insert.

See Also:


Stempel Einstellungen

Navigation: Markup Befehlsreferenz >

Stempel Einstellungen

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Stempel Einstellungen

markset2 Stempel > Stempel Einstellungen

Design a 'Time/Date/Checked' stamp.

Set the pen color, background color, border, and size of a Time/Date Stamp, as well as edit the text of the stamp. You can create a new stamp design by pressing the "New" button. The order of stamps in the list can be changed by pressing the "Menu #" button.

Predefined Variables

Predefined text variables may be contained within the stamp. Text variables are evaluated when the stamp is added to the drawing. Currently supported text variables are:

Variable | Evaluates to: | Example
<%DATE%> | Date. The format is determined by a user defined pattern using the Date Format Specifiers as listed in the table below. | 21.09.2013
<%TIME%> | Time. The format is determined by a user defined pattern using the Time Format Specifiers as listed in the table below. | 4.53.05 am
<%DRAWINGNAME%> | Name of the drawing file (without the full path name) | drawing1.dwg
<%FULLPATHNAME%> | Full path name of the drawing | c:\drawings\drawing1.dwg
<%USER%> | User name as derived from the system | Martin

Predefined variable names are enclosed within <% and %>

Date/Time Format Specifiers

The formats for the Date and Time are defined using a format specifiers as listed in the topics below.

Date Format Specifiers

Specifier | Description | Example
D DD DDD DDDD M MO MON MONTH YY YYYY | day number day number with leading '0' if day < 10 abbreviated day name full day name month number month number with leading '0' if month < 10 abbreviated month name full month name 2 digit year number 4 digit year number | 21 21 Fri Friday 9 09 Sep September 12 2012

Use the specifiers in the table to create a 'pattern' which will determine the date display format.

The date pattern is stored to the 'date' entry of the [TimeDate] section of DATESTAMP.INI

Localized spellings for abbreviated day names may be defined in the [DDD] section of DATESTAMP.INI

Localized spellings for full day names may be defined in the [DDDD] section of DATESTAMP.INI

Localized spellings for abbreviated month names may be defined in the [MON] section of DATESTAMP.INI

Localized spellings for full month names may be defined in the [MONTH] section of DATESTAMP.INI

Time Format Specifiers

Specifier | Description | Example
H HH MM SS AM/PM | hour number hour number with leading '0' if hour < 10 minutes number seconds number am or pm for 12 hour clock (omit for 24 hour clock) | 4 04 53 05 am

Use the specifiers in the table to create a 'pattern' which will determine the time display format.

The time pattern is stored to the 'time' entry of the [TimeDate] section of DATESTAMP.INI

Localized spellings for am and pm may be defined in the [TimeDate] section of DATESTAMP.INI

Location of DATESTAMP.INI Configuration File

DATESTAMP.INI is located in the folder:

%PROGRAMDATA%\GuthCAD\Markup

Example:

In DATESTAMP.INI:

[TimeDate]

date=DD/MO/YYYY

time=H.MM.SS AM/PM

am=am

pm=pm

The text '<%TIME%>, <%DATE%>' would resolve for example to: '4.53.05 am, 21/09/2012'


Ausgerichtete Bemaßung

Navigation: Vermessungstools >

Ausgerichtete Bemaßung

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Ausgerichtete Bemaßung

dimension2 Vermessung > Ausgerichtete Bemaßung

Abstand in zwischen Duschkabine und Waschbecken als “Ausgerichtete Bemaßung“ platzieren

The default is to snap to existing points in the drawing. Use the <SHIFT> key to add a point at a location where there is no existing point. To snap to points that are inaccessible due to being contained within a Block entity, use the Explode Blocks command prior to Dimensioning.


Horizontale Bemaßung

Navigation: Vermessungstools >

Horizontale Bemaßung

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Horizontale Bemaßung

dimehorz2 Vermessung > Horizontale Bemaßung

Zusätzliches Maß in der Zeichnung platzieren (hier eine horizontale Bemaßung)

Measures the horizontal distance between 2 points. By default snapping is to existing points in the drawing. Use the <SHIFT> key to add a point at a location where there is no existing point in the drawing.

If it is desired to snap to points that are inaccessible due to being contained within a Block entity, then use Explode Blocks command prior to Dimensioning.

After the 2nd Dimension point is placed, the user adjusts the final position of the Dimension by clicking at the desired location.


Verticale Bemaßung

Navigation: Vermessungstools >

Verticale Bemaßung

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Verticale Bemaßung

vert2pt2 Vermessung > Verticale Bemaßung

Measures the vertical distance between 2 points. By default snapping is to existing points in the drawing. Use the <SHIFT> key to add a point at a location where there is no existing point in the drawing.

If it is desired to snap to points that are inaccessible due to being contained within a Block entity, then use Explode Blocks command prior to Dimensioning.

After the 2nd Dimension point is placed, the user adjusts the final position of the Dimension by clicking at the desired location.


Abstand und Strecken Messen

Navigation: Vermessungstools >

Abstand und Strecken Messen

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Abstand und Strecken Messen

linedist Vermessung > Abstand und Strecken Messen

Leitungen einzeichnen und deren Länge ermitteln

Die Leitung einzeichnen Punkt 1 – 6 und mit der rechten Maustaste den Zeichenbefehl abschließen.
Die automatisch ermittelte Länge (hier 8.55 m) dann auf der Zeichnung platzieren

Measures the distance along a path. The path is defined by drawing a polyline. By default points along the path are placed by snapping to existing points in the drawing. Use the <SHIFT> key to add a point at a location where there is no existing point in the drawing.

The polyline is terminated when the user hits the <ESC> key or clicks the Right mouse button. The label of the length measurement is then presented for the user to place on the drawing.


Rechteckfläche ermitteln

Navigation: Vermessungstools >

Rechteckfläche ermitteln

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Rechteckfläche ermitteln

recmes Vermessung > Rectangular Area Tool

Measures a rectangular area. The rectangle is defined by the user selecting the opposing corner vertices of the rectangle. By default each opposing corner vertex is placed by snapping to an existing point in the drawing. Use the <SHIFT> key to add the corner vertex at a location where there is no existing point in the drawing.

The label of the area measurement is then presented for the user to place on the drawing.


Polygonfläche vermessen

Navigation: Vermessungstools >

Polygonfläche vermessen

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Polygonfläche vermessen

polymes Vermessung > Polygon Area Tool

Umriss in Plan einzeichnen und eingeschlossene Fläche ermitteln

Vermessung → Polygonfläche vermessen (hier 31.88 m²)

Measures an irregular polygon area. The polygon is defined by the user selecting the the vertices of the polygon in sequence. By default each vertex is placed by snapping to an existing point in the drawing. Use the <SHIFT> key to add vertices at locations where there are no existing points in the drawing.

The label of the area measurement is then presented for the user to place on the drawing.


Styles

Navigation: Vermessungstools >

Styles

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Vermessung Styles

stylemeas2 Vermessung > Styles

Configure the default style for Measurement Labels. Options are:

. Rahmen - a rectangular border will be drawn around the measurement label

. Hintergrund entfernen - the drawing directly under the measurement label will blanked out

Each option may be separately applied to 'Dimension Labels', 'Path Length Labels', and 'Area Labels.'

The style settings control the initial style of newly placed measurements. The style of already placed labels may be changed at anytime using 'Markup > Edit Text'.

siehe auch:

Markup Text ändern


Konfiguration und Kalibrierung

Navigation: Vermessungstools >

Konfiguration und Kalibrierung

 Return to chapter overview

CAD Markup / SymbolCAD / CAD QS

Konfiguration und Kalibrierung

mesurset Vermessung > Konfiguration und Kalibrierung

Set the units of measurement and scale for measurements.

Maßstab

The 2 options for setting the scale of measurements are:

Skalierung mit Maßstab

Enter a fixed scale value, either directly or by using the 'Calibrate' option.

Example: 1:10 would mean each drawing unit represents 10 real world units.

The desired scale may be gotten via the 'Calibrate' option. This option lets the user select 2 points of a known distance apart to calculate the scale.

AutoCAD-Bemaungsfaktor (DIMLFAC) benutzen

For DXF and DWG drawings, if the drawing has Dimension entities, then the DIMLFAC variable typically will defined the scale of the drawing.

Units System

Select the units system for measurements. Options are Imperial or Metric.

Genauigkeit

Select number of decimal places of precision to display for measurements. Range is 0 to 8 places.

Diesen Wert als Vorgabe verwenden

If checked then the selected Units System and Precision will become the new default for measurements.

Maßeinheiten anzeigen

If checked then a 'units label' will be append to the displayed measurement label. For example if the length units are millimeters, then append 'mm' to the displayed length.

Länge

Select the units of length display label.

Fläche

Select the units of area display label.


Symbolbibliothek Überblick

Navigation: Symbolbibliothek Befehlsreferenz >

Symbolbibliothek Überblick

 Return to chapter overview

SymbolCAD / CAD QS

Symbolbibliothek Überblick

The Symbolbibliothek functions allows the user to create a 'symbol library' from raster images.

After the library has been created, commonly used symbols may be added to the drawing by simply 'stamping' them, i.e. placing the symbol onto the drawing with at a fixed used defined size.


Symbol aus Bibliothek einfugën

Navigation: Symbolbibliothek Befehlsreferenz >

Symbol aus Bibliothek einfugën

 Return to chapter overview

SymbolCAD / CAD QS

Symbol aus Bibliothek einfugën

SymbolButtonBig Symbol > Symbol aus Bibliothëk einfugen

The 'Select Symbol' dialog is displayed.

- select the symbol to add to the drawing

- select the size at which to add the symbol

- press 'OK' and place the symbol on the drawing at the desired location

This allows the adding of a variety of symbols.

Folio: Select from a selection of symbols, e.g. roadsigns, electrical, lighting.

Size Auto: Set a predefined size.

Size Fixed: Choose the size by setting a specific value.

Size Scale: Choose the size by selecting a scaled value.


Symbol Verschieben

Navigation: Symbolbibliothek Befehlsreferenz >

Symbol Verschieben

 Return to chapter overview

SymbolCAD / CAD QS

Symbol Verschieben

Symbol > Verschieben

- select 1 or more symbols to move via an enclosing rectangle made with the mouse.

- move the selected items to a new location by selecting start and end points using the mouse.


Symbol Löschen

Navigation: Symbolbibliothek Befehlsreferenz >

Symbol Löschen

 Return to chapter overview

SymbolCAD / CAD QS

Symbol Löschen

Symbol > Löschen

Click on the symbol with the mouse to delete it.


Bild einfügen

Navigation: Symbolbibliothek Befehlsreferenz >

Bild einfügen

 Return to chapter overview

SymbolCAD / CAD QS

Symbol > Bild einfügen

Add an image to the drawing. Locate the image file on disk via the Browse dialog. Place the image on the drawing using the cursor and set the size by dragging the outline rectangle to the desired screen location.


Symbolbibliothek Konfiguration

Navigation: Symbolbibliothek Befehlsreferenz >

Symbolbibliothek Konfiguration

 Return to chapter overview

SymbolCAD / CAD QS

Symbolbibliothek Konfiguration

SymbolSettingsBig Symbol > Symbolbibliothek Konfiguration

The Symbol Library Manager dialog is used to organise the symbols for adding to drawings.

Folio: Select symbol library.

i: Displays name and file location of current symbol library.

Size Auto: Set a predefined size.

Size Fixed: Choose the size by setting a specific value.

Size Scale: Choose the size by selecting a scaled value.

Symbols Add/Delete: Add or delete symbols to the current library.

Folio New/Delete/Rename: Create a new library, delete the current library, or rename the current library.


Rotate Inserted Image

Navigation: Symbolbibliothek Befehlsreferenz >

Rotate Inserted Image

 Return to chapter overview

SymbolCAD / CAD QS

Rotate Inserted Image

SymbolRotate1buttonBig Rotates the inserted image 90 degrees anti-clockwise

SymbolRotate2buttonBig Rotates the inserted image 180 degrees.

SymbolRotate3buttonBig Rotates the inserted image drawing 90 degrees clockwise.

SymbolRotate4buttonBig Rotates the inserted image to a fixed angle.


CAD QS

QS

Navigation: QS Befehlsreferenz >

QS

 Return to chapter overview

CAD QS 2022

Der elektronische Prüfstempel für den EMPB


Öffnen einer Zeichnung

Navigation: QS Befehlsreferenz >

Öffnen einer Zeichnung

 Return to chapter overview

CAD QS

Öffnen einer Zeichnung

Es können Dateien im Vektor- (DWG, DXF, DGN, HPGL/2, DWF) und Pixelformat (TIFF, JPG, BMP) als auch PDF-Dateien geöffnet und gestempelt werden.


QS Einstellungen

Navigation: QS Befehlsreferenz >

QS Einstellungen

 Return to chapter overview

CAD QS

Festlegen von Symbolgröße, Farbe, Nummerierung usw.

markset2 QS > QS Einstellungen

Aussehen:

Nummerierung:

Attributeinstellungen:

Verschiedenes:

automatisch: Es kann aus drei voreingestellte Größen “klein, mittel, groß“ ausgewählt werden
feste Größe: Der Anwender bestimmt die Größe des Stempels. Die Textgröße der Nummern wird automatischder Stempelgröße angepasst.

Stempelfarbe: Es kann aus 20 verschiedenen Stempelfarben gewählt werden

Startnummer: Mit dieser Nummer wird der Stempelvorgang begonnen bzw. fortgesetzt

Schrittweite: Mit diesem Wert die Stempelnummerierung hochgezählt.

Hier im Beispiel: Die erste Nummer ist 20.1 dann folgt 20.2, d.h. bei Dezimalnummerierung wird die Zahl nachdem Punkt um die Schrittweite erhöht.. Ansonsten die Zahl selbst.

Führungslinie: Ist dieser Schalter gesetzt, wird eine Verbindungslinie gezeichnet, ansonsten nicht (sieheAbschnitt "Setzen der QS.- Symbole

Abfrage Startnummer / Schrittweite: Wenn dieser Schalter gesetzt ist, erscheint bei Beginn oderWiederaufnahme des Stempelvorganges eine Eingabebox zum Ändern von Startnummer und/oder Schrittweite.

Merkmalseingabe aktivieren: Ist dieser Schalter gesetzt, öffnet sich beim Setzen jedes Stempels automatischdie Eingabemaske für dessen Merkmale, so dass diese direkt eingegeben werden können. Ein späteresEingeben oder Ändern ist jederzeit über den Befehl “Merkmale hinzufügen/ändern“ möglich.

Maß- und Toleranzübernahme: Dimension and Tolerance values are captured directly from the drawing. Placing a stamp in this case is a two step process. (1) Place the QS stamp on the drawing, and (2) Locate the dimension value to capture by clicking on it.

Notes:

The Capture Dimension Value option is grayed if the QS Attributes Table definition does not contain a field of type 'Dimension'. See Define QS Attributes Table.

Capture Dimensions is currently available for DWG/DXF, DGN, and PDF drawings.

For important information regarding capture of dimension text from PDF drawings please refer to Maßübernahme aus PDF-Zeichnungen - Hinweise

Zeichnungszonen benutzen: Location (zone) information is attached to the placed QS symbol. Siehe auch: Zeichnungszonen Einstellung

Merkmalsliste: Wählen Sie die Attributdefinitionstabelle aus, die für die aktuelle Zeichnung verwendet werden soll. - Siehe auch: Define the QS Attributes Table

Freimaßtoleranz 1:

Freimaßtoleranz 2:

Export der Merkmale:

CSV Trennzeichen: Als Trennzeichen für die ASCII-Ausgabe der Merkmale stehen “,“ und “;“ Komma und Strichpunkt(Semikolon) zur Verfügung.

Excel-Vorlage: Geben Sie die Standard-Excel-Vorlage an.

Excel-Vorlage (*): Konfigurieren Sie eine Excel-Vorlagendatei. Beziehen auf: Excel-Vorlagen verwalten


Setzen der QS - Symbole

Navigation: QS Befehlsreferenz >

Setzen der QS - Symbole

 Return to chapter overview

CAD QS

Setzen der QS - Symbole

qamrk QS > QS Stempel

Prüfstempel hinzufügen (über Pull-Down-Menü oder Werkzeugkasten links),
positionieren (1) und in die gewünschte Richtung drehen (2)

Der 1. Mausklick definiert Zentrum des Prüfstempel - der 2. Mausklick positioniert die Pfeilspitze (in der Nähe des Prüfmaßes) und bestimmt gleichzeitig die Richtung des Stempels.
Wird der 2. Punkt außerhalb der Stempelgeometrie gewählt, so wird eine Verbindungslinie zu dorthin erzeugt. (für beengte Platzverhältnisse)

Der Befehl bleibt aktiv, so dass sofort der nächste Prüfstempel gesetzt werden kann


Merkmale hinzufügen/ändern

Navigation: QS Befehlsreferenz >

Merkmale hinzufügen/ändern

 Return to chapter overview

CAD QS

Merkmale an das QS Symbol hinzufügen oder ändern

exqa QS > Merkmale hinzufügen/ändern

Note: Before using QS Attributes, the Attribute fields need to be defined. The topic entitled 'Specify the QS Attributes Table' explains this preliminary requirement.

Attributes may be attached to the QA stamp either during the QA stamp placement, or at a later time.

Add/Edit Attributes at the time of the adding the QS Stamp

To activate attributes attachment during QA stamp placement, check the option 'Merkmalseingabe aktiieren' in the 'QS Einstellungen' dialog.

After the QA stamp is added to the drawing a data entry dialog will be displayed into which attributes data may be entered (or changed from the default values.) In the case that Maßübernahme aus DWG- und DXF-Zeichnungen is activated this step will occur immediately after the Dimension Capture step.

Add/Edit Attributes at a later time

To add or edit the attributes of existing QA stamps in the drawing the user selects QS > Add/Edit QS Attributes and clicks on the QS stamp of interest to bring up the Attributes data entry dialog.

Use values as default

Check this option to use the current values entered as the ongoing default values during the session for newly placed QA symbols. Note that this setting is only valid during the current session. To permanently set default values use the ATTDEF.INI file (refer to 'Specify the QS Attributes Table' for more information.)


Speichern von Anmerkungen (Markup) und QS-Symbolen

Navigation: QS Befehlsreferenz >

Speichern von Anmerkungen (Markup) und QS-Symbolen

 Return to chapter overview

CAD QS

Speichern von Anmerkungen (Markup) und QS-Symbolen

svmrkup Datei > Markupdatei speichern

Markup- und QS- Elemente werden standardmäßig im VerzeichnisC:\Programme\CADViewer2022\t\Editsgespeichert.
Beim späteren Öffnen der Zeichnung (PDF, DWG, DXF, TIFF ...) wird die Markup-Datei automatischdazugeladen. Damit sind alle bisher gemachten Bemerkungen vorhanden und können geändert bzw. ergänzt werden.

Achtung: Mit dem Befehl "Speichern unter“ wird die Zeichnung zusammen mit den Bemerkungen ineiner Dateigespeichert (z.B. TIFF oder PDF) z.B. zum Archivieren oder versenden. In dieser Datei ist kein nachträgliches Ändern möglich.

Wenn die Zeichnungen auf einem Netzlaufwerk liegen und mehrere Benutzer von verschiedenen Arbeitsplätzendarauf zugreifen, muss auchein gemeinsames Markup-Verzeichnis auf dem Server angelegt werden.

Heißt dieses z.B.S:\Markupdateien, müssen Sie den EintragFolder1= im Abschnitt[SaveEditsFolders] der

CADVIEWER.INI entsprechend anpassen: Folder1=S:\Markupdateien


Export der Merkmale

Navigation: QS Befehlsreferenz > Export der Prüfmerkmale >

Export der Merkmale

 Return to chapter overview

CAD QS

Export der Merkmale

edqa

QS > Export der Merkmale > CSV

QS > Export der Merkmale > Excel

QS > Export der Merkmale > Word XML

Data that has been attached to QS stamps may be exported to a CSV file (.txt, .csv) or an Excel spreadsheet (.xls, .xlsx, .xlsm) or a Word XML document (.xml). The resultant file may be imported to or directly read by spreadsheets software such as MS Excel, OpenOffice Calc, LibreOffice Calc, WPS Office, Google Sheets, etc, or any other software that can import CSV files or directly read MS Excel files or Word XML files. The first line of the output file optionally contains the Field names, and subsequent lines contain the data. The predefined field 'QA_NUM' contains the sequential number of the corresponding QS stamp.

The separator for the exported data may be either a comma ',' or semicolon ';'. The separator is selected in QS Settings.

Example:

Export data from drawing with 3 stamps (with Header row turned on):

Resultant CSV data:

QA_NUM,Name,Part #,Dimension,Factory

1,CBA Mounting,CBA-38D,38,Detroit

2,CBC Mounting,CBC-25D,25,Detroit

3,PA Mounting,PA-25C,25,Chicago


Excel-Vorlagen konfigurieren

Navigation: QS Befehlsreferenz > Export der Prüfmerkmale >

Excel-Vorlagen konfigurieren

 Return to chapter overview

CAD QS

Excel-Vorlagen konfigurieren

edqa QS > QS Einstellungen > Attributeinstellungen > Excel-Vorlagen konfigurieren

QA attributes data may be exported to a pre-configured Excel template file. Template designs are configured and managed in the Manage Excel Templates dialog. This dialog is accessed by clicking the 'Configure Excel Template' button next in the Attributes tab of the QA Settings dialog.

Manage Excel Templates dialog:

Template Name: Name of the Excel Template

New: Name a new template

Rename: Rename a template

Delete: Delete a template

Import: Import a template

Export: Export a template

Excel File Name: Full path name of an Excel spreadsheet that will be used as the template

Configure Sheet: Invokes the Configure Sheet dialog

Split data output: Splits data to different sheets based on sheet configuration.


Speichern der Zeichnung als PDF-Dokument

Navigation: QS Befehlsreferenz >

Speichern der Zeichnung als PDF-Dokument

 Return to chapter overview

CAD QS

Speichern der Zeichnung als PDF-Dokument

svpdfbig Datei > Speichern unter PDF

(zum Archivieren oder Versenden per Email)

Pull-Down-Menü Datei -> Druckenund PDF-XChange 3.0 als Drucker(treiber) auswählen Mit dem Schalter Einstellungen Format (Page Size), Auflösung (Resolution) in dpi sowie Papierausrichtung (Orientation) einrichten.

Falls die Zeichnung nicht maßstäblich sein muss "An Seite anpassen“ aktivieren

Die anderen Einstellungen können wie im Bild oben übernommen werden


Maßübernahme aus DWG- und DXF-Zeichnungen

Navigation: QS Befehlsreferenz >

Maßübernahme aus DWG- und DXF-Zeichnungen

 Return to chapter overview

CAD QS

Maßübernahme aus DWG/DXF- und PDF-Zeichnungen

QS > QS Einstellungen: Merkmalseingabe und Maß- und Toleranzübernahme aktivieren

Nach den Klicks für Position und Richtung des Stempels wird durch einen Klick auf das Maß dieses ins

Attribut-Feld “Maß“ übernommen. (Dieses Feld kann anders benannt werden)

siehe auch:

Maßübernahme aus PDF-Zeichnungen - Hinweise

- 8 -


Maßübernahme aus PDF-Zeichnungen - Hinweise

PDF Dimension Capture Notes

Navigation: QS Befehlsreferenz >

PDF Dimension Capture Notes

 Return to chapter overview

CAD QS

Maßübernahme aus PDF-Zeichnungen - Hinweise

While CAD QS 2022 supports capture of dimensions from PDF drawings, capture is not as straight forward as that from CAD drawings (such as AutoCAD DWG/DXF and Microstation DGN.) For some PDF drawings (e.g. scanned paper images) the current software does not support capture at all, although this will be improved in a future release supporting OCR (about mid 2019.) To get an understanding of the difficulties:

Comparison of Capturing Dimensions from a CAD drawing versus capture from a PDF drawing

CAD Drawing:

Dimensions are specified as 'Dimension' entities which give the exact distance between points in double precision accuracy, as well as any associated tolerances (again in double precision accuracy.) The exact text for the clicked on Dimension is also specified as part of the Dimension entity.

PDF Drawing:

The PDF format does not contain any comparable entity to a CAD 'Dimension' entity. Instead there is simply text and drawn lines and arrows. CAD QS 2022 uses algorithmic testing to determine whether PDF text is a dimension value or a tolerance value, and is also able to associate nearby texts such that in most cases it is able recreate the original complete Dimension + Tolerances values.

However, as mentioned in the first paragraph CAD QS 2022 does not currently support Dimension Capture from some PDF drawings. PDF drawings for which Dimension Capture is not supported are:

- the drawing is a scanned image, or scanned paper drawing

- the 'text' in the drawing is not actually text but instead is drawn line work, or filled areas giving the shape of text

An independent test to see whether text in the PDF is actual text that can be captured by CAD QS 2022 is to open the drawing in Adobe Acrobat. If the text can be selected in Adobe as text then it should also be able to be captured by CAD QS 2022, otherwise not. A similar test can be done in CAD QS 2022 itself via Inquire>Text or Edit>Find Text.

siehe auch:

Maßübernahme aus DWG- und DXF-Zeichnungen


Benutzung von mehreren Markup-Verzeichnissen

Navigation: QS Befehlsreferenz >

Benutzung von mehreren Markup-Verzeichnissen

 Return to chapter overview

CAD QS

Benutzung von mehreren Markup-Verzeichnissen

Um das Speichern der Markupdateien in verschiedene Verzeichnisse zu ermöglichen, muss im Abschnitt [SaveEditsFolders] der cadviewer.ini folgender beispielhafte Eintrag gemacht bzw. geändert werden:

[SaveEditsFolders]

num=4

Name1=Diaphragm Valves

Name2=Butterfly Valves

Name3=Ball Valves

Name4=Pumps

Folder1=s:\Markups\Diaphragm_Valves

Folder2=s:\Markups\Butterfly_Valves

Folder3=s:\Markups\Ball_Valves

Folder4=s:\Markups\Pumps

UserFolderEnabled=1

UserFolderName=Eigene Dateien (lokal)

Wenn “UserFolderEnabled=0“ - erscheint die Auswahl “Eigene Dateien (lokal)“ nicht.
Das heißt der Anwender kann keine Stempeldateien lokal speichern. Es stehen ihm nur die spezifizierten (Netzwerk)-Verzeichnisse zur Verfügung. (siehe Abbildung 2)

num=4 Es stehen die angegebenen vier Verzeichnisse (Folder1 bis Folder4) zur Verfügung. Wird der Wert von num auf 0 oder 1 zurückgesetzt, sind diese Verzeichnisse nicht mehr aktiv.

Hier befindet sich das lokale MarkupVerzeichnis “Eigene Dateien (lokal)“

bei XP: C:\Dokumente und Einstellungen\<Username>\Anwendungsdaten\GuthCAD\CVDE2022.0\edits

bei Vista: C:\Users\<Username>\AppData\Roaming\GuthCAD\CVDE2022.0\edits

(wobei <Username> für den Login-Namen des Anwenders steht)


Farbe / Größe ändern

Navigation: QS Befehlsreferenz >

Farbe / Größe ändern

 Return to chapter overview

CAD QS

Farbe / Größe ändern

exqa QS > Farbe_/_Größe_ändern

Erlaubt es, die QS-Symboleigenschaften Stiftfarbe, Deckkraft und Größe einzeln oder global zu ändern.

Nachdem Sie die gewünschten zu ändernden Eigenschaften ausgewählt haben, klicken Sie auf OK und dann auf das QS-Symbol, um es zu ändern. Wenn "Global" aktiviert ist, werden durch Klicken auf ein QS-Symbol die Eigenschaften aller QS-Symbole in der Zeichnung geändert, die dieselbe Stiftfarbe wie das ausgewählte Symbol aufweisen.


Stempel löschen

QS Stempel löschen

Navigation: QS Befehlsreferenz >

QS Stempel löschen

 Return to chapter overview

CAD QS

QS Stempel löschen

delete2 QS > Stempel löschen

Löschen Sie einzelne <% QA%> Symbole aus der Zeichnung. Suchen Sie das <% QA%> Symbol, das mit dem Cursor gelöscht werden soll, und klicken Sie, um es zu löschen.

See Also:

Neu nummerieren


Neu nummerieren

Navigation: QS Befehlsreferenz >

Neu nummerieren

 Return to chapter overview

CAD QS

Renumber QS Symbol numbers

Renumber2 QS > Neu nummerieren

Renumber QS symbols in the drawing.

Enter a starting number and increment value. For example if the starting number is '5' and the increment is '5' the stamps will be renumbered in the sequence 5,10,15,20,...

Renumber also allows Alphabetic numbering. In the case of Alphabetic numbering, the increment value is ignored. For example if the start value is 'A', the stamps will be renumbered A,B,C,D,...


Einzelner Stempel verschieben

Navigation: QS Befehlsreferenz >

Einzelner Stempel verschieben

 Return to chapter overview

CAD QS

Einzelner Stempel verschieben

measmove2 QS > Einzelner Stempel verschieben

Bewegen Sie Markup-Elemente an eine neue Position. Wählen Sie die Elemente mit der Maus (machen Sie ein Rechteck.) Bewegen Sie die ausgewählten Elemente durch Klicken auf eine Startposition und eine Zielposition.

siehe auch:

Mehrere Stempel verschieben


Mehrere Stempel verschieben

Navigation: QS Befehlsreferenz >

Mehrere Stempel verschieben

 Return to chapter overview

CAD QS

Mehrere Stempel verschieben

qamove12 QS > Mehrere Stempel verschieben

Bewegen Sie einzelnen QS-Symbole. Suchen Sie den QS-Symbol, indem Sie auf sie. Verschieben Sie es an die neue Position.

siehe auch:

Einzelner Stempel verschieben


Stempel-Layer

Navigation: QS Befehlsreferenz >

Stempel-Layer

 Return to chapter overview

CAD QS

Stempel-Layer

QS > Stempel-Layer

<% QA%> Symbolsätze können durch Farbe ein- / ausgeschaltet werden.

Alle Stiftlagen auf:

Die rote Stiftschicht ist ausgeschaltet.


Define the QS Attributes Table

Navigation: QS Befehlsreferenz >

Define the QS Attributes Table

 Return to chapter overview

CAD QS

Define the QS Attributes Table

The QS Attributes Table defines the data attributes that are attached to each QS stamp when it is placed on the drawing.

The QS Attributes Table is specified in the 'Define Attributes Table' dialog. This dialog is accessed by clicking the '*' button next to the 'Definition table' dropdown list in the QA Settings dialog (QA > QA Settings.)

The 'Define Attributes Table' dialog:

Table

The user defined name of the Table being defined or edited.

Type

The field type. The field type may be any of:

Text

Dimension

Upper Tol

Lower Tol

Max Dimension

Min Dimension

IT Class

The field type is selected via the '...' button next to the Field Name.

Field Name

User defined name for each field.

Default Value

This is the value that should be initially assigned for the field when each stamp is placed. Leave blank if no initial value is required.

Predefined values may be presented to the user for selection from a drop down list of values. To specify whether values should be entered by the user directly or by selecting from a predefined list of values, click the '...' button next to the Default Value.

Manage Lists

Create, edit, delete lists of values that may be used for user value selection when the user places each stamp.

Restore

Restores the current table to its state before any changes were made.

Save

Save changes to the current table.

New

Create a new table.

Rename

Rename the current table.

Delete

Delete the current table.


Zeichnungszonen Einstellung

Navigation: QS Befehlsreferenz >

Zeichnungszonen Einstellung

 Return to chapter overview

CAD QS

Zeichnungszonen Einstellung

Die Option "Zeichnungszonen benutzen" in den QS Einstellungen ist standardmäßig aktiviert. (siehe QS Einstellungen). Dadurch wird jedem QS-Symbol Zeichnungszonen-Label angehängt, welches seinen Standort in der Zeichnung anzeigt. Bevor die Labels erzeugt werden können, müssen die Zonen der Zeichnung definiert werden. Dies geschieht über QS > Zeichnungszonen Einstellung (F2)

Erläuterungen zu der Dialog-Box „Zeichnungszonen Einstellungen“:

Reihen

Anzahl der Reihen (hier im Bild oben 8 und zwar A bis H)

Spalten

Anzahl der Spalten (hier im Bild oben 12 und zwar 1-12)

Koordinaten Unten Links

xy-Koordinate der unteren linken Ecke des Zeichnungsbereiches

Koordinaten Oben Rechts

xy-Koordinate der oberen rechten Ecke des Zeichnungsbereiches

Eckpunkte der Zeichnungszonen festlegen

Festlegen dieser beiden Punkte durch klicken mit der Maus.

Buchstaben in den Reihen bzw. Spalten

Setzen Sie hier den Schalter entsprechend.

Reihen bedeutet, dass sich die Zonen mit den Buchstaben entlang der y-Achse befinden -

Spalten bedeutet, dass sich die Zonen mit den Buchstaben entlang der x-Achse befinden.

Benutzung der Buchstaben 'I' und 'O'

Weil der I mit dem J und der O mit der 0 (Null) verwechselt werden kann, werden diese beiden Buchstaben meist nicht verwendet. Falls Sie doch verwendet werden, setzten Sie diesen Schalter.

Ursprung

Die Zone A1 ist der Ursprung.

Anzeige der Zeichnungszonen

Blendet die eingestellten Zeichnungszonen zur Kontrolle ein.

Zonenbeschriftungen

Zeichnen Sie Gitterbeschriftungen am Rand der Zeichnung.

Gitterbeschriftungen können optional angezeigt werden mit:

- Keine Linienkante

- Einzeiliger Rand

- Kastenrand"

Gitterlinien zeichnen

Gitterlinien zeichnen

Ausgabeformat:

Blatt

Bei mehrseitigen PDFs ist es notwendig die Information mit auszugeben um welches Blatt es sich handelt. Die Blattnummer wird der Zeichnungszone vorangestellt. Beispiel: Befindet sich ein Stempel in der Zone C3 auf Blatt 1 wird standardmäßig „Blatt 1, C3“ ausgegeben.

Referenzort Ausgabeformat

Dieses Ausgabeformat kann auch benutzerspezifisch konfiguriert werden.

Das Format des Referenzstandortes wird mit Klartext und den Variablen

<%SHEET%> und <%ZONE%> definiert.

Beispiel 1:

Blattformat = Page <%SHEET%>,

Zonenformat = Zone <%ZONE%>

Für die Werte sheet=1 und zone=C3 ergibt sich:

Page 1, Zone C3

Beispiel 2:

Blattformat = <%SHEET%> :

Zonenformat = <%ZONE%>

Für die Werte sheet=1 und zone=C3 ergibt sich:

1 : C3

Bemerkung 1: Zwischen der Blattnummer und der Zone wird immer ein Leerzeichen ausgegeben.

Bemerkung 2: Die Blattnummer wird nur ausgegeben wenn die Option „Blatt“ markiert ist.


Overview

Navigation: QS Befehlsreferenz > CAD QS inter-process communication >

Overview

 Return to chapter overview

CAD QS

CAD QS inter-process communication

CAD QS supports communication with your own or third party application using the WM_COPYDATA method. Messages may be sent by your application to CAD QS to inquire on drawing information, or to invoke an action. Messages received by your application from CAD QS give notification of a user event, or the result of a sent inquiry.

A small example program called QAMON.EXE along with source code QAMON.CPP is located in the software's installation folder.

Establish a connection

Prior to sending of receiving messages a connection between your application and CAD QS must be established. See Establish Connection.

Send an inquiry or command

Messages to inquire on drawing information or to invoke an action are sent via the Window's SendMessage function, with WM_COPYDATA parameter. Reference:

INQ_NUM_QA_SYMS

INQ_QA_SYM_IDS

INQ_QA_SYM_PENS

INQ_QA_SYM

INQ_QA_ATTDEFS

SET_QA_ATTRIB

Receive a user event notification, or data inquiry response

Messages are received by your application via data attached to the Windows's WM_COPYDATA message. Reference:

QA_WM_COPYDATA_CONNECT

QA_SYM_ADDED

QA_SYM_DELETED

QA_SYM_MOVED

QA_SYM_ATTRIBS_CHANGED

PAGE_CHANGED

QA_GLOBAL_RENUMBER

QA_GLOBAL_PEN_SIZE_CHANGE

QA_PEN_SIZE_CHANGED

MARKUPS_SAVED_STATUS

Message Defines

All of the above messages are simple number defines as below. Include the list of defines in the calling application:

// Notifications

#define QA_WM_COPYDATA_CONNECT 1

#define QA_SYM_ADDED 2

#define QA_SYM_DELETED 3

#define QA_SYM_MOVED 4

#define QA_SYM_ATTRIBS_CHANGED 6

#define PAGE_CHANGED 7

#define QA_GLOBAL_RENUMBER 8

#define QA_GLOBAL_PEN_SIZE_CHANGE 10

#define QA_PEN_SIZE_CHANGED 11

#define MARKUPS_SAVED_STATUS 12

// Inquiry

#define INQ_NUM_QA_SYMS 100

#define INQ_QA_SYM_IDS 101

#define INQ_QA_SYM_PENS 102

#define INQ_QA_SYM 103

#define INQ_QA_ATTDEFS 104

// Commands

#define SET_QA_ATTRIB 200


Establish Connection

Navigation: QS Befehlsreferenz > CAD QS inter-process communication >

Establish Connection

 Return to chapter overview

CAD QS

Establish Connection

The calling application needs to establish a connection to CAD QS prior to any other inter-process communication. The method is

(1) Search for the open CAD QS window and get its handle

Example code:

HWND hwndQA = FindWindow(L"guthcadqa",NULL);

(2) send your own application's main window handle to CAD QS using the WM_COPYDATA message containing the string "/HWND".

Example code:

{

COPYDATASTRUCT cd;

cd.dwData = 0;

cd.lpData = L"/HWND"; // trial mode limits inquiry messages to 25 QA symbols

// cd.lpData = L"/HWND=developer_unlock_code"; // developer unlock code removes trial limits

cd.cbData = 12; // length in bytes of lpData

// hWnd is the handle to your applications main window

// it will be registered with QA as the window to send messages to, and accept messages from

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

}

(3) Receive a confirmation message back from CAD QS that the connection was established

Refer to QA_WM_COPYDATA_CONNECT


INQ_NUM_QA_SYMS

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Inquiry >

INQ_NUM_QA_SYMS

 Return to chapter overview

CAD QS

INQ_NUM_QA_SYMS

Inquire on the number of QA Symbols in the currently loaded document. The return data lists the number of pages in the document that have QA symbols added to them, and the page number and count for each such page.

The message is initially sent to CAD QS, and the same message is used to receive the information back from CAD QS.

Send parameters

None

Returned data format

NUMPAGES=<NUMBER>

CURRENTPAGE=<PAGENUMBER>

PAGE_AND_COUNT=<PAGE>,<COUNT>

PAGE_AND_COUNT=<PAGE>,<COUNT>

...

Returned data example

NUMPAGES=2

CURRENTPAGE=3

PAGE_AND_COUNT=1,2

PAGE_AND_COUNT=3,2

Notes

Only the number of pages that contain QA symbols are returned in NUMPAGES.

Page numbers are 1 based (i.e. the first page is '1')

The current page may be a page that does not currently have any QA numbers added.

If the current drawing does not contain any QA symbols, the PAGE_AND_COUNT pairs are omitted.

If the current session does not have any drawings returned data is:

NUMPAGES=0

CURRENTPAGE=0

Example Code for send:

HWND hwndQA;

int inquire_number_of_qa_symbols(HWND hWnd)

{

COPYDATASTRUCT cd;

cd.dwData = INQ_NUM_QA_SYMS;

cd.lpData = NULL;

cd.cbData = 0;

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

return 0;

}

Example Code for receive:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == INQ_NUM_QA_SYMS) {

// Parse the data:

parse_num_qa_syms_info((wchar_t *)cp->lpData);

...

}

}

..

}


INQ_QA_ATTDEFS

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Inquiry >

INQ_QA_ATTDEFS

 Return to chapter overview

CAD QS

INQ_QA_ATTDEFS

Inquire on the QA Attributes definition table.

The message is initially sent to CAD QS, and the same message is used to receive the information back from CAD QS.

Send parameters

none

Returned data format

TABLE=<TABLE_NAME>

NUM=<ATTRIBS_COUNT>

TYPE=TAG

...

Returned data example

TABLE=TOLERANCES EXAMPLE

NUM=8

0=Inspection criterion

1=Dimension

6=IT Class

2=Upper Tol

3=Lower Tol

4=Maximum Dimension

5=Minimum Dimension

0=Measurement Equip

Notes

CAD QS keeps track of QA symbols via an ID.

QA field types are identified by a number as per the defines in the list below.

#define FT_TEXT 0

#define FT_DIM 1

#define FT_UTOL 2

#define FT_LTOL 3

#define FT_MAXDIM 4

#define FT_MINDIM 5

#define FT_ITCLASS 6

#define FT_DIMLAB 7

#define FT_LTOL_POSITIVE 8

Example Code for send:

HWND hwndQA;

int inquire_qa_sym(HWND hWnd,int id_qa_symbol)

{

COPYDATASTRUCT cd;

cd.dwData = INQ_QA_ATTDEFS;

cd.lpData = NULL;

cd.cbData = 0;

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

return 0;

}

Example Code for receive:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == INQ_QA_ATTDEFS) {

// Parse the data:

parse_qa_attribs_table((wchar_t *)cp->lpData);

...

}

}

..

}


INQ_QA_PEN_LAYERS

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Inquiry >

INQ_QA_PEN_LAYERS

 Return to chapter overview

CAD QS

INQ_QA_PEN_LAYERS

Get a list of the QA pen Layers in the current document.

The message is initially sent to CAD QS, and the same message is used to receive the information back from CAD QS.

Send parameters

none

Returned data format

<COUNT>

<PEN_NUMBER>=<ONOFF>,<PEN_NUMBER>=<ONOFF>,..,<PEN_NUMBER>=<ONOFF>

Returned data example

3

1=1,6=0,9=1

meaning is:

red on

magenta off

gray on

Notes

CAD QS keeps track of QA symbols via an ID.

Pen numbers are as listed in the table here.

Example Code for send:

HWND hwndQA;

int inquire_qa_pen_layers(HWND hWnd)

{

COPYDATASTRUCT cd;

wchar_t wsz_param[256] = L"";

cd.dwData = INQ_QA_PEN_LAYERS;

cd.lpData = NULL;

cd.cbData = 0;

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

return 0;

}

Example Code for receive:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == INQ_QA_PEN_LAYERS) {

// Parse the data:

parse_qa_pen_layers((wchar_t *)cp->lpData);

...

}

}

..

}


INQ_QA_SYM

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Inquiry >

INQ_QA_SYM

 Return to chapter overview

CAD QS

INQ_QA_SYM

Inquire on a QA symbol. All information pertaining to the symbol including size, position, and attributes are returned.

The message is initially sent to CAD QS, and the same message is used to receive the information back from CAD QS.

Send parameters

<QA_SYMBOL_ID>

Returned data format

ID=<QA_SYMBOL_ID>

QANUM=<QANUM>

PEN=<PEN>

POS=<X,Y>

SIZE=<SIZE>

ROT=<ANGLE>

LEADER=<XL,YL>

ZONE=<ZONE_LABEL>

TIMES=<TIMES>

NUM_ATTRIBS=<COUNT>

TAG=VALUE

...

Returned data example

ID=147

QANUM=1

PEN=1

POS=156.779571,26.116639

SIZE=18.1117

ROT=-121.2317

LEADER=146.860888,9.761363

ZONE=D8

TIMES=1

NUM_ATTRIBS=6

Dimension=184

Over-allowance=0.1

Under-allowance=-0.1

Maximim size=184.1

Minium size=183.9

Equipment=FARO

Notes

CAD QS keeps track of QA symbols via an ID.

Only attributes that contain data are reported.

Example Code for send:

HWND hwndQA;

int inquire_qa_sym(HWND hWnd,int id_qa_symbol)

{

COPYDATASTRUCT cd;

wchar_t wsz_param[256];

cd.dwData = INQ_QA_SYM;

wsprintf(wsz_param,L"%d",id_qa_symbol);

cd.lpData = wsz_param;

cd.cbData = 2 + wcslen(wsz_param) * 2; // length in bytes of lpData

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

return 0;

}

Example Code for receive:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == INQ_QA_SYM) {

// Parse the data:

parse_qa_sym_data((wchar_t *)cp->lpData);

...

}

}

..

}


INQ_QA_SYM_IDS

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Inquiry >

INQ_QA_SYM_IDS

 Return to chapter overview

CAD QS

INQ_QA_SYM_IDS

Get a list of the QA Symbol IDs on a page in the current document.

The message is initially sent to CAD QS, and the same message is used to receive the information back from CAD QS.

Send parameters

<PAGE_NUMBER>

Returned data format

PAGE=<PAGE_NUMBER>

NUM=<QA_SYMBOL_COUNT>

IDS=<ID_1>,<ID_2>, ...<ID_NUM>

Returned data example

PAGE=1

NUM=4

IDS=147,149,151,153

Notes:

CAD QS keeps track of QA symbols via an ID.

Example Code for send:

HWND hwndQA;

int inquire_qa_ids(HWND hWnd,int ipage_number)

{

COPYDATASTRUCT cd;

wchar_t wsz_param[256];

cd.dwData = INQ_QA_SYM_IDS;

wsprintf(wsz_param,L"%d",icurrent_page); // page numbers start at '1'

cd.lpData = wsz_param;

cd.cbData = 2 + wcslen(wsz_param) * 2; // length in bytes of lpData

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

return 0;

}

Example Code for receive:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == INQ_QA_SYM_IDS) {

// Parse the data:

parse_qa_sym_ids((wchar_t *)cp->lpData);

...

}

}

..

}


INQ_QA_SYM_NUMS

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Inquiry >

INQ_QA_SYM_NUMS

 Return to chapter overview

CAD QS

INQ_QA_SYM_NUMS

Get a list of the QA numbers on a page in the current document.

The message is initially sent to CAD QS, and the same message is used to receive the information back from CAD QS.

Send parameters

<PAGE_NUMBER>

Returned data format

<COUNT>

<ID_1>=<QANUM_1>,<ID_2>=<QANUM_2>,...,<ID_COUNT>=<QANUM_COUNT>

Returned data example

4

147=1,149=2,151=3,153=5

Notes

CAD QS keeps track of QA symbols via an ID.

Example Code for send:

HWND hwndQA;

int inquire_qa_ids_and_nums(HWND hWnd,int ipage_number)

{

COPYDATASTRUCT cd;

wchar_t wsz_param[256];

cd.dwData = INQ_QA_SYM_NUMS;

wsprintf(wsz_param,L"%d",icurrent_page); // page numbers start at '1'

cd.lpData = wsz_param;

cd.cbData = 2 + wcslen(wsz_param) * 2; // length in bytes of lpData

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

return 0;

}

Example Code for receive:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == INQ_QA_SYM_NUMS) {

// Parse the data:

parse_qa_sym_ids_and_nums((wchar_t *)cp->lpData);

...

}

}

..

}


INQ_QA_SYM_PENS

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Inquiry >

INQ_QA_SYM_PENS

 Return to chapter overview

CAD QS

INQ_QA_SYM_PENS

Get a list of the QA symbol pen colors on a page in the current document.

The message is initially sent to CAD QS, and the same message is used to receive the information back from CAD QS.

Send parameters

<PAGE_NUMBER>

Returned data format

<COUNT>

<ID_1>=<PEN_1>,<ID_2>=<PEN_2>,...,<ID_COUNT>=<PEN_COUNT>

Returned data example

4

147=1,149=1,151=1,153=3

Notes

CAD QS keeps track of QA symbols via an ID.

Pen numbers are as listed in the table here.

Example Code for send:

HWND hwndQA;

int inquire_qa_ids_and_nums(HWND hWnd,int ipage_number)

{

COPYDATASTRUCT cd;

wchar_t wsz_param[256];

cd.dwData = INQ_QA_SYM_PENS;

wsprintf(wsz_param,L"%d",icurrent_page); // page numbers start at '1'

cd.lpData = wsz_param;

cd.cbData = 2 + wcslen(wsz_param) * 2; // length in bytes of lpData

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

return 0;

}

Example Code for receive:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == INQ_QA_SYM_PENS) {

// Parse the data:

parse_qa_sym_pens((wchar_t *)cp->lpData);

...

}

}

..

}


INQ_QA_SYM_SIZES

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Inquiry >

INQ_QA_SYM_SIZES

 Return to chapter overview

CAD QS

INQ_QA_SYM_SIZES

Get a list of the QA Symbol sizes on a page in the current document.

The message is initially sent to CAD QS, and the same message is used to receive the information back from CAD QS.

Send parameters

<PAGE_NUMBER>

Returned data format

<COUNT>

<ID_1>=<SIZE_1>,<ID_2>=<SIZE_2>,...,<ID_COUNT>=<SIZE_COUNT>

Returned data example

4

147=20.0,149=20.0,151=20.0,153=15.0

Notes

CAD QS keeps track of QA symbols via an ID.

Example Code for send:

HWND hwndQA;

int inquire_qa_ids_and_nums(HWND hWnd,int ipage_number)

{

COPYDATASTRUCT cd;

wchar_t wsz_param[256];

cd.dwData = INQ_QA_SYM_SIZES;

wsprintf(wsz_param,L"%d",icurrent_page); // page numbers start at '1'

cd.lpData = wsz_param;

cd.cbData = 2 + wcslen(wsz_param) * 2; // length in bytes of lpData

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

return 0;

}

Example Code for receive:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == INQ_QA_SYM_SIZES) {

// Parse the data:

parse_qa_sym_sizes((wchar_t *)cp->lpData);

...

}

}

..

}


QA_WM_COPYDATA_CONNECT

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Notifications >

QA_WM_COPYDATA_CONNECT

 Return to chapter overview

CAD QS

QA_WM_COPYDATA_CONNECT

Notification that a valid connection between your application and CAD QS has been established.

A wide character string is also returned which contains the version and license name.

Example Code:

HWND hwndQA; // previously found handle to CAD QS

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == QA_WM_COPYDATA_CONNECT) {

// connection succeeded

// CAD QS version and license name is contained in cp->lpData

...

}

}

..

}


MARKUPS_SAVED_STATUS

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Notifications >

MARKUPS_SAVED_STATUS

 Return to chapter overview

CAD QS

MARKUPS_SAVED_STATUS

This message is in response to the /SAVEM command, to indicate the status of the Save operation. The returned flag value is either of:

1 = Markups were saved

2 = Markups were queued for save later (due to the user being in the middle of an operation.)

Received data format

<FLAG>

Received data example

1


PAGE_CHANGED

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Notifications >

PAGE_CHANGED

 Return to chapter overview

CAD QS

PAGE_CHANGED

Notification that the user moved to a new page in a multi-page document or drawing.

The new page number is returned in a wide character string.

Received data format

<NEW_PAGE_NUMBER>

Received data example

2

Notes

Page number is 1 based (i.e. start from 1)

Example Code:

HWND hwndQA;

int new_page_number;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == PAGE_CHANGED) {

// Parse the data:

new_page_number = _wtoi((wchar_t *)cp->lpData);

}

}

..

}


QA_GLOBAL_PEN_SIZE_CHANGE

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Notifications >

QA_GLOBAL_PEN_SIZE_CHANGE

 Return to chapter overview

CAD QS

QA_GLOBAL_PEN_SIZE_CHANGE

Informs that a global pen size and / or color change was performed for the current page.

Received data format

<FLAG>

Received data example

3

Notes

After receiving this notification, to get a list of new QA numbers use the INQ_NUM_QA_SYMS and INQ_QA_SYM_SIZES messages.

The returned flag value has the meanings:

1 = pen color was changed

2 = size was changed

3 = pen color and size were changed

Example Code:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == QA_GLOBAL_PEN_SIZE_CHANGE) {

flag = _wtoi((wchar_t *)cp->lpData);

...

}

}

..

}


QA_GLOBAL_RENUMBER

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Notifications >

QA_GLOBAL_RENUMBER

 Return to chapter overview

CAD QS

QA_GLOBAL_RENUMBER

Notification that a global QA renumbering was performed.

A wide character string is returned containing either 0 or 1 with the meanings:

0 = renumber affected the current page only

1 = renumber affected all pages

Received data format

<FLAG>

Received data example

1

Notes

After receiving this notification, to get a list of new QA numbers use the INQ_NUM_QA_SYMS and INQ_QA_SYM_SIZES messages.

Example Code:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == QA_GLOBAL_RENUMBER) {

flag = _wtoi((wchar_t *)cp->lpData);

parse_qa_sym_deleted_info((wchar_t *)cp->lpData);

...

}

}

..

}


QA_PEN_SIZE_CHANGED

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Notifications >

QA_PEN_SIZE_CHANGED

 Return to chapter overview

CAD QS

QA_PEN_SIZE_CHANGED

Notification that a QA symbol's pen color and/or size changed.

Received data format

<ID>,<PEN>,<SIZE>

Received data example

151,3,15.0

Notes

CAD QS keeps track of QA symbols via an ID.

Pen numbers are as listed in the table here.

Example Code:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == QA_PEN_SIZE_CHANGED) {

flag = _wtoi((wchar_t *)cp->lpData);

parse_qa_sym_deleted_info((wchar_t *)cp->lpData);

...

}

}

..

}


QA_SYM_ADDED

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Notifications >

QA_SYM_ADDED

 Return to chapter overview

CAD QS

QA_SYM_ADDED

Notification that a QA symbol was added by the user.

Information about the newly added QA symbol is returned in a wide character string of <TAG>=<VALUE> pairs that are themselves separated by new-line characters.

Received data format

ID=<QA_ID>

QANUM=<QA_NUMBER>

PEN=<PEN_NUMBER>

POS=<X,Y>

SIZE=<SIZE>

ROT=<ROTATION>

LEADER=<X,Y>

ZONE=<ZONE_LABEL>

TIMES=<NUMBER>

NUM_ATTRIBS=<NUMBER>

<TAG1>=<VALUE1>

<TAG2>=<VALUE2>

...

Received data example

ID=164

QANUM=5

PEN=1

POS=99.917219,-18.195306

SIZE=9.0558

ROT=35.3112

LEADER=109.985835,-11.063370

ZONE=D7

TIMES=1

NUM_ATTRIBS=3

Dimension=92

Maximim size=92.1

Minium size=91.9

Notes

CAD QS keeps track of QA symbols via an ID. Thus a QA number may change but the ID remains the same.

If the user has not configured Zone Labels, then the ZONE=<ZONE_LABEL> pair is omitted.

Only attributes that contain data are reported.

Example Code:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == QA_SYM_ADDED) {

// Parse the data:

parse_qa_sym_added_info((wchar_t *)cp->lpData);

...

}

}

..

}


QA_SYM_ATTRIBS_CHANGED

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Notifications >

QA_SYM_ATTRIBS_CHANGED

 Return to chapter overview

CAD QS

QA_SYM_ATTRIBS_CHANGED

Notification that a QA symbol's attributes changed.

Information about the changed QA symbol attributes is returned in a wide character string of <TAG>=<VALUE> pairs that are themselves separated by new-line characters.

Received data format

ID=<QA_ID>

QANUM=<QA_NUMBER>

TIMES=<NUMBER>

NUM_ATTRIBS=<NUMBER>

<TAG1>=<VALUE1>

<TAG2>=<VALUE2>

...

Received data example

ID=169

QANUM=13

TIMES=1

NUM_ATTRIBS=5

Dimension=184

Over-allowance=0.1

Under-allowance=-0.1

Maximim size=184.1

Minium size=183.9

Notes

CAD QS keeps track of QA symbols via an ID. Thus a QA number may change but the ID remains the same.

Only attributes that contain data are reported. Hence if an attribute has been deleted, it will be missing from the list.

Example Code:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == QA_SYM_ATTRIBS_CHANGED) {

// Parse the data:

parse_qa_sym_attribs_changed((wchar_t *)cp->lpData);

...

}

}

..

}


QA_SYM_DELETED

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Notifications >

QA_SYM_DELETED

 Return to chapter overview

CAD QS

QA_SYM_DELETED

Notification that a QA symbol was deleted.

Information about the deleted QA symbol is returned in a wide character string of <TAG>=<VALUE> pairs that are themselves separated by new-line characters.

Received data format

ID=<QA_ID>

QANUM=<QA_NUMBER>

Received data example

ID=164

QANUM=5

Notes

CAD QS keeps track of QA symbols via an ID. Thus a QA number may change but the ID remains the same.

Example Code:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == QA_SYM_DELETED) {

// Parse the data:

parse_qa_sym_deleted_info((wchar_t *)cp->lpData);

...

}

}

..

}


QA_SYM_MOVED

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Notifications >

QA_SYM_MOVED

 Return to chapter overview

CAD QS

QA_SYM_MOVED

Notification that a QA symbol was moved.

Information about the moved QA symbol is returned in a wide character string of <TAG>=<VALUE> pairs that are themselves separated by new-line characters.

Received data format

ID=<QA_ID>

POS=<X,Y>

SIZE=<SIZE>

ROT=<ROTATION>

LEADER=<X,Y>

ZONE=<ZONE_LABEL>

Received data example

ID=147

POS=128.444963,87.105632

SIZE=18.1117

ROT=-121.2317

LEADER=98.239117,69.066029

ZONE=B7

Notes

If the user has not configured Zone Labels, then the ZONE=<ZONE_LABEL> pair is omitted.

Example Code:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == QA_SYM_MOVED) {

// Parse the data:

parse_qa_sym_moved_info((wchar_t *)cp->lpData);

...

}

}

..

}


SET_QA_ATTRIB

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Commands >

SET_QA_ATTRIB

 Return to chapter overview

CAD QS

SET_QA_ATTRIB

Set the value of a QA attribute for a QA symbol.

The message is initially sent to CAD QS, and the same message is used to receive an error code back from CAD QS.

Send parameter format

<QA_SYMBOL_ID>,<TAG>=<VALUE>

Send parameter example

152,Dimension=123.5

Returned

Error code:

0 = OK

-1 = attribute does not exist

-2 = QA symbol is locked (user is editing)

-3 = id does not reference a QA symbol

Notes

CAD QS keeps track of QA symbols via an ID.

<TAG> must be a valid name of an attribute field. Attribute field names are obtained via INQ_QA_ATTDEFS.

Example Code for send:

HWND hwndQA;

int set_qa_dimension(HWND hWnd,int id_qa_symbol,wchar_t *wsz_dimension_field_name,double dimension)

{

COPYDATASTRUCT cd;

wchar_t wsz_param[256];

cd.dwData = SET_QA_ATTRIB;

wsprintf(wsz_param,L"%d,%s=%lf",id_qa_symbol,wsz_dimension_field_name,dimension);

cd.lpData = wsz_param;

cd.cbData = 2 + wcslen(wsz_param) * 2; // length in bytes of lpData

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

return 0;

}

Example Code for receive:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

int ierror_code;

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == SET_QA_ATTRIB) {

ierror_code = _wtoi((wchar_t *)cp->lpData);

...

}

}

..

}


SET_QA_PEN

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Commands >

SET_QA_PEN

 Return to chapter overview

CAD QS

SET_QA_PEN

Set the pen of a QA symbol.

The message is initially sent to CAD QS, and the same message is used to receive an error code back from CAD QS.

Send parameter format

<QA_SYMBOL_ID>=<PEN_NUMBER>

Send parameter example

Set QA symbol 152 to pen 9 (magenta)

152=9

Returned

Error code:

0 = OK

-2 = QA symbol is locked (user is editing)

-3 = id does not reference a QA symbol

Notes

CAD QS keeps track of QA symbols via an ID.

Pen numbers are as listed in the table here.

Example Code:

HWND hwndQA;

int set_qa_pen(HWND hWnd,int id_qa_symbol,int ipen)

{

COPYDATASTRUCT cd;

wchar_t wsz_param[256];

cd.dwData = SET_QA_PEN;

wsprintf(wsz_param,L"%d=%d",id_qa_symbol,ipen);

cd.lpData = wsz_param;

cd.cbData = 2 + wcslen(wsz_param) * 2; // length in bytes of lpData

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

return 0;

}

Example Code for receive:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

int ierror_code;

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == SET_QA_PEN) {

ierror_code = _wtoi((wchar_t *)cp->lpData);

...

}

}

..

}


SET_QA_PEN_LAYER

Navigation: QS Befehlsreferenz > CAD QS inter-process communication > Messages reference > Commands >

SET_QA_PEN_LAYER

 Return to chapter overview

CAD QS

SET_QA_PEN_LAYER

Set a QA Pen Layer to be on or off.

The message is initially sent to CAD QS, and the same message is used to receive an error code back from CAD QS.

Send parameter format

<PEN_NUMBER>=<ON_OFF>

Send parameter example

Set pen layer 9 (magenta) to on

9=1

Set pen layer 9 (magenta) to off

9=0

Returned

Error code:

0 = OK

-3 = pen layer does not exist

Notes

CAD QS keeps track of QA symbols via an ID.

Pen numbers are as listed in the table here.

Example Code:

HWND hwndQA;

int set_qa_pen_layer(HWND hWnd,int ipen,int ion_off)

{

COPYDATASTRUCT cd;

wchar_t wsz_param[256];

cd.dwData = SET_QA_PEN_LAYER;

wsprintf(wsz_param,L"%d=%d",ipen,ion_off);

cd.lpData = wsz_param;

cd.cbData = 2 + wcslen(wsz_param) * 2; // length in bytes of lpData

SendMessageW(hwndQA, WM_COPYDATA, (WPARAM)hWnd,(LPARAM)&cd);

return 0;

}

Example Code for receive:

HWND hwndQA;

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)

{

int ierror_code;

if (message == WM_COPYDATA && (unsigned long)wParam == (unsigned long)hwndQA) {

COPYDATASTRUCT *cp;

cp = (COPYDATASTRUCT *)lParam;

if (cp->dwData == SET_QA_PEN_LAYER) {

ierror_code = _wtoi((wchar_t *)cp->lpData);

...

}

}

..

}


Zusätzliche Dokumentation

Navigation: Zusätzliche Dokumentation >

Zusätzliche Dokumentation

 Return to chapter overview

Anzeige und Benutzung von Koordinaten

CV Markup QS 2022 Kurzanleitung

Drop-Down Menues zur Attributeingabe

Einstellungssache

EMPB Daten an eine eigene Excelvorlage uebergeben

EMPB Daten nach Excel uebergeben

Kopieren vorhandener Stempelungen fuer revisionierte Zeichnungen

Markup Stempel

Markup Verzeichnis aendern

Massuebernahme

Mehrfachpositionierung

Nummerierungsstile

PDF Zeichnung als PDF Datei speichern

Speichern von gestempelten Multipage-Dokumenten

Speichern von Zeichnungen im Pixelformat

Stempel loeschen Einfuegen und Neu Nummerieren

Stempeldarstellung in Farbe

Toleranztabellen fuer Freimasse und Passungen

Zeichnung mit Hyperlinks versehen


Überblick

Navigation: CAD Batch Command >

Überblick

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Überblick

Die Software kann auch über die Befehlszeile angesteuert werden; entweder über das MS-DOS Fenster oder über 'Start' -> 'Ausführen'

Ebenso kann der CAD Viewer aus anderen Programmen heraus aufgerufen werden. Siehe 'Aufruf des Viewers aus anderen Programmen heraus'

Der Befehlszeilen- Modus erlaubt die automatische Ausführung von Operationen ohne Benutzereingabe

Der Befehlszeilen- Modus erlaubt den Stapelbetrieb (Batch-Modus)

Die Operationen nach Funktion gruppiert sind:

Laden einer Zeichnung über die Befehlszeile

Drucken/Plotten einer Zeichnung über die Befehlszeile

Speichern einer Zeichnung über die Befehlszeile

Zoomen einer Zeichnung über die Befehlszeile

Verschiedene Befehlszeilen- Schalter (Optionen)

Alphabetisch Switches Referenz:

A - O

P - Z


Command Line Syntax

Navigation: CAD Batch Command >

Command Line Syntax

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

command line syntax

Die generelle Syntax lautet:

batch_command_exe [switches] [drawing(s)]

HINWEIS:

Die Reihenfolge der [switches] und [drawing(s)] kann nicht verändert werden. [switches] muss immer vorangehen [drawing(s)].

batch_command_exe name

Die Standard-CAD-Batch Command 2022 exe file name ist 'cb2022de.exe'.

Beachten Sie jedoch, dass CAD Batch Command kann auch als Add on Erweiterung in CAD Viewer, CAD ​​Markup, SymbolCAD, und QA-CAD lizenziert werden. Die exe-Namen in jedem Fall unterschiedlich sind gemäß der folgenden Tabelle.

Software | batch_command_exe name
CAD Batch Command 2022 | cb2022de.exe
CAD Viewer 2022 | cv2022de.exe
CAD Markup 2022 | cm2022de.exe
SymbolCAD 2022 | sy2022de.exe
QA-CAD 2022 | qa2022de.exe

Suchbeispiel:

Syntax zum Laden der Zeichnung austates.dwg :

C:\cadbatch2022\cb2022de.exe c:\cadviewer\austates.dwg

(Das Beispiel geht davon aus dass die Software im Verzeichnis c:\cadbatch2022 installiert wurde)

Die anderen Operationen werden meist durch Schalter spezifiziert. Ein Schalter (Switch) besteht aus einem Schrägstrich gefolgt von einem Buchstaben. Die Schalter stehen immer vor der entsprechenden Zeichnung, für die sie gelten.

Suchbeispiel:

So bedeutet der Schalter /p im folgenden Beispiel dass die Zeichnung austates.dwg gedruckt werden soll :

C:\cadbatch2022\cb2022.exe /p c:\cadviewer\austates.dwg

Die detaillierte Beschreibung aller Schalter sowie deren Syntax ersehen sie in den folgenden Abschnitten.


Laden einer Zeichnung über die Befehlszeile

Navigation: CAD Batch Command >

Laden einer Zeichnung über die Befehlszeile

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Laden einer Zeichnung über die Befehlszeile

Die generelle Syntax lautet:

batch_command_exe drawing_pathname

Suchbeispiel:

Syntax zum Laden der Zeichnung austates.dwg :

"c:\cadbatch2022\cb2022de.exe" "c:\cadbatch2022\cb2022de\austates.dwg"

Ist der CAD Viewer bereits gestartet, so wird die Zeichnung in ein neues, weiteres Fenster geladen

Note:

Pathnames containing spaces must be enclosed within double quotations.


Batch Drucken Beispiele

Navigation: CAD Batch Command >

Batch Drucken Beispiele

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Batch Drucken Beispiele

Über die Befehlszeile kann ein automatisiertes Stapelplotten (Batch Print) durchgeführt werden.

Consult the Drucken/Plotten einer Zeichnung über die Befehlszeile for details on actions performed by the various /P.. switches.

Beispiel 1:

Drucken einer einzelnen Zeichnung über die Befehlszeile

Drucken der Beispielzeichnung austates.dwg über die Befehlszeile :

c:\cadbatch2022\cb2022de.exe /p c:\cadviewer\austates.dwg

Beispiel 2:

Drucken von mehreren Zeichnungen mit Hilfe einer Batchdatei

Erzeugen sie eine Batchdatei batch file with mit folgendem Inhalt :

c:\cadbatch2022\cb2022de.exe /p c:\cadbatch2022\austates.dwg

c:\cadbatch2022\cb2022de.exe /p c:\cadbatch2022\highways.dxf

Speichern sie die Batchdatei z.B. unter dem Namen batchplot.batund geben sie dann über 'Start' -> 'Auführen' batchplotein.

Beispiel 3:

Drucken von mehreren Zeichnungen über die Befehlszeile

Drucken Sie alle DWG Zeichnungen im aktuellen Ordner mit Wildcard Namensgebung.

"c:\cadbatch2022\cb2022de.exe" /p *.dwg


Drucken/Plotten einer Zeichnung über die Befehlszeile

Navigation: CAD Batch Command >

Drucken/Plotten einer Zeichnung über die Befehlszeile

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Drucken/Plotten einer Zeichnung über die Befehlszeile

/p[2][s][x]

Lädt und druckt eine Zeichnung. Danach wird das CAD Viewer Fenster geschlossen. Der gewünschte Drucker/Plotter kann durch zusätzliches Benutzen des Schalters /pr angegeben werden; ansonsten wird der Vorgabedrucker unter Windows benutzt.

Load and print a drawing.

Notes:

By default the /p switch prints the drawing using the Print Range settings:

- Fit to Page.

- Whole Drawing

Other Print Range settings can be achieved using the x flag (see below.)

Beispiel :

Print the sample austates.dwg drawing.

c:\cadbatch2022\cb2022de.exe /p c:\cadviewer\austates.dwg

The additional flags 2,s,x can be added to the /p switch. They have the following meanings:

/p2
Die Dialogboxen 'Drucken' und 'Druckeinstellungen' werden nicht 'übersprungen'

/ps
Lädt und druckt eine Zeichnung – das CAD Viewer Fenster bleibt aber anschließend geöffnet(s = stay)

Beispiel :

Print the sample austates.dwg drawing, and keep the CAD Viewer window open.

c:\cadbatch2022\cb2022de.exe /ps c:\cadviewer\austates.dwg

/px

Cause the print range settings to be obtained from the [Print] section of the PRINTCMD.INI file, rather than use the default print range of 'Fit to Page > Whole Drawing' which is used otherwise.

Note: If more than one of the 2,s,x flags is needed, then they should be combined into a single switch. For example to cause both The 'Printer Setup' and 'Print Options' dialogs not to be bypassed, and to keep the CAD Viewer window open upon print completion, use /p2s.

printrange=n

where n is:

0 == Whole Drawing

1 == Screen (i.e. the CAD Viewer display window)

2 == Window (the user will be required to specify the area for the drawing to print.)

3 == Limits (as defined in an AutoCAD® DXF/DWG drawing)

/pr="Drucker/Plottername"

Spezifiziert einen bestimmten Drucker/Plotter als Ausgabegerät für diese Zeichnung.

Beispiel :

Druckt die Beispielzeichnung austates.dwg auf dem Drucker "EPSON Stylus COLOR 600".

c:\cadbatch2022\cb2022de.exe /p /pr="EPSON Stylus COLOR 600" c:\cadviewer\austates.dwg

Der Druckername muss exakt so angegeben werden wie er unter Windows installiert ist. Wird der Drucker nicht gefunden, so druckt der CAD Viewer auf den Vorgabedrucker.

If the printer is on the network, specify the printer name using the network path:

Example:

Print the to the printer "HP Photosmart 2700 series" located on the network computer named 'DELL-390'.

/pr="\\DELL-390\HP Photosmart 2700 series"

/pdrawings=n

Set the range of drawings to be printed.

where n is:

1 = print the current or specified drawing (default)

2 = print all drawings currently loaded within the user interface

If the /pdrawings switch is not specified the software uses the pdrawings setting in PRINTCMD.INI, or if not specified at all then defaults to '1'.

/pa=n

Set the Layout or pages to be printed in a drawing with multiple Layouts, or other document type with multiple pages.

where n is:

For DXF/DWG/DGN drawings:

0 == print only the active Layout for the drawing

1 == print all Layouts for the drawing, excluding the Model Space

2 == print all Layouts for the drawing, including the Model Space

For all other document types (PDF, etc.)

0 == print the active page for an already loaded document, or page 1 where the document is not loaded

2 == print all pages

If the /pa switch not specified the software uses the printalllayouts setting in PRINTCMD.INI

/pmargin=size

Set a page margin in pixels, or mm, or inches

'size' is a number immediately followed by a 2 character units designator, being one of:

in = inches

mm = millimeters

px = pixels

There is no space in between the number and the units designator:

Examples:

set a print margin of 0.25 inches: /pmargin=0.25in

set a print margin of 10 mm: /pmargin=10mm

set a print margin of 100 pixels: /pmargin=100px

/po=n

Set the print page orientation.

where n=0,1,2,3

/po=0 printer default orientation

/po=1 portrait

/po=2 landscape
/po=3 best fit orientation

Note: This switch is '/po' ('o' for 'orientation') not '/p0'

If the /po switch is omitted the software uses the initPageOrient setting in PRINTCMD.INI

/pp=paper_size

Set the paper size to print to.

where paper_size may have the following values

Value | Description
LETTER TABLOID LEDGER LEGAL A2 A3 A4 A5 B4 B5 C D E ARCHA ARCHB ARCHC ARCHD ARCHE ARCHE1 | Letter 8.5 x 11 in Tabloid 11 x 17 in Ledger 17 x 11 in US Legal 8.5 x 14 in A2 420 x 594 mm A3 297 x 420 mm A4 210 x 297 mm A5 148 x 210 mm B4 (JIS) 250 x 354 mm B5 (JIS) 182 x 257 mm ANSI C 17 x 22 in ANSI D 22 x 34 in ANSI E 34 x 44 in ARCH A 9 x 12 in ARCH B 12 x 18 in ARCH C 18 x 24 in ARCH D 24 x 36 in ARCH E 36 x 48 in ARCH E1 30 x 42 in

or

Value

Description

1

2

3

4

5

6

7

8

9

10

11

12

13

14

15

16

17

18

19

20

21

22

23

24

25

26

27

28

29

30

31

32

33

34

35

36

37

38

39

40

41

42

43

44

45

46

47

48

49

50

51

52

53

54

55

56

57

58

59

60

61

62

63

64

65

66

67

68

69

70

71

72

73

74

75

76

77

78

79

80

81

82

83

84

85

86

87

88

89

90

91

92

93

94

95

96

97

98

99

100

101

102

103

104

105

106

107

108

109

110

111

112

113

114

115

116

117

118

Letter 8 1/2 x 11 in

Letter Small 8 1/2 x 11 in

Tabloid 11 x 17 in

Ledger 17 x 11 in

Legal 8 1/2 x 14 in

Statement 5 1/2 x 8 1/2 in

Executive 7 1/4 x 10 1/2 in

A3 297 x 420 mm

A4 210 x 297 mm

A4 Small 210 x 297 mm

A5 148 x 210 mm

B4 (JIS) 250 x 354

B5 (JIS) 182 x 257 mm

Folio 8 1/2 x 13 in

Quarto 215 x 275 mm

10x14 in

11x17 in

Note 8 1/2 x 11 in

Envelope #9 3 7/8 x 8 7/8

Envelope #10 4 1/8 x 9 1/2

Envelope #11 4 1/2 x 10 3/8

Envelope #12 4 \276 x 11

Envelope #14 5 x 11 1/2

C size sheet - ANSI C 17 x 22 in

D size sheet - ANSI D 22 x 34 in

E size sheet - ANSI E 34 x 44 in

Envelope DL 110 x 220mm

Envelope C5 162 x 229 mm

Envelope C3 324 x 458 mm

Envelope C4 229 x 324 mm

Envelope C6 114 x 162 mm

Envelope C65 114 x 229 mm

Envelope B4 250 x 353 mm

Envelope B5 176 x 250 mm

Envelope B6 176 x 125 mm

Envelope 110 x 230 mm

Envelope Monarch 3.875 x 7.5 in

6 3/4 Envelope 3 5/8 x 6 1/2 in

US Std Fanfold 14 7/8 x 11 in

German Std Fanfold 8 1/2 x 12 in

German Legal Fanfold 8 1/2 x 13 in

B4 (ISO) 250 x 353 mm

Japanese Postcard 100 x 148 mm

9 x 11 in

10 x 11 in

15 x 11 in

Envelope Invite 220 x 220 mm

RESERVED--DO NOT USE

RESERVED--DO NOT USE

Letter Extra 9 \275 x 12 in

Legal Extra 9 \275 x 15 in

Tabloid Extra 11.69 x 18 in

A4 Extra 9.27 x 12.69 in

Letter Transverse 8 \275 x 11 in

A4 Transverse 210 x 297 mm

Letter Extra Transverse 9\275 x 12 in

SuperA/SuperA/A4 227 x 356 mm

SuperB/SuperB/A3 305 x 487 mm

Letter Plus 8.5 x 12.69 in

A4 Plus 210 x 330 mm

A5 Transverse 148 x 210 mm

B5 (JIS) Transverse 182 x 257 mm

A3 Extra 322 x 445 mm

A5 Extra 174 x 235 mm

B5 (ISO) Extra 201 x 276 mm

A2 420 x 594 mm

A3 Transverse 297 x 420 mm

A3 Extra Transverse 322 x 445 mm

Japanese Double Postcard 200 x 148 mm

A6 105 x 148 mm

Japanese Envelope Kaku #2

Japanese Envelope Kaku #3

Japanese Envelope Chou #3

Japanese Envelope Chou #4

Letter Rotated 11 x 8 1/2 11 in

A3 Rotated 420 x 297 mm

A4 Rotated 297 x 210 mm

A5 Rotated 210 x 148 mm

B4 (JIS) Rotated 364 x 257 mm

B5 (JIS) Rotated 257 x 182 mm

Japanese Postcard Rotated 148 x 100 mm

Double Japanese Postcard Rotated 148 x 200 mm

A6 Rotated 148 x 105 mm

Japanese Envelope Kaku #2 Rotated

Japanese Envelope Kaku #3 Rotated

Japanese Envelope Chou #3 Rotated

Japanese Envelope Chou #4 Rotated

B6 (JIS) 128 x 182 mm

B6 (JIS) Rotated 182 x 128 mm

12 x 11 in

Japanese Envelope You #4

Japanese Envelope You #4 Rotated

PRC 16K 146 x 215 mm

PRC 32K 97 x 151 mm

PRC 32K(Big) 97 x 151 mm

PRC Envelope #1 102 x 165 mm

PRC Envelope #2 102 x 176 mm

PRC Envelope #3 125 x 176 mm

PRC Envelope #4 110 x 208 mm

PRC Envelope #5 110 x 220 mm

PRC Envelope #6 120 x 230 mm

PRC Envelope #7 160 x 230 mm

PRC Envelope #8 120 x 309 mm

PRC Envelope #9 229 x 324 mm

PRC Envelope #10 324 x 458 mm

PRC 16K Rotated

PRC 32K Rotated

PRC 32K(Big) Rotated

PRC Envelope #1 Rotated 165 x 102 mm

PRC Envelope #2 Rotated 176 x 102 mm

PRC Envelope #3 Rotated 176 x 125 mm

PRC Envelope #4 Rotated 208 x 110 mm

PRC Envelope #5 Rotated 220 x 110 mm

PRC Envelope #6 Rotated 230 x 120 mm

PRC Envelope #7 Rotated 230 x 160 mm

PRC Envelope #8 Rotated 309 x 120 mm

PRC Envelope #9 Rotated 324 x 229 mm

PRC Envelope #10 Rotated 458 x 324 mm

If the /pp switch is omitted the software uses the default paper size for the printer.

If the printer does not support the specified paper size the software uses the default paper size for the printer.

Example 1:

Specify the paper size to be A4

/pp=A4

Example 2:

Specify the paper size to be Folio 8 1/2 x 13 in

/pp=14

/pp_cust=custom_paper_size

Set the print paper size to a custom size

where custom_paper_size has the format:

WidthXHeight[in,mm]

Example 1:

Set a custom Paper size of 18 x 24 inches

/pp_cust=18x24in

Example 2:

Set a custom Paper size of 4572 x 6096 mm

/pp_cust=4572x6096mm

/ptray=n

Set the paper tray source

where n = 0, 1- 11,14,15, 256+

0 = Inquire on available trays for the printer (a dialog message will list the available trays)

Values 1 to 15 correspond with the Windows tray constant ids:

1 = DMBIN_UPPER or DMBIN_ONLYONE

2 = DMBIN_LOWER

3 = DMBIN_MIDDLE

4 = DMBIN_MANUAL

5 = DMBIN_ENVELOPE

6 = DMBIN_ENVMANUAL

7 = DMBIN_AUTO

8 = DMBIN_TRACTOR

9 = DMBIN_SMALLFMT

10 = DMBIN_LARGEFMT

11 = DMBIN_LARGECAPACITY

14 = DMBIN_CASSETTE

15 = DMBIN_FORMSOURCE

256+ = DMBIN_USER

Example 1:

Inquire on available trays (bins) for the printer named Dell 2135cn MFP PCL6

/ptray=0 /pr="Dell 2135cn MFP PCL6"

Example 2:

Set the Lower paper tray as the paper source.

/ptray=2

/pb=n

Select the print output color

where n=0,1,2,3,4

/pb=0 Black (no gray shades)

/pb=1 Color

/pb=2 Black (no gray shades), but keep markups in color

/pb=3 Color with darkened pens

/pb=4 Color with darkened pens, and darkened fills

If the /pb switch is omitted the software uses the color, keepmarkuppenscolored, prnmappens, and darkenfill settings in PRINTCMD.INI

/pbx=n

Select the print output color for Xrefs

where n=0,1

/pbx=0 Don't keep Xrefs in Color (is affected by the /pb switch)

/pbx=1 Keep Xrefs in Color (not affected by the /pb switch)

/pc=n

Set the number of copies to send to the printer.

where n=1 to maximum number of copies supported by the printer driver.

/pd=n

Use double sided (duplex) page printing.

where n=0,1,2

/pd=0 Don't use double sided page printing (default)

/pd=1 Short-edge binding, that is, the long edge of the page is horizontal.

/pd=2 Long-edge binding, that is, the long edge of the page is vertical.

/pconfig

Cause the 'Save settings to PRINTCMD.INI' button in the 'Print Options' dialog to become visible. This allows the current print settings to be stored as the default settings for command line printing. (see PRINTCMD.INI).

/pt[0-9]=text_value

Print text at the location specified by the relevant Print tags section in the PRINTCMD.INI file. Refer to Add a Time/Date Stamp or Watermark to Printouts for details about printing additional text onto the drawing (such as a stamp, drawing id, etc.)

Example:

Print the manufacturing order number 'M 123456' to the drawing at the location specified in the [P0] section of PRINTCMD.INI.

"/pt0=M 123456"

Notes:

If the text value contains spaces then the whole parameter must be enclosed within double quotations (as in the above example.)

This switch activates the relevant section in PRINTCMD.INI if it is off.

/tt0 Set TrueType fonts off for CAD SHX fonts

/tt1 Set TrueType fonts on for CAD SHX fonts

PRINTCMD.INI

The [Print] section of the PRINTCMD.INI file contains the settings used in printing when print is invoked via the command line (or from a calling application.)

The simplest way to configure PRINTCMD.INI is to start CAD Viewer with the /pconfig switch. Do a sample print with the desired print settings. In the 'Print Options' dialog hit the 'Save settings to PRINTCMD.INI' button.

PRINTCMD.INI may be manually configured if desired by editing it in a plain text editor such as Notepad. Meanings of the entries in the [Print] section are as follows:

fittopage=n

where n is:

0 == Fit to Page is OFF (use Exact Scale instead)

1 == Fit to Page is ON

Note: the fittopage setting is ignored except when the command line switch /px is used.

initPageOrient=n
Set the printer page orientation.

where n is:

0 == printer default orientation

1 == Portrait

2 == Landscape

3 == best fit orientation

If initPageOrient is not present then the setting used will be the same as in the user interface.
The /po=n switch overrides this setting.

printrange=n

where n is:

0 == Whole Drawing

1 == Screen (i.e. the CAD Viewer display window)

2 == Window (the user will be required to specify the area for the drawing to print.)

3 == Limits (as defined in an AutoCAD® DXF/DWG drawing)

4 == Named View

Note: the printrange setting is ignored except when the command line switch /px is used.

prnmappens=n

where n is:

0 == Darken Light Pens is OFF

1 == Darken Light Pens is ON

The setting may be overridden by the /pb command line switch

darkenfill=1

where n is:

0 == Darken Fill is OFF

1 == Darken Fill is ON

This entry is ignored when PrnMapPens=0

The setting may be overridden by the /pb command line switch

color=n

where n is:

0 == Black (No gray shades)

1 == Color

The color setting may be overridden by the /pb command line switch

keepmarkuppenscolored=n

where n is:

0 == markup pens are not kept in color when the drawing is printed in Black/White

1 == markup pens are kept in color when the drawing is printed in Black/White

The setting may be overridden by the /pb command line switch

lineweight=n

Sets the global 'Scale Line Weights' factor, where n is

-1 == 0.25

0 == 0.5

1 == 1.0

2 == 2.0

3 == 4.0

minpix=n

where n integer in range 1 to 2 specifying the minimum line width in pixels

pdrawings=n

Set the range of drawings to be printed.

where n is:

1 = print the current or specified drawing (default)

2 = print all drawings currently loaded within the user interface

The /pdrawings=n switch overrides this setting.

printalllayouts=n

where n is:

For DXF/DWG/DGN drawings:

0 == print only the active Layout for the drawing

1 == print all Layouts for the drawing, excluding the Model Space

2 == print all Layouts for the drawing, including the Model Space

For all other document types (PDF, etc.)

0 == print the active page for an already loaded document, or page 1 where the document is not loaded

2 == print all pages

The /pa=n switch overrides this setting.

printer=printer

Specify a printer to print to.

If the entry is not present, then printing will default to the default printer.

The printer name should be an exact match of the descriptive name of the printer on your system. If the printer is not found, the default printer will be used instead.

The /pr=printer switch overrides this setting

pdfprinter=pdfprinter

Specify a PDF printer to print to when the /PDF switch is used

If the entry is not present, then printing will default to the default PDF-Xchange 3.0 printer that is shipped with the software.

The printer name should be an exact match of the descriptive name of the printer on your system. If the printer is not found, the PDF-Xchange 3.0 printer that is shipped with the software will be used instead.

The /pr=printer switch overrides this setting

rotate=n

Specify a fixed print rotation in degrees.

Allowed values of n are:

0,90,180,270

The 'Rotate' setting applies to DXF/DWG/DWF/SHP drawings only. (For raster images and HPGL drawings specify a fixed initial rotation via 'Preferences' within the user interface.)


Speichern über die Befehlszeile

Navigation: CAD Batch Command >

Speichern über die Befehlszeile

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Speichern über die Befehlszeile

Konvertierung von CAD- Dateien in Pixeldateien (BMP, JPG, TIFF) im Stapelbetrieb (Batchbetrieb) durch Aufruf des CAD Viewers aus der Befehlszeile.

Schauen sie unter Speichern einer Zeichnung über die Befehlszeile nach, um Einzelheiten über die verschieden Optionen des /S Schalters zu erfahren.

Beispiel:

Konvertieren (Speichern) einer DWG Zeichnung im TIFF Format

Speichern der Beispielzeichnung austates.dwg als TIFF- Datei mit einer Auflösung von 1600x1200 dpi.

c:\cadbatch2022\cb2022de.exe /s /sz=1600x1200 c:\cadviewer\austates.dwg


Speichern einer Zeichnung über die Befehlszeile

Navigation: CAD Batch Command >

Speichern einer Zeichnung über die Befehlszeile

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Speichern einer Zeichnung über die Befehlszeile

/S[=<Dateityp>[,<Spezifikation>]

Speichert die aktuelle Zeichnung in eine Datei.

Vorgabemäßig wird die aktuelle Zeichnung gespeichert als

- TIF - Datei (unkomprimiert).

- sie wird mit dem selben Namen (aber der Endung .tif) und im gleichen Verzeichnis abgespeichert.

- Ist die Ursprungsdatei bereits eine TIFF- Datei, so wird der Befehl nicht durchgeführt.

Optional kann der zu speichernde Dateityp über den Schalter /S angegeben werden. Folgende Formate können ausgegeben werden:

BMP

CAL

JPG

TIF

Optional können je nach Format zusätzliche Spezifikationen angegeben werden:

Pixelformat | zus. Spezifikation | Bedeutung
BMP | 0 1 | keine Kompression Packbits RLE Kompression (Voreinstellung)
CAL | 0 1 2 3 | Type 1 (raster) Type 2 (CCITT G4 compressed) Type 3 (Fax Group 4 compressed) Type 4 (CCITT G4 tiled)
JPG | 0 2-255 | verlustfreies JPEG Qualitätsfaktor, wobei 2 die niedrigste und 255 die höchste Kompession bedeutet. (Vorgabe ist 40, oder der Wert des 'Jpg_qf' -– Eintrags im [Imaging] - Abschnitt der cadviewer.ini - Datei)
TIF | 0 1 2 3 | keine Kompression Packbits RLE Kompression (Voreinstellung) LZW Kompression CCITT Group 4 fax format

Beispiel:

Speichern der aktuellen Zeichnung als JPG- Datei:

c:\cadbatch2022\cb2022de /S=JPG

/SB

Output the image in black and white. (siehe auch /COL=<value> switch)

/COL=<value>

Specify the color setting for the saved image, where

0 = image is in full color

1 = image is in gray-scale

2 = image is in black and white (same as /SB switch)

If the switch is not used, then the default color setting is obtained from the 'color' entry of the [SaveImageCmd] section of the CADVIEWER.INI configuration file.

/DPI=<value>

Specify the DPI (Dots Per Inch) value for the saved Image. If the switch is not used, then the default DPI value is obtained from the 'DPI' entry of the [SaveImageCmd] section of the CADVIEWER.INI configuration file.

/OUT=<output_folder>

/OUTF=<file_pathname>

Specify the name of the output drawing or folder.

/OUT=folder

/OUTF=file pathname

/OUT=folder

Set the output folder for saving an output file.

Example 1:

Convert 'CAD.DWG' to 'CAD.TIF' in the output folder C:\IMAGES

c:\cadbatch2022\cb2022de.exe /S=TIF C:\CAD\CAD.DWG /OUT=C:\IMAGES

Example 2:

Convert '*.DWG' to '*.TIF' in the output folder C:\IMAGES with an output resolution 2048x1600 pixels.

c:\cadbatch2022\cb2022de.exe /S=TIF /SZ=2048x1600 C:\CAD\*.DWG /OUT=C:\IMAGES

/OUTF=file_pathname

Specify the output filename for saving an output file.

Example:

Convert 'CAD.DWG' to 'IMAGE.TIF'

c:\cadbatch2022\cb2022de.exe /S C:\MYDRAWINGS\CAD.DWG /OUT=C:\tmp\IMAGE.TIF

Notes:

Note 1: The specified output folder must already exist

Note 2: Pathnames containing spaces must be enclosed within double quotations. E.g. /OUT="C:\MY TIFS"

Note 3: If the /OUT switch is not used then a converted file will be saved to the same folder as the file being converted.

/SL=<lineweight>

Specify a line weight by which to scale line widths.

The default size is taken from the 'RelThick' entry in the [SaveImageCmd] section of the cadviewer.ini file (see below.)

Example: Scale line widths by 0.75

/SL=0.75

/SZ=<Breite>x<Höhe>

Gibt die Anzahl der Pixel der Ausgabedatei an. Als Vorgabe werden die Werte 'w' und 'h' aus dem Abschnitt

[SaveImageCmd] der cadviewer.ini Datei im Windows Verzeichnis verwendet.

Beispiel :

Speichert die aktuell geladene Zeichnung als TIFF- Datei mit der Auflösung 2048 x 1600:

c:\cadviewer\vw2022de.exe /OUT=C:\tmp\IMAGE.TIF /SZ=2048x1600

(In der Angabe der Auflösung dürfen keine Leerzeichen vorhanden sein)

/SZW=<Breite>

Specify the width in pixels of the output raster image, with the height being determined dynamically to get the best fit of the drawing.

Example:

Save the currently loaded drawing to a TIF raster image of with width of 800 pixels

c:\cadviewer\viewer2022de.exe /OUT=C:\tmp\IMAGE.TIF /SZW=800

Note: Do not use with the /SZH switch. To specify a fixed width and height use the /SZ switch.

/SZH=<Höhe>

Specify the height in pixels of the output raster image, with the width being determined dynamically to get the best fit of the drawing.

Example:

Save the currently loaded drawing to a TIF raster image of with height of 600 pixels

c:\cadviewer\viewer2022de.exe /OUT=C:\tmp\IMAGE.TIF /SZH=600

Note: Do not use with the /SZW switch. To specify a fixed width and height use the /SZ switch.

/MARGIN=<pixels>

Specify the width of the margin in pixels.

Example:

Save the currently loaded drawing to a TIF raster image of with width of 800 pixels, and a 10 pixel margin.

c:\cadbatch2022\cb2022de.exe /OUT=C:\tmp\IMAGE.TIF /SZW=800 /MARGIN=10

Note: If no /MARGIN switch is specified the margin is determined by the 'SaveImageMarginPixels' entry in the [SaveImageCmd] section of CADVIEWER.INI. Example: 10 pixels margin

[SaveImageCmd]

SaveImageMarginPixels=10

Vorgabewerte zum Speichern von Pixelbildern (hinterlegt in der Datei cadviewer.ini)

Wenn der Speichern-Befehl über die Befehlszeile benutzt wird, werden verschiedene Vorgabewerte aus der cadviewer.ini - Datei übernommen.

Anmerkung Bitte verwechseln sie in der cadviewer.ini - Datei nicht die Abschnitte [SaveImageCmd] und [SaveImageUser]. Im letztern werden die Einstellungen gespeichert, die der Benutzer während dem Arbeiten mit dem CAD Viewer vornimmt. Die Werte welche im Abschnitt [SaveImageCmd] stehen werden als Vorgabewerte für den Betrieb des CAD Viewers über die Befehlszeile benutzt.

[SaveImageCmd]

bg=1

range=0

w=1600

h=1200

dpi=150

Bmpsubtype=1

Tifsubtype=1

Jpgsubtype=0

MinPix=2

qf=40

color=0

RelThick=1

SaveImageMarginPixels=25

Beschreibung der obigen Einstellungen :

Eintrag

mögliche Werte

Hersteller

Vorgabe

Bedeutung

bg

0

1

1

speichert das Bild mit schwarzem Hintergrund

speichert das Bild mit weissem Hintergrund

range

0

1

0

gesamter Zeichnungsbereich (Grenzen)

Anzeige (aktuell am Bildschirm angezeigter Zeichnungsbereich)

Eine dritte Bereichsoption (Fenster) kann mit Hilfe des Schalters /SW spezifiziert werden

w

10-20000

1600

Pixelanzahl der Bildbreite (width)

h

10-20000

1200

Pixelanzahl der Bildhöhe (height)

Bmpsubtype

0-1

1

siehe Tabelle oben

Calsubtype

0-3

0

siehe Tabelle oben

Jpgsubtype

0,2-255

40

siehe Tabelle oben

Tifsubtype

0-3

1

siehe Tabelle oben

qf

2-255

40

Qualitätsfaktor für die Speicherung von JPEG Dateien, wobei 2 die höchste, und 255 die niedrigste Qualität bedeutet.

MinPix

1-8

2

Mindestdicke von Linien (in Pixeln)

color

0

1

2

0

Bild wird in Farbe gespeichert Bild wird in Graustufen gespeichert Bild wird in schwarz/ gespeichert

dpi

72-2400

96

dpi (dots per inch = Punkte pro Zoll)

RelThick

0.05-10.0

0.5

scale line weights (line widths) by a factor.

A line weight may also be specified via the /SL switch. (The switch takes precedence.)

SaveImageMarginPixels

0-400

25

Margin width in pixels


Speichern / Konvertieren in das PDF von der Kommandozeile aus

Navigation: CAD Batch Command >

Speichern / Konvertieren in das PDF von der Kommandozeile aus

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Speichern / Konvertieren in das PDF von der Kommandozeile aus

/pdf[n]

Konvertieren einer Zeichnung in ein PDF-Dokument und optional angezeigt werden kann in der Standard-PDF-Anwendung.

Der Standardbetrieb ist:

- Speichern Sie das PDF-Dokument mit Hilfe der Basis Pfadnamen des Quell-Zeichnung.

- Wenn ein vorhandenes PDF-Dokument mit dem gleichen Namen existiert, überschreiben Sie die vorhandene PDF

- Öffnen Sie nicht die resultierende PDF-Datei in der Standard-PDF-Anwendung.

- Unterdrückung des PDF-XChange Fortschrittsbalken

Das 'n' Flags Wert wird verwendet, um die Standard-Operation, wobei "n" ist die Addition der folgenden Werte ändern:

1 = zeigen die PDF-XChange Fortschrittsbalken

2 = Benutzer fragen, für eine Leistung Dateinamen

4 = Benutzer fragen zu überschreiben einer vorhandenen PDF-Dateien mit dem gleichen Namen zu bestätigen

64 = öffnen Sie die resultierende PDF-Datei in der Standard-PDF-Anwendung

Beispiel 1:

Konvertieren Sie die Probe austates.dwg Zeichnung zu einem PDF-Dokument und zeigt die PDF-XChange Fortschrittsbalken, und fragen Sie Benutzer zur Bestätigung überschreiben, wenn austates.pdf ist bereits vorhanden.

c:\cadbatch2022\cb2022de.exe /pdf5 c:\cadviewer\austates.dwg

Beispiel 2:

Batch-Konvertierung von DWG-Dateien alle in dem Ordner C: \ Zeichnungen in PDF-Dateien. (Die daraus resultierenden PDF-Dateien werden in den Ordner C: gespeichert. \ Zeichnungen)

c:\cadbatch2022\cb2022de.exe /pdf c:\drawings\*.dwg

Beispiel 3:

Batch-Konvertierung von DWG-Dateien alle in dem Ordner C: \ Zeichnungen in PDF-Dateien, und speichern Sie die PDF-Dateien in den Ordner c: \ PDFs

c:\cadbatch2022\cb2022de.exe /pdf c:\drawings\*.dwg /OUT=c:\pdfs

Beispiel 4:

Convert all DWG files in the folder c:\drawings to a single PDF file

c:\cadbatch2022\cb2022.exe /pdf c:\drawings\*.dwg /OUTF=c:\pdfs\drawings.pdf

Stellen Sie PDF-Voreinstellungen für die Kommandozeile / Batch-Konvertierung

PDF-Standardeinstellungen wie Papierformat, Ausrichtung, Auflösung (DPI), und andere können zur Batch-Konvertierung eingestellt werden, indem Sie die Einstellungen in der Systemsteuerung -> Drucker und Faxgeräte -> PDF-XChange 3.0.

Rechten Maustaste auf das PDF-XChange 3,0-Symbol und wählen Sie "Drucker Einstellungen" klicken Sie aus dem Kontextmenü.

Known Technical Issue re multiple Batch PDF conversions:

The /PDF batch conversion requires the current batch operation to have completed before a new conversion is invoked. Hence:

(1) When running commands in a .BAT file do not use the 'start' command format which allows commands to proceed without waiting for the current command to complete.

(2) If calling the /PDF command from your own application, wait for the process to complete, or if not, check upon subsequent calls that no uncompleted processes remain running. See coding examples below:

Example code to call a process and wait until it has completed:

int exec_process(wchar_t *wsz_command_line,DWORD *lexitcode)

{

STARTUPINFOW StartupInfo = {0};

PROCESS_INFORMATION ProcessInfo = {0};

DWORD lexitcode = 0;

memset(&StartupInfo,0,sizeof(STARTUPINFO));

memset(&ProcessInfo,0,sizeof(PROCESS_INFORMATION));

StartupInfo.cb = sizeof(STARTUPINFO);

StartupInfo.dwFlags = STARTF_USESHOWWINDOW;

StartupInfo.wShowWindow = SW_SHOWMINIMIZED;

if (CreateProcessW(NULL,wsz_command_line,

NULL,NULL,FALSE,NORMAL_PRIORITY_CLASS,

NULL,NULL,&StartupInfo,&ProcessInfo))

{

WaitForSingleObject(ProcessInfo.hProcess, INFINITE);

TerminateProcess(ProcessInfo.hProcess, 0L);

GetExitCodeProcess(ProcessInfo.hProcess, &lexitcode);

return 0;

} else {

return GetLastError();

}

}

Example code to check whether a named process is still running:

#define UNICODE

#include <windows.h>

#include <stdio.h>

#include <string.h>

#include <TlHelp32.h>

int search_for_named_process (wchar_t *wsz_exe);

int search_modules (DWORD dwPID, wchar_t *wsz_exe);

// returns:

// 0 = process not found

// 1 = process was found (i.e. is still running)

int search_for_named_process (wchar_t *wsz_exe)

{

HANDLE hProcessSnap;

HANDLE hProcess;

PROCESSENTRY32 pe32;

hProcessSnap = CreateToolhelp32Snapshot( TH32CS_SNAPPROCESS, 0 );

if (hProcessSnap == INVALID_HANDLE_VALUE ) return 0;

pe32.dwSize = sizeof(PROCESSENTRY32);

if (!Process32First( hProcessSnap, &pe32 )) {

CloseHandle(hProcessSnap);

return 0;

}

do {

if (_wcsicmp(wsz_exe,pe32.szExeFile) == 0) {

return 1;

}

if (search_modules( pe32.th32ProcessID, wsz_exe)) {

return 1;

}

} while (Process32Next( hProcessSnap, &pe32 ));

CloseHandle (hProcessSnap);

return 0;

}

int search_modules(DWORD dwPID, wchar_t *wsz_exe)

{

HANDLE hModuleSnap = INVALID_HANDLE_VALUE;

MODULEENTRY32 me32;

hModuleSnap = CreateToolhelp32Snapshot( TH32CS_SNAPMODULE, dwPID );

if (hModuleSnap == INVALID_HANDLE_VALUE) return 0;

me32.dwSize = sizeof(MODULEENTRY32);

if( !Module32First( hModuleSnap, &me32 )) {

CloseHandle(hModuleSnap);

return 0;

}

do {

if (_wcsicmp(wsz_exe,me32.szExePath) == 0) {

return 1;

}

} while( Module32Next( hModuleSnap, &me32 ) );

CloseHandle( hModuleSnap );

return 0;

}


Markupdatei speichern

Navigation: CAD Batch Command >

Markupdatei speichern

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Markupdatei speichern

/savem=n

Markup Edits für die aktuell geöffnete Zeichnung speichern.

'n' ist 0 oder 1, wobei

0 = Fragen Sie nicht nach Benutzerbestätigung

1 = Fragen Sie nach Bestätigung des Benutzers

Hinweis: Darf nicht mit anderen Befehlszeilenparametern kombiniert werden


Zoomen einer Zeichnung über die Befehlszeile

Navigation: CAD Batch Command >

Zoomen einer Zeichnung über die Befehlszeile

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

/z=x,y,Bildhöhe

Zoomed die Zeichnung auf eine definierte Ansicht

Wenn kein Dateiname angegeben ist, oder wenn die angegebene Datei bereits geladen ist, dann veranlasst dieser Befehl den Viewer auf die spezifizierte Ansicht zu zoomen.

Wenn ein Dateiname angegeben ist, und diese Datei noch nicht geladen wurde, dann veranlasst der Befehl die Zeichnung zu laden und in der spezifizierten Ansicht darzustellen.

Um z.B. die Zeichnung Austates.dwg so zu Öffnen, dass die Zeichnungskoordinate x=180, y=150 im Bildschirmmittelpunkt liegt und die Bildhöhe 100 beträgt lautet die Eingabe folgendermassen:

Suchbeispiel:

c:\cadbatch2022\cb2022de.exe /z=180.0,150.0,100.0 c:\cadbatch2022\Austates.dwg

Printing Note:

When used with the print switches, the /z switch causes the default Print Range to be:

- Fit to Page.

- Display

I.e. the print range will be that of the selected view.

/zv=named_view

Zoom a drawing to a named view.

where:

named_view = name of a defined view contained within the drawing

If the named view does not match any view contained within the drawing then the drawing will be zoomed to fit.

Suchbeispiel:

Open the sample Austates.dwg drawing with the initial view being zoomed in on State of New South Wales.

c:\cadbatch2022\cb2022de.exe /zv="New South Wales" c:\cadbatch2022\Austates.dwg

Printing Note:

When used with the print switches, the /zv switch causes the default Print Range to be:

- Fit to Page.

- Display

I.e. the print range will be that of the selected view.

/zp=n

Zoom a drawing to a CAD Viewer predefined 3D view.

where:

n = 0 to 13 corresponding to the named views (as in the user interface):

0=Oben (Draufsicht)

1=Unten

2=Links

3=Rechts

4=Frontal

5=Rückansicht

6=Oben Frontal Links

7=Oben Frontal Rechts

8=Oben Rückansicht Rechts

9=Oben Rückansicht Links

10=Unten Frontal Links

11=Unten Frontal Rechts

12=Unten Rückansicht Rechts

13=Unten Rückansicht Links

Example:

Open the sample 3d-lnbrg.dxf drawing with the initial 3D view being the CAD Viewer predefined view 'Oben Frontal Links'.

c:\cadbatch2022\cb2022de.exe /zp=6 c:\cadbatch2022\3d-lnbrg.dxf

Printing Note:

When used with the print switches, the /zp switch causes the default Print Range to be:

- Fit to Page.

- Display

I.e. the print range will be that of the selected view.

/zq=n[,page]

Zoom a drawing to the location of a QS symbol, where 'n' is the number (identifier string) of the symbol.

The zoom centers at the center of the found QS symbol.

An optional 'page' parameter specifies the page number (1 based) in case a QS symbol with the same identifier exists on more than one page.

The height of the view is determined by the zqFactor entry value, contained in the [QA] section of the CADVIEWER.INI file.

[QA]

zqFactor=10.0

Printing Note:

When used with the print switches, the /zq switch causes the default Print Range to be:

- Fit to Page.

- Display

I.e. the print range will be that of the selected view.


Zoom a

Turn Layers On / Off

Navigation: CAD Batch Command >

Turn Layers On / Off

 Return to chapter overview

Requires Batch Command 2022 license

Turn Layers On / Off

/LAYON={layer names}

/LAYOFF={layer names}

Set one or more Layers to be on or off.

These commands act on the currently opened drawing, and must be specified in a separate command after the drawing has been loaded.

Both /LAYON and /LAYOFF may be specified in the same command line.

Layer names that contain spaces must be enclosed within double quotations. Multiple layer names may be specified in a comma separated list.

Example:

Turn on the Layer "Floor Plan" and turn off the layers "Plumbing" and "Lighting and Electrical" in the current drawing.

/LAYON="Floor Plan" /LAYOFF="Plumbing,Lighting and Electrical"

CAD QS

/QPON={pen_numbers}

/QPOFF={pen_numbers

Set pen layers for QS symbols on or off.

These commands act on the currently opened drawing, and must be specified in a separate command after the drawing has been loaded.

Both /QPON and /QPOFF may be specified in the same command line.

Pen numbers are:

Color: | Pen Number:
Rot Gelb Grün Cyan Blau Magenta Schwarz/Weiß Schwarz Weiß Dunkelgrau Grau Cyanblau Blaugrün Dunkelgrün Orange Violett Korallenrot Rotviolett Khakigrün Kakigrau Gelbbraun Hellgrün | 1 2 3 4 5 6 7 0 255 8 9 150 134 153 40 181 11 234 54 43 41 61

Example:

Turn off QS symbol with pen color Red.

Turn off QS symbols with pen colors Green and Blue.

/QPON=1 /QPOFF=3,5


Verschiedene Befehlszeilen- Schalter (Optionen)

Navigation: CAD Batch Command >

Verschiedene Befehlszeilen- Schalter (Optionen)

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz (*except where noted)

Verschiedene Befehlszeilen- Schalter (Optionen)

/2

Invoke a 2nd instance of CAD Viewer.

*Note: The /2 switch does not require the Batch Command license

/al

Load the drawing with all Layers turned on. Subsequent drawings loaded within the user interface will be loaded normally.

/al1

Load the drawing with all Layers turned on. Subsequent drawings loaded within the user interface will also have all Layers turned on.

/cl

Close the current drawing.

/cl=name

Close a drawing with the given name.

Beispiel :

Close the drawing called "austates.dwg".

/cl="austates.dwg"

Note: the drawing name must be enclosed within double quotations.

/cl=*

Close all drawings.

Beispiel :

Close the all currently loaded drawings.

/cl=*

/m

Dieser Schalter verhindert, dass das CAD Viewer - Fenster 'minimiert werden kann. Dieser Schalter muss (schon) beim ersten Aufruf des CAD Viewers - bzw. der ersten Zeichnung - gesetzt werden. Bei späteren Aufrufen wird der Schalter ignoriert.

c:\cadbatch2022\cb2022de.exe /m c:\myfiles\mydxf.dxf

/ignore

Ignore not found external references (Xrefs and raster images.) If an Xref or raster image cannot be found, the software will not put up any message for the user to locate it.

/ne

No Error messages. Error messages that would normally require a user response are not displayed.

/tt0, /tt1

Set the TrueType font display for CAD shx fonts to be off (/tt0) or on (/tt1).

/bmp=n

/cal=n

/tif=n

/jpg=n

/hpg=n

Set a default rotation to be applied to the specified drawing type.

Where:

n = rotation angle in degrees.

valid values are 0,90,180,270

/x

Ist dieser Schalter gesetzt, dann wird der CAD Viewer – beim Ausführen von entsprechenden Aktionen – ohne Rückfrage beendet; z.B. beim Aufruf von 'Datei' -> 'Beenden'

Dieser Schalter muss (schon) beim ersten Aufruf des CAD Viewers - bzw. der ersten Zeichnung - gesetzt werden. Bei späteren Aufrufen wird der Schalter ignoriert.

c:\cadbatch2022\cb2022de.exe /x c:\myfiles\mydxf.dxf


Viewer-Fenster

Navigation: CAD Batch Command >

Viewer-Fenster

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Viewer-Fenster

/h

/h0

Der /h - Schalter (hide) versteckt das Viewer Fenster. Wenn sie dieser Schaltern im Zusammenspiel mit den Druck- und Speichern- Schaltern benutzen, werden diese Operationen so ausgeführt, dass der Viewer bzw. die Zeichnung nicht auf dem Bildschirm in Erscheinung tritt.

Beim /h0 – Schalter erscheint im Unterschied zum /h – Schalter der 'Percented Printed' - Balken während des Druckvorganges, so dass man die noch verbleibende Zeit bis zum Ende des Druckes abschätzen kann.

Achtung : Wenn sie den /h – Schalter benutzen kann es passieren, dass das Programm unbeabsichtigt im Hintergrund weiterläuft.

Benutzen sie die Druckerschalter /p oder /p2 um das Programm nach dem Beenden des Druckvorgangs zu schliessen oder beenden sie alternativ den Viewer mit dem /QUIT - Schalter.

/keep

Halten Sie das Viewer-Fenster geöffnet.

/nomove

Prevent the user from moving the window

/noquit

Prevent the user from closing the viewer window

/qe

Quit on Error. Der Viewer wird beim Auftreten eines Fehlers beendet (z.B. wenn versucht wird einen unbekannten Dateityp zu öffnen) . Der Viewer wird aber nur dann geschlossen wenn aktuell keine andere Zeichnung geöffnet ist.

/quit

Der Viewer wird geschlossen.

/show

Show the viewer window.

/wpos=left,top,width,height

Position the Viewer window.

Left,Top,Width,Height are values in pixels.

Example:

Position the Viewer window to be at upper left position on the screen with a width of 1024 pixels and a height of 800 pixels.

/wpos=0,0,1024,800

/x

Causes the Viewer to close immediately when the user clicks the 'x' on the main window title bar, or selects 'Close' from the System menu, or clicks the CAD Viewer's 'Exit' button. The /x switch overrides the 'confirm quit' preference set within the user interface.


Log file

Navigation: CAD Batch Command >

Log file

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Log file

Specify logging of batch commands and command results to a file.

/LOGA={log_file_path}

/LOGN={log_file_path}

{log_file_path} is the full path name of the log file.

/LOGA appends an existing log file, or if the file does not exist, creates a new log file.

/LOGN causes a new log file to be created, overwrites an existing log file with the same path name.

IMPORTANT: If {log_file_path} contains spaces, enclose the whole switch parameter within double quotations.

Example: Create new log file at the location C:\log files\log1.log

"/LOGN=C:\log files\log1.log"

The resultant log file contains:

- start time

- command line

- name of user that initiated the command

- name and time of drawings sent to the printer, printer name, and success or error code

- completion time


Platzhalter Namensgebung

Navigation: CAD Batch Command >

Platzhalter Namensgebung

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Platzhalter Namensgebung

Multiple drawings may be specified for loading, printing, and conversion using wildcard naming.

The rules for wild card naming are the same as that used in copying files, moving files etc, in DOS, using the asterisk '*' and question mark '?' characters. ('?' is wild for a single character, and '*' is wild for a group of characters.

Beispiel :

Load all DXF drawings in the current folder.

"c:\cadbatch2022\cb2022de.exe" *.dxf

Beispiel :

Print all DWG drawings in the current folder.

"c:\cadbatch2022\cb2022de.exe" /p *.dwg


Aufruf der Software aus anderen Programmen

Navigation: CAD Batch Command >

Aufruf der Software aus anderen Programmen

 Return to chapter overview

Benötigt Batch Command 2022 Lizenz

Rufen Sie die Software von einer anderen Anwendung

(Weiterführende Informationen für Programmierer und Systembetreuer)

Der CAD Viewer / CAD Markup / SymbolCAD / QA-CAD kann aus anderen Programmen heraus aufgerufen werden um CAD- Dateien anzuzeigen, auszudrucken oder in einem anderen Format zu speichern.

CreateProcess-Methode

Die Vorgehensweise ist einfach und kann für eine einzelne oder mehrere Zeichnungen angewandt werden.

The <Execute> function appropriate to the particular programming language is used to initiate the software

Programming Language | Execute Function
C/C++/Windows | CreateProcess
Visual Basic | Shell

Die zu benutzenden Parameters sind mit den Schalter identisch, wie sie in Eingabe von Befehlen über die Befehlszeile (Command Line) beschrieben sind.

CADViewer.ini Konfigurationsdatei

Diese Konfigurationsdatei befindet sich im Windows- Verzeichnis. Die folgenden Einträge sind nützlich:

[Run]

FullPathname

Installationsverzeichnis inkl. Pfad

FileOpen

Aktivieren/Deaktivieren von 'Datei Öffnen'. 1=aktivieren, 0=deaktivieren.

FileSave

Aktivieren/Deaktivieren von 'Datei Speichern' sowie 'Kopieren in die Zwischenablage'. 1=aktivieren, 0=deaktivieren

Print

Aktivieren/Deaktivieren von 'Datei Drucken'. 1=aktivieren, 0=deaktivieren.

[Display Options]

mainmenu

top

left

width

height

on=displayed, off=hidden

position of the viewer window from top of the display (pixels)

position of the viewer window from top of the display (pixels)

width of the viewer window (pixels)

height of the viewer window (pixels)

Beispiel :

Sample Code Segment in C, Using Windows SDK

// Load the sample Austates.dwg file

// Display the viewer window with a size of 760 x 560, in the top right of the screen

void display_sample_austates_file()

{

char sz_cadfile[_MAX_PATH];

char szDirPath[_MAX_PATH];

GetPrivateProfileString(

(LPSTR)"Run",

(LPSTR)"InstallDir",

(LPSTR)"",

szDirPath,sizeof(szDirPath),

(LPSTR)"cadviewer.ini");

strcpy(sz_cadfile,szDirPath);

strcat(sz_cadfile,"Austates.dwg");

display_cadfile(sz_cadfile);

}

void display_cadfile(char *sz_cadfile)

{

static int first=1;

int screenwidth,width,height,top,left;

char str[32];

BOOL result;

char szcommandline[_MAX_PATH];

STARTUPINFO si;

PROCESS_INFORMATION pi;

char szFullPathname[_MAX_PATH];

// Only do this if you need the viewer window to be displayed at a

// particular size and position on the screen

if (first) {

// Example:

// Display the Viewer window with a size of 760 x 560

// in the Top Right Hand Corner of the screen

screenwidth = GetSystemMetrics(SM_CXSCREEN);

width = 760;

height = 560;

top = 0;

left = screenwidth-width;

sprintf(str,"%d",top);

WritePrivateProfileString((LPSTR)"Display Options",(LPSTR)"top",(LPSTR)str,(LPSTR)"cadviewer.ini");

sprintf(str,"%d",left);

WritePrivateProfileString((LPSTR)"Display Options",(LPSTR)"left",(LPSTR)str,(LPSTR)"cadviewer.ini");

sprintf(str,"%d",width);

WritePrivateProfileString((LPSTR)"Display Options",(LPSTR)"width",(LPSTR)str,(LPSTR)"cadviewer.ini");

sprintf(str,"%d",height);

WritePrivateProfileString((LPSTR)"Display Options",(LPSTR)"height",(LPSTR)str,(LPSTR)"cadviewer.ini");

ifirst = 0;

}

// This is where the CAD Batch command is actually called

// In this example the sample Austates.dwg file in the CAD Viewer window

memset(&si,0,sizeof(STARTUPINFO));

si.cb = (DWORD)sizeof(STARTUPINFO);

memset(&pi,0,sizeof(PROCESS_INFORMATION));

// Get the software's installation folder

GetPrivateProfileString((LPSTR)"Run",

(LPSTR)"FullPathname",

(LPSTR)"",

szFullPathname,sizeof(szFullPathname),

(LPSTR)"cadviewer.ini");

// enclose pathname inside double quotations to handle names containing spaces

sprintf(szcommandline,"%s \"%s\"",szFullPathname,sz_cadfile);

result = CreateProcess(NULL,(LPSTR)szcommandline,NULL,NULL,(BOOL)0,(DWORD)0,NULL,NULL,&si,&pi);

if ( !result) { /* trace("createprocess error==%lu\n",GetLastError()); */ }

// That's it! The drawing will be loaded and displayed in the viewer window

}

Fehlermeldung 'Unsupported File type ...'

Diese Fehlermeldung ist in der Regel, weil die Zeichnung Datei Pfad wurde nicht in doppelte Anführungszeichen eingeschlossen. Siehe obigen Quellcode.

Anmerkung

Wenn sie den CAD Viewer / CAD Markup / SymbolCAD / QA-CAD als Teil ihrer eigenen Applikation oder als Standalone- Lösung an Dritte vertreiben wollen (also ausserhalb ihrer eigenen Firma), dann müssen sie eine entsprechende Anzahl von (Wiederverkaufs)Lizenzen erwerben.

WM_COPYDATA method

The WM_COPYDATA method provides an alternative way to communicate with the already opened CAD Viewer / CAD Markup / SymbolCAD / QA-CAD / or CAD Batch Command software.

The main advantage of the WM_COPYDATA method is that commands are executed significantly quicker than the CreateProcess method.

The same switch parameters that are sent via command line in the CreateProcess method are instead communicated via the the Windows WM_COPYDATA message.

The procedure is to use the FindWindow Windows's function to retrieve a handle to the open CAD Viewer / CAD Markup / SymbolCAD / QA-CAD / or CAD Batch Command software. The returned handle is then used as the first parameter to the SendMessage function.

The name of each software's window is as follows:

CAD Viewer guthcadcv

CAD Markup guthcadcm

SymbolCAD guthcadsy

QA-CAD / CAD QS guthcadqa

CAD Batch Command guthcadbc

Example: Zoom the current drawing of the CAD Viewer window to its Extents

COPYDATASTRUCT cd;

HWND hwnd;

wchar_t wsz_params[256] = L"/ZP=0";

hwnd = FindWindow(L"guthcadcv",NULL);

cd.dwData = 0;

cd.cbData = 2 * (wcslen(wsz_params)+1);

cd.lpData = (PVOID) wsz_params;

SendMessageW(hwnd, WM_COPYDATA, (WPARAM)0, (LPARAM)&cd);

A small example program called CVCMD.EXE along with source code CVCMD.C is located in the software's installation folder.


Exit Codes

Navigation: CAD Batch Command >

Exit Codes

 Return to chapter overview

Exit Codes

0 = ok

> 0 = ok + count of errors found and count of errors fixed by Audit using the formula (4096*ErrorsFound + ErrorsFixed).

-1 Could not open source file

-2 Could not open destination file

-3 Unlicensed DLL

-5 Wrong flag value for init_dwgconvert

-6 Parameters are blank

-9 Could not locate DWGCONV.INI file (not in the application folder, inform location using init_dwgconvert)

-16 Output file did not have a .DXF or .DWG extension

-19 File does not exist in folder specified

-20 File size exceeded in trial version

-21 Identical input and output file names (not allowed)

-27 Specified output folder does not exist

-33 Wildcard pattern must have a .DXF or .DWG extension, e.g. *.DXF

-34 Source file should have a .DXF or .DWG extension.

-35 Wildcard specification not supported in trial version

-36 Output folder is not writable

-37 Log file could not be opened

-38 Specified Printer driver not found (i.e. as specified via /PR= switch)

-77 Instance of the DLL already running

-100 Error saving file - disk full?

DXF/DWG file load specific errors

-101 Could not make proxy

-102 Invalid Drawing

-103 Not implemented yet

-104 Not applicable

-105 Invalid input

-106 Invalid Filer

-107 Ambiguous input

-108 Ambiguous output

-109 Out of memory

-110 No interface

-111 Buffer too small

-112 Invalid open state

-113 Unsupported Method

-114 Entity in inactive layout

-115 Handle already exists

-116 Null handle

-117 Broken handle

-118 Unknown handle

-119 Handle in use

-120 Null object pointer

-121 Null object Id

-122 Null block name

-123 Container is not empty

-124 Null entity pointer

-125 Illegal entity type

-126 Key Not Found

-127 Duplicate Key

-128 Invalid index

-129 Character Not Found

-130 Duplicate index

-131 Already in database

-132 Out of disk

-133 Deleted entry

-134 Negative value not allowed

-135 Invalid Extents

-136 Invalid ads name

-137 Invalid Symbol Table Name

-138 Invalid Key

-139 Wrong Object Type

-140 Wrong Database

-141 Object to be deleted

-142 Invalid Dwg Version

-143 Anonymous entry

-144 Illegal Replacement

-145 End of oject

-146 Unexpected end of file

-147 File exists

-148 Can't open file

-149 File close error

-150 File write error

-151 No filename

-152 Filer error

-153 File access error

-154 File system error

-155 File internal error

-156 Too many open files

-157 File not found

-158 Unknown File Type

-159 Is reading

-160 Is writing

-161 Not opened for read

-162 Not opened for write

-163 Not that kind of class

-164 Invalid block name

-165 Missing dxf field

-166 Duplicate dxf field

-167 Invalid group code

-168 Invalid ResBuf

-169 Bad Dxf sequence

-170 Invalid RoundTripR14 data

-171 Polyface Mesh vertex after face

-172 Invalid vertex index

-173 Other objects busy

-174 The invoked BTR is not database-resident yet

-175 Cannot nest block definitions

-176 Dwg recovered OK

-177 Dwg not recoverable

-178 Dxf partially read

-179 Dxf read aborted

-180 Dxb partially read

-181 CRC does not match

-182 Dwg sentinel does not match

-183 Dwg object improperly read

-184 No input filer

-185 Dwg needs a full save

-186 Dxb read aborted

-187 Dwk lock file found

-188 Object was erased

-189 Object was permanently erased

-190 Was open for read

-191 Was open for write

-192 Was open for undo

-193 Was notifying

-194 Was open for notify

-195 On locked layer

-196 Must open thru owner

-197 Subentities still open

-198 At max readers

-199 Is write protected

-200 Is XRef object

-201 An object in entitiesToMove is not an entity

-202 Had multiple readers

-203 Invalid Block table record name

-204 Duplicate record name

-205 Block is not an external reference definition

-206 Empty record name

-207 Block depend on other XRefs

-208 Entity references itself

-209 Missing symbol table

-210 Missing symbol table record

-211 Was not open for write

-212 Close was notifying

-213 Close nodify aborted

-214 Close partial failure

-215 Close fail object damaged

-216 Object can't be erased

-217 Cannot be resurrected

-218 Insert after

-219 Fixed all errors

-220 Left errors unfixed

-221 Unrecoverable errors

-222 No Database

-223 XData size exceeded

-224 Cannot save hatch roundtrip data due to format limitations (they are too large)

-225 Hatch is gradient

-226 Invalid RegApp

-227 Repeat entity

-228 Record not in table

-229 Iterator done

-230 Null iterator

-231 Not in block

-232 Owner not in database

-233 Owner not open for read

-234 Owner not open for write

-235 Explode before transform

-236 Cannot transform by non-ortho matrix

-237 Cannot transform by non-uniform scaling matrix

-238 Object not in database

-239 Not current database

-240 Is an entity

-241 Cannot change properties of active viewport!

-242 No active viewport in paperspace

-243 Command was in progress

-244 General modeling failure

-245 Out of range

-246 Non coplanar geometry

-247 Degenerate geometry

-248 Invalid axis

-249 Point not on entity

-250 Singular point

-251 Invalid offset

-252 Non planar entity

-253 Can not explode entity

-254 String too long

-255 Invalid sym table flag

-256 Undefined linetype

-257 Text style is invalid

-258 Too few Linetype elements

-259 Too many Linetype elements

-260 Excessive item count

-261 Ignored Linetype redefinition

-262 Bad UCS

-263 Bad Paperspace view

-264 Some input data left unread

-265 No internal space

-266 Invalid dimension style

-267 Invalid layer

-268 Multiline style is invalid

-269 Dwg file needs recovery

-270 Recovery failed

-271 Delete entity

-272 Invalid fix

-273 Bad layer name

-274 Layer group code missing

-275 Bad color index

-276 Bad linetype name

-277 Bad linetype scale

-278 Bad visibility value

-279 Proper class separator expected

-280 Bad lineweight value

-281 Pager error

-282 Out of pager memory

-283 Pager write error

-284 Was not forwarding

-285 Invalid id map

-286 Invalid Owner Object

-287 Owner Not Set

-288 Wrong subentity type

-289 Too many vertices

-290 Too few vertices

-291 No Active Transactions

-292 Transaction Is Active

-293 Not top transaction

-294 Transaction open while command ended

-295 In process of committing

-296 Not newly created object

-297 Entity is excluded from long transaction

-298 No work set

-299 Entity already in group

-300 There is no entity with this id in group

-301 Bad Dwg File

-302 Invalid REFIID

-303 Invalid normal

-304 Invalid style

-305 Cannot restore from Acis file

-306 NLS file not available

-307 Not allowed for this proxy

-308 Not supported in dwg api

-309 Poly width lost

-310 Null Extents

-311 Explode again

-312 Bad dwg header

-313 Lock violation

-314 Lock conflict

-315 Database objects open

-316 Lock change in progress

-317 Vetoed

-318 No document

-319 Not from this document

-320 LISP active

-321 Target doc not quiescent

-322 Document switch disabled

-323 Invalid context of execution

-324 Create failed

-325 Create invalid name

-326 Seting active layout failed

-327 Does not exist

-328 Model Space layout can't be deleted

-329 Last Paper Space layout can't be deleted

-330 Unable to delete current

-331 Unable to find to delete

-332 Cannot rename non-existing

-333 Model Space layout can't be renamed

-334 Invalid layout name

-335 Layout already exists

-336 Cannot rename: the name is invalid

-337 Copy failed: object does not exist

-338 Cannot copy Model Space

-339 Copy failed

-340 Copy failed: invalid name

-341 Copy failed: such name already exists

-342 Profile does not exist

-343 Invalid profile name

-344 Profile is in use

-345 Registry access error

-346 Registry create error

-347 Bad Dxf file

-348 Unknown Dxf file format

-349 Missing Dxf section

-350 Invalid Dxf section name

-351 Not Dxf header group code

-352 Undefined Dxf group code

-353 Not initialized yet

-354 Invalid Dxf 2d point

-355 Invalid Dxf 3d point

-356 Badly nested AppData

-357 Incomplete block definition

-358 Incomplete complex object

-359 Block definition in entity section

-360 No block begin

-361 Duplicate layer name

-362 Bad plotstyle name

-363 Duplicate block name

-364 Bad plotstyle type

-365 Bad plotstyle name handle

-366 Undefined shape name

-367 Duplicate block definition

-368 Missing block name

-369 Binary data size exceeded

-370 Object is referenced

-371 Invalid thumbnail bitmap

-372 eGuidNoAddress

-373 Must be 0 to 2

-374 Must be 0 to 3

-375 Must be 0 to 4

-376 Must be 0 to 5

-377 Must be 0 to 8

-378 Must be 1 to 8

-379 Must be 1 to 15

-380 Must be positive

-381 Must be non negative

-382 Must be non zero

-383 Must be 1 to 6

-384 No plotstyle translation table

-385 Plot style is in color dependent mode

-386 Max layouts

-387 No ClassId

-388 Undo operation is not available

-389 No undo group begin

-390 Hatch is too dense - ignoring

-391 File open cancelled

-392 Not Handled

-393 Library integrity is broken

-394 Already active

-395 Already inactive

-396 Codepage not found

-397 Incorrect init file version

-398 Internal error in Freetype font library

-399 No UCS present in object

-400 Object has wrong type

-401 Protocol extension object is bad

-402 Bad name for hatch pattern

-403 Object is not transaction resident

-404 Dwg file is encrypted

-405 The password is incorrect

-406 HostApp cannot decrypt data

-407 An arithmetic overflow

-408 Paging skips the object

-409 Paging is stoped

-410 Invalid ResBuf with DimStyle data

-411 Extended error

-416 Unsupported early DWG version


Batch Command Lizenz

Batch Command 2022 Lizenz

Navigation: CAD Batch Command >

Batch Command 2022 Lizenz

 Return to chapter overview

CAD Batch Command 2022 Lizenz

CAD Batch Command 2022 ist als Stand-alone-Produkt verfügbar.

Kaufen CAD Batch Command 2022 hier.

Neu! CAD Batch Command 2022 wird nun in den folgenden GuthCAD Produkten enthalten.

Ein alternativer Weg, um CAD-Batch Command-Funktionalität zu erhalten, ist mit dem Kauf eines der folgenden Produkte mit der minimalen Anzahl von Benutzern, wie unten aufgeführt:

Software | Minimum Nummber von Benutzern
CAD Viewer 2022 | 10 Benutzer
CAD Markup 2022 | 10 Benutzer
SymbolCAD 2022 | 10 Benutzer
QA-CAD 2022 | 10 Benutzer
CAD Viewer 2022 Netzwerk | 10 gleichzeitige Benutzer
CAD Markup 2022 Netzwerk | 5 gleichzeitige Benutzer
SymbolCAD 2022 Netzwerk | 3 gleichzeitige Benutzer
CAD QS 2022 Netzwerk | 1 gleichzeitiger Benutzer

CAD Batch Command 2022 Startseite

Kaufen CAD Batch Command 2022 hier.


A - O

Navigation: CAD Batch Command > Switches Reference Alphabetic Listing >

A - O

 Return to chapter overview
/2 | Invoke a 2nd instance of the software
/AL | Load the drawing with all Layers turned on for the current drawing
/AL1 | Load the drawing with all Layers turned on for all drawings
/BMP | Set rotation for BMP files
/CAL | Set rotation for CAL files
/CL | Close a drawing, or drawings.
/COL | Specify a color setting for saved images
/DPI | Specify the DPI (Dots Per Inch) value for the saved Image
/H | Hide the viewer window
/H0 | Hide the viewer window, but show percentage completed dialog.
/HPG | Set rotation for HPGL files
/IGNORE | Ignore not found external references
/JPG | Set rotation for JPG files
/LAYOFF | Turn Layers off
/LAYON | Turn Layers on
/LOGA | Append to an existing log file
/LOGN | Specify a log file
/KEEP | Halten Sie das Viewer-Fenster geöffnet
/M | Hide the 'Minimize' menu item on the viewer window
/MARGIN | Specify the margin width in pixels of the saved image
/NE | Suppress error dialogs requiring a user response
/NOMOVE | Prevent the user from moving the window
/NOQUIT | Prevent the user from closing the viewer window
/OUT | Specify the name of the output folder.
/OUTF | Specify the name of the output file

P - Z


P - Z

Navigation: CAD Batch Command > Switches Reference Alphabetic Listing >

P - Z

 Return to chapter overview
/P | Print a drawing
/P2 | Print a drawing, display 'Printer Setup' and 'Print Options' dialogs.
/PA | Set pages to be printed
/PB | Select print to be Color or Black
/PBX | Printer color for Xrefs
/PC | Set the number of copies to send to the printer.
/PCONFIG | Save print configuration from within the viewer
/PD | Set to double sided (duplex) printing
/PDF | Convert a drawing to a PDF
/PDRAWINGS | Specify the print drawings range
/PMARGIN | Set print margin size
/PO | Set the print page orientation.
/PP | Set the print paper size.
/PP_CUST | Set a custom paper size
/PR | Specify the printer.
/PS | Cause the viewer window to stay open.
/PT | Print the specified text on the drawing
/PTRAY | Select a paper tray
/PX | Cause the print range settings to be obtained from the PRINTCMD.INI file
/QE | Quit on Error
/QPOFF | Set QS pen layers off
/QPON | Set QS pen layers on
/QUIT | Close the viewer window
/S | Save or convert drawing to a raster image
/SAVEM | Save markup edits in for the current drawing
/SB | Save the image in black and white
/SHOW | Show the Viewer window
/SL | Specify a line width scaling
/SZ | Set image size in pixels (width x height)
/SZH | Set image height in pixels
/SZW | Set image width in pixels
/TIF | Set rotation for Tiff files
/TT0 | Set TrueType fonts off for CAD SHX fonts
/TT1 | Set TrueType fonts on for CAD SHX fonts
/WPOS | Position the Viewer window
/X | Bypass 'Confirm Quit' dialog when quitting the software
/Z | Zoom a drawing to a user defined view.
/ZP | Zoom a drawing to a predefined 3D view
/ZQ | Zoom a drawing to the location of a QA symbol
/ZV | Zoom a drawing to a named view.

A - O


Configuration Files

Navigation: Weiterführende Themen >

Configuration Files

 Return to chapter overview

(Software Administrator Information)

Configuration Files Overview

The software utilises various configuration files (*.INI files) to store preferences and set user defined options.

Although mostly it is unnecessary to know anything about these files, some advanced options may require manual settings to be made using a plain text editor (such as Notepad.) This topic gives a brief description of each of the software's *.INI files, and its location.

INI File Locations

INI files are located in the following locations:

Installation Folder

This is the folder where the relevant GuthCAD version 2022 product was installed. The folder location is identical to the location of the .exe file used to start the software. Right click on the software's desktop icon and select 'Properties' to see the folder location.

User Folder

This folder is located under the APPLICATION DATA folder for each user.

To locate the folder in 'My Computer' type into the address bar: %APPDATA%\GuthCAD and click the relevant sub-folder for the software (e.g. for CAD Viewer 2022 the sub-folder is CV2022) .

Program Data Folder

This folder is located under the the folder %PROGRAMDATA%\GuthCAD.

To locate the folder in 'My Computer' type into the address bar: %PROGRAMDATA%\GuthCAD

Configuration Files List

Name | Location | Description
CADViewer.ini | Installation Folder | Main configuration file for the software
CVUser.ini | User Folder | Configuration / preferences file for each user.
Attdef.ini | Installation Folder | Master/shipped attribute definitions for CAD QS
Attdef_user.ini | User Folder | User attribute definitions for CAD QS
DateStamp.ini | Program Data Folder | Store Stamp settings. The full path is: %PROGRAMDATA%\GuthCAD\Markup\datestamp.ini
Dxf6.ini | Installation Folder | Settings for import of DXF/DWG drawings.
DxfXref.ini | User Folder | Stores search paths for Xref drawings.
Dwgconv.ini | Installation Folder | Settings for import of DXF/DWG drawings.
HPGL.ini | Installation Folder | Settings for import of HPGL plot files.
Layers.ini | Installation Folder | Settings for special treatment of specific Layers in a CAD file
Markup.ini | Program Data Folder | Markup settings, and Markup folder locations (where markup edits are stored.) The full path is: %PROGRAMDATA%\GuthCAD\Markup\markup.ini
Measure.ini | Installation Folder | Settings for Measurement functions
PrintCmd.ini | Installation Folder | Printer defaults when using command line printing
PrintTags.ini | Installation Folder | Settings to allow placement of date/time stamps, watermarks, header/footer lines on printed document.
Trans.ini | Installation Folder | Settings mapping of custom file types
Ttf.ini | Installation Folder | TrueType Font mappings


Adding Time/Date Stamps / Watermarks to Printouts

Navigation: Weiterführende Themen >

Adding Time/Date Stamps / Watermarks to Printouts

 Return to chapter overview

Adding a Time/Date Stamp or Watermark to Printouts and Saved Images

CAD Viewer 2022 may be configured to add a time/date stamp, watermark, heading, or other user defined information, collectively referred to as 'Print Tags' to printouts and saved images.

Up to 10 Print Tags may be defined.

Definitions are made via manual specification within 2 configuration files, viz.

PRINTTAGS.INI - Defines Print Tags that apply to operations initiated from within the user interface.

PRINTCMD.INI - Defines Print Tags that apply to command line operations.

Refer to the example below and the meanings that follow it to understand how to set up your own Print Tags.

Example:

[PrintTags]

OutputPrintTags=1

DisableUserChoice=0

P0=1

P1=1

P2=0

[P0]

Text=PALE RED WATERMARK 45 DEGREES

Pos0=1045

Align0=0

Size0=72

Font0=Arial

RGB0=128,0,0

[P1]

Line1=TEST LINE ACROSS BOTTOM

Pos1=1

Align1=0

Size1=72

Font1=Arial

RGB1=0,0,0

[P2]

Text=BLUE TITLE

Pos=0

Align=1

Size=36

Font=Arial

RGB=0,0,255

The brief meanings are as follows

The [PrintTags] Section:

This section contains a setting to control whether Print Tags will be used or not (OutputPrintTags), a setting to control whether the user has the option to turn Print Tags on/off for each printout (DisableUserChoice), followed by a list indicating which of the defined print tags are to be used (P0, P1, ... P9)

OutputPrintTags=n

where n = 0,1

If set to '0' Print Tags will not be output (default)

If set to '1' Print Tags will be output

DisableUserChoice=n

where n = 0,1

The setting controls whether the checkbox option 'Apply Time/Date Stamp (as specified in printtags.ini)' is enabled in 'Print Options' dialog.

If set to '0' the option is enabled (default)

If set to '1' the option is disabled (grayed)

OutputTagsToSavedImages=n

where n = 0,1

Controls whether to apply Print Tag settings to Saved Images as well as Printouts.

Note that this setting works in combination with the OutputPrintTags setting. So if OutputPrintTags setting is off, then output of Print Tags to saved images will also be off, regardless of the OutputTagsToSavedImages setting.

If set to '0' Print Tags will not be output to saved images (default)

If set to '1' Print Tags will be output to saved images as well as printouts

DisableUserChoiceImages=n

where n = 0,1

The setting controls whether the checkbox option 'Apply Time/Date Stamp (as specified in printtags.ini)' is enabled in 'Save Image Options' dialog. Note that the setting has no effect if OutputTagsToSavedImages is off, in which case the option does not even appear in the 'Save Image Options' dialog.

If set to '0' the option is enabled (default)

If set to '1' the option is disabled (grayed)

PN=n

where

N = 0 to 9 corresponding to up to 10 separate text stamp definitions (P0, P1, ... , P9)

n = 0,1 indicating whether the stamp line is on off, where 0=off, 1=on

In the example [PrintTags] section above, tags 0,1 are on, and tag 2 is off.

The [P0], [P1], ... [P9] Sections:

Each [PN] section defines the Text, Position, Alignment, Size, Font, and Color for each Print Tag

Text Text to print.

Pos[nnn] Position on page, where:

0=top

1=bottom

2=along left edge

4=along right edge

1nnn=middle of page with angle of rotation nnn (0-360)

Align Alignment 0=left,1=center,2=right

Size Font size in points

Font Windows font

RGB Color

More detailed explanation

Size=nnn

where nnn = Point size of the text. 1 Point = 1/72 inches.

Example: 1/2 inch high text is

Size=32

Font=xxxxxxx

where xxxxxxx is the name of a Windows Font.

Example: Use Arial font is

Font=Arial

The font name must match exactly the name given in Windows.

RGB=nnn,nnn,nnn

where the nnn,nnn,nnn gives the Red, Green, Blue components of the text

color in the range 0 to 255.

Example: Green text is

RGB=0,255,0

Other common RGB values:

red 255,0,0

blue 0,0,255

cyan 0,255,255

light gray 64,64,64

Pos=1nnn

where 1nnn determines the position of text in the middle of page, and

nnn = angle in degrees of the text to the horizontal.

Example: text in the middle of the page rotated 45 degrees is

Pos=1045

Using AutoCAD DIESEL expressions to print Date/Time stamps

AutoCAD DIESEL expressions may be used in print tags to output the time and date of printing, the format of such, as well as other information such as file name, user name, and many other items that are able to be specified using an AutoCAD Diesel expression.

Example 1: Line contains date, time, and user name

Text=Printed: $(edtime, 0, MON DD"," YYYY "@" H:MMam/pm) User: $(getvar, "loginname")

Pos=1

Align=0

Size=10

Font=Arial

RGB=0,0,0

Example 2: Line contains drawing name, date, time, and user name

Text=Drawing: $(getvar, "dwgprefix")$(getvar, "dwgname") Printed on:$(edtime, 0, MON DD"," YYYY "@" H:MMam/pm) By: $(getvar, "loginname")

DIESEL expression online reference

An good online reference for DIESEL expressions may be found here:

http://www.crlf.de/Dokumente/Diesel/DieselReference.html


DXF/DWG Externe Referenzen - Xrefs

Navigation: Weiterführende Themen >

DXF/DWG Externe Referenzen - Xrefs

 Return to chapter overview

Xrefs (weiterführende Informationen)

Der CAD Viewer unterstützt bei DXF/DWG externe Referenzen (Xrefs). Eine Xref ist eine Zeichnung außerhalb der aktuellen Zeichnung, die über eine Referenz mit dieser verknüpft ist. Diese externe Zeichnung wird erst beim Laden der Hauptzeichnung 'dazu geladen'.

Der CAD Viewer sucht nach Xrefs in folgender Reihenfolge

- am Ort welcher durch den kompletten Xref- Pfad angegeben ist

- im Verzeichnis in dem die Hauptzeichnung liegt

- in den Verzeichnissen welche im DXFXREFS.INI angegeben werden.

Wird die Xref- Datei an keinem der oben aufgelisteten Orten gefunden, fragt der CAD Viewer ob das Laden der Xref- Datei ignoriert, oder ob ein zusätzliches Verzeichnis angegeben werden soll, in dem der CAD Viewer suchen soll.

Wird ein zusätzliches Verzeichnis angegeben, kann dieses der Xref-Suchpfadliste (Xrefs Search Paths list) in der DXFXREFS.INI - Datei hinzu gefügt werden.

Xrefs sind normalerweise Zeichnungsrahmen oder andere Zeichnungsteile, die praktisch unveränderlich in vielen Zeichnungen benutzt werden. Aus diesem Grund fertigt der CAD Viewer eine lokale Kopie der Xref- Datei in einem eigenen Format an. (.DF3 Datei) So kann ein schnellerer Zugriff auf diese erfolgen.

Jedoch überprüft der CAD Viewer immer, ob das Datum der Xref neuer ist, als die entsprechende .DF3- Datei. Ist dies der Fall (d.h. die Xref-Datei wurde geändert) dannfertigt der CAD Viewer eine neue .DF3- Datei an.

Nach einer gewissen Zeit ist es sinnvoll die sich angesammelten lokalen .DF3- Dateien zu löschen. Wählen Sie dazu unter 'Einstellungen' den Befehl 'Xref-Cache leeren'


Zuordnung von TrueType Schriften

Navigation: Weiterführende Themen >

Zuordnung von TrueType Schriften

 Return to chapter overview

(Software Administrator Information)

TrueType Font Mappings

Der Viewer kann auch Windows TrueType Schriften (.ttf) an Stelle der eigentlichen CAD- Schriften (.shx) zur Anzeige bringen.

Die Windows TrueType Schriften werden angezeigt wenn ein entsprechender Eintrag (Zuordnung) in der Datei TTF.INI vorhanden ist, und der entsprechende Font auf dem Rechner installiert ist.

Mit der Funktionstaste <F2> kann zwischen True Type- und CAD- Schriften umgeschaltet werden.

Sie können die Zuordnung(stabelle) zwischen TrueType- und CAD- Schriften mit Hilfe eines Editors anpassen. Ändern sie Einträge oder fügen sie welche hinzu.

Die TTF.INI Datei beinhaltet zwei Abschnitte [TTF] und [TrueTypeMappings] :

[TTF]

Mode=1

[TrueTypeMappings]

HELV=Arial

SIMPLEX=Arial

COMPLEX=Times New Roman

Der Abschnitt [TTF] beinhaltet lediglich einen Eintrag, und zwar den Modus (Mode). Mode = 0 bedeutet, dass die CAD- Schriften (.shx) benutzt werden - Mode = 1 bedeutet, dass die True Type Schriften zur Anwendung kommen.

Im Abschnitt [TrueTypeMappings] wird die Zuordnung zwischen CAD-Schriften (.shx) und den entsprechenden TrueType Schriften durchgeführt.

Der Aufbau (Syntax) ist folgender :

<CAD Font> = <TrueType Font>

Beispiel :

SIMPLEX=Arial

Hier wird die CAD- Schrift simplex.shx wird durch die True Type- Schrift arial.ttf ersetzt.

Es können nur nachfolgen aufgeführte CAD- Schriften durch True Type- Schriften ersetzt werden :

ASCIISYM

ASCIITEX

ASTAND

ASTRON

COMPLEX

CYRILLIC

CYRILTLC

DRAFTSYM

ENVIRO

EUROSYM

GOTHICE

GREEKS

HELV

ISOB

ISOCP

ISOCT

ITALIC

MAP

MATH

MET

MONOTXT

MUSIC

NEWROMAN

ROMANC

ROMANS

SCRIPTS

SIMPLEX

STENDOT

TXT

Wenn in einer Zeichnung ein CAD- Textfont benutzt wird, welcher nicht in obiger Liste aufgeführt ist, z.B. MEDUSA.SHX, dann können sie folgendermaßen vorgehen :

Tragen Sie im Abschnitt [MapFontsIn] der Datei DXF.INI* folgende Zeile zusätzlich ein :

[MapFontsIn]

...

MEDUSA=GREEKC

…

Die nicht vom CAD Viewer unterstützte CAD- Schrift MEDUSA.SHX wird dann durch die CAD- Schrift GREEKC.SHX ersetzt. Für alle dem CAD Viewer unbekannten Schriften, denen in DXF.INI keine Ersatzschriften zugeordnet sind, benutzt der Viewer CAD- Ersatzschrift TXT.SHX

* Die Datei DXF.INI befindet sich im CAD Viewer- Verzeichnis.

Bitte beachten Sie die Unterscheidung zwischen dem Namen des Textfonts, d.h. dem Name der Datei (wie z.B. MEDUSA.SHX) und dem vom CAD- Anwender vergebenen Namen (TEXTSTYLE) für diese Schrift. So kann z.B. für die Schriftdatei MEDUSA.SHX der Textstilname USER1 vergeben sein.

Sie können die Substitution der unbekannten Schrift alternativ auch folgendermaßen vornehmen :

Tragen Sie im Abschnitt [MapSymbolsIn] der Datei DXF.INI* folgende Zeile zusätzlich ein :

[MapSymbolsIn]

...

USER1=GREEKC

…

Der Effekt ist wie im oben schon beschrieben

Widersprechen sich die Angaben im Abschnitt [MapFontsIn] und [MapSymbolsIn] so hat der Eintrag im Abschnitt [MapFontsIn] Priorität.

Beispiel :

Der Schriftstil (TEXTSTYLE) USER1 sei der Schriftfont MEDUSA.SHX zugeordnet. (also wie oben)

Im Abschnitt MapSymbolsIn] ist der Eintrag

USER1=GREEKC

Im Abschnitt [MapFontsIn] der Eintrag

MEDUSA.SHX=CYRILLIC

Der unbekannte Schriftfont MEDUSA.SHX, welcher den Textstilnamen USER1 trägt, wird durch die CAD- Schrift CYRILLIC.SHX ersetzt. Es zählt der Eintrag unter [MapFontsIn] = direkte Zuordnung und nicht die indirekte Zuordnung über den Textstilnamen.


Festlegen eines Startverzeichnisses

Navigation: Weiterführende Themen >

Festlegen eines Startverzeichnisses

 Return to chapter overview

(Software Administrator Information)

Fixed Startup Folder

Das Standardverhalten desCAD Viewers ist, dass er sich jeweils das Verzeichnis merkt, in dem er z.B. die letzte DWG geöffnet hat. Dieses Verzeichnis ist dann das Vorgabeverzeichnis für das nächste Öffnen einer DWG. Gleiches gilt für jedes andere Format.

Wenn Sie wollen, dass der CAD Viewer immer das gleiche Verzeichnis beim Öffnen-Dialog vorschlägt, müssen Sie folgende Einträge in der Datei cvuser.ini* vornehmen:

*Die Datei befindet sich im %APPDATA%\GuthCAD\CVDE2022.0\CVUSER.INI

bei XP: C:\Dokumente und

Einstellungen\<Username>\Anwendungsdaten\GuthCAD\CVDE2022.0\CVUSER.INI

bei Vista: C:\Users\<Username>\AppData\Roaming\GuthCAD\CVDE2022.0\CVUSER.INI

[ImportDirs]

StartUp=1

StartDir=D:\xyz

StartIndex=1

es bedeuten :

Startup=n

n = 1 oder 2

1 = die Software nimmt sofort das unter StartDir spezifizierte Verzeichnis.

0 = die Software schlägt für jeden Dateityp jeweils das entsprechen zuletzt geöffnete Verzeichnis vor.

StartDir=D:\xyz

setzt den Pfad auf ein Verzeichnis indas die Software beim Öffnen von Dateien 'springen' soll.

StartIndex=n

n = 1 bis max. Anzahl von Dateitypen

n ist der Index von Dateitypen welche im 'Datei Öffnen' -Dialog angezeigt werden.

Zum Beispiel bedeutet 'StartIndex=4' dass der CAD Viewer 'DWG Dateien' als Dateifilter setzt.

(Der Index entspricht der Position an welcher der gewünschte Filter in der Liste steht: So steht 'DWG Dateien' an vierter Stelle)


Set an Alternate PDF Driver

Navigation: Weiterführende Themen >

Set an Alternate PDF Driver

 Return to chapter overview

(Software Administrator Information)

Set an alternate PDF Driver

By default CAD Viewer 2022 uses Tracker Software's 'PDF-XChange 3.0' printer driver to output to PDF.

To configure CAD Viewer to use a different PDF printer driver make the setting in CADVIEWER.INI.

[Prefs]

UseOwnPDFDriver=1

PDFDriver={exact name of the PDF driver as it appears in the Windows Printers list}

If the 'PDFDriver' entry is not specified then CAD Viewer will use 'PDF-XChange 4.0' as the default.

Example 1:

Configure CAD Viewer to use 'PDF-XChange 4.0' to create PDF documents.

[Prefs]

UseOwnPDFDriver=1

Example 2:

Configure CAD Viewer to use 'PDF Report Writer' (by novaPDF) to create PDF documents.

[Prefs]

UseOwnPDFDriver=1

PDFDriver=PDF Report Writer

See Also:

Configuration Files


Fehlende externe Datei

Navigation: Fehlermeldungen >

Fehlende externe Datei

 Return to chapter overview

Die häufigste Fehlermeldung hat mit fehlenden externen Dateien zu tun.

Das kann zwei Gründe haben:

1. Jemand hat ihnen eine Zeichnung geschickt, aber nicht die dazugehörenden externen Dateien.

Lösung: Fordern sie die fehlenden Datei(en) an.

2. Die externen Files wurden auf ihrer Festplatte 'verschoben'

Lösung : Lokalisieren sie die fehlende Datei mit dem 'Browser'. Sie können dieses Verzeichnis dann dem Suchpfad für externe Referenzen hinzufügen.

Externe Dateien können referenzierte Zeichnungen (XREFs) oder referenzierte Pixelbilder sein. Auch wenn Dateien fehlen, zeigt der CAD Viewer die Zeichnung an. (natürlich ohne die fehlenden XREFs bzw. Pixelbilder)

Spezielle Fehlermeldungen :

Warning: Xref Not Found

Die Xref 'xxxxxx.dwg' kann im spezifizierten Pfad, im aktuellen Verzeichnis oder im Xref-Suchpfad nicht gefunden werden.

Soll sie mit Hilfe des Datei-Explorers gesucht werden?

'Xref' is die Abkürzung für 'External Reference'. Sie referenziert (verweist) auf eine Zeichnung die in die Hauptzeichnung eingefügt wurde. Eine Xref hat immer .DWG als Dateiendung. Externe Referenzen sind in der Regel Zeichnungskomponenten die in mehreren Zeichnungen verwendet werden - z.B. der Zeichnungsrahmen.

Die Hauptursachen für diesen Fehler und die dazugehörenden Lösungen sind am Anfang dieses Abschnittes aufgelistet.

Eine externe Referenz kann wichtige oder unwichtige Teile der Zeichnung enthalten. Wenn Sie nicht wissen welche Zeichnungsinformationen in der (fehlenden) Xref enthalten sind, sollten sie den 'Sender' der Datei kontaktieren.

Wenn sie vermuten, dass die Xref auf ihrem Rechner vorhanden ist, der CAD Viewer diese aber nicht findet, dann wählen Sie die 'File Browse' Option um die Datei zu suchen. Wenn sie die Xref-Datei gefunden haben, werden sie gefragt, ob sie dieses Verzeichnis in den Suchpfad für Xrefs aufnehmen wollen. Wenn sie das bestätigen wird der CAD Viewer in Zukunft immer in diesem Verzeichnis nach fehlenden Xrefs suchen.

Warning: Raster Image Not Found

Das Pixelbild 'xxxxxx.bmp, .tif, .jpg' kann im spezifizierten Pfad, im aktuellen Verzeichnis oder im Rasterimage-Suchpfad nicht gefunden werden.

Soll es mit Hilfe des Datei-Explorers gesucht werden?

Ein referenziertes Pixelbild ist ein Bild welches in eine Zeichnung eingefügt wurde. Die von AutoCAD unterstützten Bildformate sind TIFF, BMP, JPEG usw.

Die Hauptursachen für diesen Fehler und die dazugehörenden Lösungen sind am Anfang dieses Abschnittes aufgelistet.


Technical Support

Navigation: Technical Support >

Technical Support

 Return to chapter overview

Alle Kunden erhalten technische Unterstütztung per Email.

Direkt vom Hersteller : support@guthcad.com

(Dieser Support ist nur in englischer Sprache möglich)

oder von der SWAP Computer GmbH, dem Distributor der deutschen Version : cvsupport@swap.de

Herunterladen der neuesten Version

Wenn sie einen Fehler entdecken sollten sie zuerst die aktuelle Version des CAD Viewer 'downloaden' :

www.guthcad.com/dlviewer_ger.htm

Die Software wird in regelmäßigen Abständen aktualisiert und unter dieser Adresse bereitgestellt. Sie können davon ausgehen, dass zumindest einmal im Monat eine neue Version zur Verfügung steht.

Meldung eines Programmfehlers

Bitte melden sie Programmfehler so detailliert als nur möglich. Geben Sie auch das Betriebssystem (inkl. Servicepack) an welches auf ihrem Rechner installiert ist.

Welche Version sie installiert haben können sie unter 'Hilfe' -> 'Über CAD Viewer' abfragen. In der ersten Zeile steht z.B. CAD Viewer 2022 A.01.

Tritt der Fehler nur mit einer bestimmten Datei auf, dann schicken sie diese in gezippter Form mit.


Systemanforderungen

Navigation: Technical Support >

Systemanforderungen

 Return to chapter overview

Betriebssysteme

MS Windows Win 2003/2008/2012/Citrix/Vista/Vist64/Win7/win7x64/Win8/Win8x64

Hardware

Minimum Hardware

Freier Festplattenspeicher | 100MB
Festplattenspeicher für die Installation | 40MB
Festplattenspeicher zur Ausführung des Programms | 60MB
Memory | 64MB
Prozessor | Pentium I
Maus | 2 Tasten-Maus
Grafikauflösung | 800 x 600
Anzahl der Farben | 256

Empfohlene Hardware

Freier Festplattenspeicher | 250MB
Festplattenspeicher für die Installation | 40MB
Festplattenspeicher zur Ausführung des Programms | 250MB
RAM | 256MB +
Prozessor | Pentium III +
Maus | 2 / 3 Tasten-Maus + mouse-wheel
Grafikauflösung | 1024 x 768 +
Anzahl der Farben | 256 +


Deinstallation

Navigation: Technical Support >

Deinstallation

 Return to chapter overview

Benutzen sie die entsprechende Funktion von Windows unter System -> Software -> Programm hinzufügen/entfernen


License Agreement

Navigation: License Agreement >

License Agreement

 Return to chapter overview

End-User License Agreement for:

CAD Viewer 2022

CAD Markup 2022

SymbolCAD 2022

CAD QS LT 2022

CAD QS 2022

CAD Batch Command 2022

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Guthrie CAD/GIS Software Pty Ltd ("GCAD"). If you do not agree to the terms of this EULA, do not install, copy, or use the SOFTWARE PRODUCT.

1. Software Product License

The SOFTWARE PRODUCT (CAD Viewer 2022 / CAD Markup 2022 / SymbolCAD 2022 / CAD QS 2022 / CAD QS LT 2022 / CAD Batch Command 2022) is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

2. Evaluation License

Whilst in evaluation mode, the software may be used solely for your own, internal, non-commercial evaluation purposes. All other terms and conditions of this license agreement shall otherwise apply to any evaluation license granted hereunder. The evaluation period is 30 days from the date of installation of the software.

3. Purchased License

The software product listed in your purchase invoice is licensed by Guthrie CAD/GIS Software Pty Ltd ("GCAD") to the original purchaser of the Software for their exclusive use pursuant to the following terms:

3.1 Single User License

The single user license permits the the software to be installed and used on only one machine per license at a time.

You may not:

provide use of the software through a network or to multiple users that are not individually licensed by GCAD for the use of the Software;

You may not:

grant sublicense, lease, or other rights in the Software to others.

3.2 Site License

The site license permits the software to be installed on individual computers, or to workstations on a computer network up to the maximum number of 'seats' that were purchased. The total number of individual machines and workstations on a computer network to which the software has been installed must not at any given time exceed the number of seats that were purchased.

You may not:

grant sublicense, lease, or other rights in the Software to others.

3.3 Concurrent User Network License

You may:

install the software on a company's or organisation's local network to any or all workstations on the network.

You may not:

allow concurrent usage of the software to exceed the maximum number of concurrent users as specified in your purchase invoice.

You may not:

grant sublicense, lease, or other rights in the Software to others.

3.4 Company License

The company license allows the software to be installed on any number of computers for exclusive use within the corporate entity within a single country.

4. Activation

Installation and use of the Software may require technical activation using an Internet connection. If the computer hardware, system environment or operating system user account information has been changed, or the Installation has been damaged, a new activation may be required. GCAD may limit the number of activations in a given time period. Before activation, GCAD may require proof of purchase of a valid license and proof of uninstallation of an existing Installation.

The availability of activation is guaranteed for three (3) years after purchase. During this time, activation is free of charge. After this time, activation may not be available or may require additional payment at the decision of GCAD.

5. Upgrades

Unless otherwise indicated, a purchased license includes the right to install free version updates for a period of 12 months from the date of purchase of the software. Before giving a free update, GUTHCAD may require proof of purchase of a valid license. GUTHCAD reserves the right to assign version numbers.

6. License Non-Transferability

The software license is non-transferable except in the three (3) cases listed below. License transfer is such cases is effected upon application to GCAD and upon receiving written notification of the grant of Transfer together with a new software activation code from GCAD.

a) Affiliate. An entity may transfer its right to use the Software to its Affiliate. An Affiliate is another entity where at least 50.1% of its voting power is owned or controlled by the transferring entity or where at least 50.1% of the transferring entity's voting power is owned or controlled by the transferee.

b) Merger or Acquisition. An entity may transfer its right to use the Software to the purchaser of all or substantially all of the capital stock of the transferor or all or substantially all of the assets of that portion of the transferor's business to which those licenses pertain.

c) Name Change. An entity that has changed or modified its official business name.

7. Reverse Engineering and Cracking

You agree that you will not attempt to reverse compile, modify, adapt, translate, copy, emulate, clone, or disassemble the Software in whole or in part. You also agree that you will not attempt to circumvent ("crack") any technical limitations on the period of use or available set of features of the Software, unless permitted by a valid license.

8. Limited Warranty

GCAD warrants for a period of (30) thirty days from the date of delivery that, under normal use and without unauthorized modification, the Software performs substantially in accordance with the specifications published in the documentation and those set forth in GCAD's authorized published materials; that under normal use, the physical media upon which the Software is recorded is not defective. If during the (30) thirty day period a demonstrable defect in the program or physical media should appear, you may return the Software to GCAD for repair or replacement, at GCAD's option. If GCAD cannot repair the defect or replace the software with functionally equivalent Software within (30) thirty days of GCAD's receipt of the defective Software, then you may be entitled to a full refund of the amount paid for the License Fee.

Payments made do not include any consideration for assumption of risk and GCAD excludes any warranty coverage for incidental or consequential damages except for the express warranties above, and limits your remedy to return of the Software to the place of purchase for repair or replacement.

9. No Other Warranties

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. THE LIMITED WARRANTY ABOVE IS EXCLUSIVE AND IN LIEU OF ALL OTHER REPRESENTATIONS AND WARRANTIES FOR THE SOFTWARE AND DOCUMENTATION. GCAD AND ITS SUPPLIERS MAKE NO OTHER REPRESENTATIONS OR WARRANTIES, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, AND EXPRESSLY DISCLAIM ALL OTHER REPRESENTATIONS AND WARRANTIES, INCLUDING BUT NOT LIMITED TO IMPLIED REPRESENTATIONS OR WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT FOR THE SOFTWARE AND DOCUMENTATION, TO THE FULLEST EXTENT PERMITTED BY APPLICABLE LAW.

10. Governing Law

This Agreement shall be governed by and construed in accordance with the laws of the State of South Australia.

Copyright © 1998-2022 Guthrie CAD/GIS Software Pty. Ltd. All rights reserved.

PO Box 261, Gumeracha SA 5233 Australia.

Email: Sales@guthcad.com Web: www.guthcad.com


License Transfer Policy

Navigation: License Agreement >

License Transfer Policy

 Return to chapter overview

Software Licenses Transfer Policy

All Guthrie CAD/GIS Software Pty Ltd software licenses are non-transferable except in the cases listed below.

Case 1: Affiliate

An entity may transfer its right to use the Software to its Affiliate. An Affiliate is another entity where at least 50.1% of its voting power is owned or controlled by the transferring entity or where at least 50.1% of the transferring entity's voting power is owned or controlled by the transferee.

Case 2: Merger or Acquisition

An entity may transfer its right to use Software to the purchaser of all or substantially all of the capital stock of the transferor or all or substantially all of the assets of that portion of the transferor's business to which those licenses pertain.

Case 3: Name Change

An entity that has changed or modified its official business name, may apply to transfer the license to the new name.

Procedure

In any intended License Transfer, the transferee should apply to request a new License Name / Keycode by sending an email, including the details of the reason for the transfer of license, to:

support@guthcad.com


Trademarks

Navigation: License Agreement >

Trademarks

 Return to chapter overview

The following are trademarks of Guthrie CAD/GIS Software Pty Ltd:

CAD Viewer 2022

CAD Markup 2022

SymbolCAD 2022

CAD QS 2022

CAD QS LT 2022

CAD Batch Command 2022

AutoCAD is a registered trademark of Autodesk, Inc.

MS Excel is a registered trademark of Microsoft Corp.

All other brand names, product names, or trademarks referenced in this user manual belong to their respective holders.

Guthrie CAD/GIS Software Pty Ltd reserves the right to alter product offerings and specifications at any time without notice, and is not responsible for typographical or graphical errors that may appear in this document.

Copyright © 2022 Guthrie CAD/GIS Software Pty. Ltd. All rights reserved.


Glossar

Navigation: Glossar >

Glossar

 Return to chapter overview

Bitmap Bild

siehe Raster Bild

BMP

Das Pixelbild-(Bitmap)Format von Microsoft Windows.

Dateierweiterung : BMP

CAD

Abkürzung für Computer Aided Design oder Computer Aided Drafting. CAD Zeichnungsdateien beinhalten in erster Linie Vektoren, z.B. geometrische Definitionen von Punkten, Linie, Bögen, Kurven, ebenen Flächen und andere zwei- oder dreidimensionale geometrische Objekte. Eine CAD-Zeichnung kann eine Landkarte, ein Architekturplan, eine technische Zeichnung, eine elektronische Leiterplatte usw. sein.

CAD Font

In diesem Handbuch ist der Begriff CAD Font gleichbedeutend mit dem AutoCAD® .SHX Font Dateiformat. Es ist ein einfaches Vectorformat um Textfonts, welche lediglich aus Linien- und Bogensegmenten zusammengesetzt sind, darzustellen.

Dateierweiterung : SHX

DWG

AutoCAD-eigenes binäres Dateiformat für Zeichnungen (Drawing)

Dateierweiterung : DWG

DXF

Das Drawing eXchange Format wurde von Autodesk eingeführt, und ist heute das Standardformat für den Austausch von 2D-Zeichnungen. DXF-Dateien sind Textfiles.

Dateierweiterung : DXF

HPGL

Hewlett Packard Graphics Language ist eine einfaches Vektor-Datei-Format entwickelt um (Stift)Plotter anzusteuern.

HP-GL/2

Erweiterung des HPGL-Formats; u.a. Werden mit HP-GL/2 zusätzlich auch Tintenstrahl- und Laserdrucker (bzw. Plotter) unterstützt.

JPEG

JPEG (gesprochen "jay-peg") ist ein normiertes Kompressionsverfahren für Pixelbild-Dateien. Das mit dem JPEG-Verfahren komprimierte Bild unterscheidet sich kaum vom Original (z.B. TIFF) benötigt aber nur noch ca. 1/20 des vorherigen Speicherplatzes.

Dateierweiterung : JPG

Modellbereich (Model Space)

Einer der zwei grundlegenden Arbeitsbereichen in welchem sich AutoCAD Elemente befinden. ( der andere ist der Papierbereich)Der Modellbereich ist der dreidimensionale Bereich indem sich die 2D- und 3D Zeichnungselemente befinden.

Papierbereich (Paper Space)

Im Papierbereich wird das fertige Layout welches zum Ausdrucken der Zeichnung dient erstellt.

Es enthält normalerweise auch den Zeichnungsrahmen mit Schriftkopf.

siehe auch Modelbereich

Rasterbild (Raster Image)

auch 'Bitmap' genannt ist ein Bild welches aus Pixeln (farbigen Punkten) besteht. Ein Foto wird im Computer als Rasterbild gespeichert. Rasterbildformate sind z.B. BMP, JPEG und TIFF.

TIFF

Tagged Image File Format Rasterbild.

Dateierweiterung : TIF

Schriftkopf (Title Block)

Der rechteckige Bereich im rechten unteren Bereich des Zeichnungsrahmens. Er enthält normalerweise Zeichnungsnamen, Ersteller, Erstelldatum, Zeichnungsnummer, Maßstab, Material und weitere Informationen die zur Zeichnung gehören. Der Schriftkopf befindet sich oft in seinem eigenen Objektbereich, dem sogenannten Papierbereich.

TrueType Font

Diese Schriftart wurde von Microsoft und Apple entwickelt. Es ist eine Konturschrift (gefüllt oder ungefüllt), die bei jeder Schriftgröße optimal dargestellt wird.

Vektorzeichnung

Besonders einfach ausgedrückt könnte man auch Linien-Zeichnung dazu sagen. Normalerweise eine CAD Zeichnung wie z B. ein Architekturplan, eine Einzelteilzeichnung usw. (DXF, DWG und HPGL sind Vektororientierte Zeichnungsformate)

XRef

'Xref' ist die Abkürzung für 'External Reference'. Eine XREF verweist zu einer anderen Zeichnungsdatei, welche erst beim Öffnen der Hauptzeichnung dazu geladen wird. Wird eine Zeichnung welche über den XREF-Befehl referenziert wurde geändert, so ändern sich automatisch alle Hauptzeichnungen entsprechend.

Dateierweiterung : DWG


mit Kreditkarte

Onlinekauf Purchase

Navigation: Kaufen >

Onlinekauf Purchase

 Return to chapter overview
vw6

CAD Viewer 2022

Einkauf CAD Viewer 2022

vwup6

CAD Markup 2022

Einkauf CAD Markup 2022

SymbolCAD 2022

Einkauf SymbolCAD 2022

CAD QS 2022

Einkauf CAD QS 2022

vwbt

CAD Batch Command 2022

Einkauf CAD Batch Command 2022

Guthrie CAD/GIS Software Pty Ltd

PO Box 261

Gumeracha SA 5233

Australia

Tel: +61 (0)8 8389 1915

Fax: +61 (0)3 9923 6200

Email: sales@guthcad.com

Web: www.guthcad.com

See Also:

Distributor Deutschland, Österreich und Schweiz


auf Rechnung

Vertrieb Deutschland, Österreich und Schweiz

Navigation: Kaufen >

Vertrieb Deutschland, Österreich und Schweiz

 Return to chapter overview

CAD Viewer

CAD Viewer 2022

Einkauf CAD Viewer 2022

CAD Markup

CAD Markup 2022

Einkauf CAD Markup 2022

SymbolCAD

SymbolCAD 2022

Einkauf SymbolCAD 2022

CAD QS

CAD QS 2022

Einkauf CAD QS 2022

CAD Batch Command

CAD Batch Command 2022

Einkauf CAD Batch Command 2022

swaplogo30

SWAP Computer GmbH

Hindenburgstr. 10

D-77654 Offenburg

Germany

Phone: +49 (781) 20550680

Fax : +49 (781) 20550681

Web: www.swap.de

E-mail: info@swap.de


Über Schaltflächen (Buttons)

Befehle über Schaltflächen (Buttons)

Navigation: »No topics above this level«

Befehle über Schaltflächen (Buttons)

 Return to chapter overview

Die meistgenutzten Befehle können über Schaltflächen am linken Bildschirmrand aufgerufen werden.

Einige Schaltflächen sind als 'flyout buttons' gestaltet. Wenn Sie den Mauszeiger etwa eine halbe Sekunde über dem Hauptbutton gedrückt halten wird der Flyout Button aktiviert.

Wenn Sie den Cursor über einer Schaltfläche positionieren, bekommen Sie die Kurzbeschreibung des Befehls in der Statusleiste unten links am Bildschirmrand angezeigt.

Haupt Buttons | Flyout Buttons
Openu Datei Öffnen | Openu Datei Öffnen Recover File Repariaren / Wiederherstellen clipbdp Holt das Bild aus der Zwischenablage ins Zeichnen Schaufenster
Saveu Datei Speichern | Saveu Datei Speichern svpdf Speichert die Zeichnung als PDF pdfemail Email PDF svcopy Speichert unter einem neuen Namen marksav Speichert die Markup- & QS Edits Clipbdu In die Zwischenablage kopieren clipbdp Holt das Bild aus der Zwischenablage ins Zeichnen Schaufenster SaveasPasteimage1to1 Paste Image 1:1 SaveasPasteAsNew Paste New Image
Arrr Vorwärts blättern |
Arrl Zurück blättern |
Print Drucken | Print Drucken pdfemail Email PDF
Zoomall Alles anzeigen | ZOOMLIM An Limits anpassen 11scale Auf Zeichnungsgrösse (1:1) invert Invertieren Redraw Neuzeichnen / Regenerieren
Zoombox Zoom Fenster |
Zoomin Vergrössern |
Zoomout Verkleinern |
Revert letzte Ansicht |
Pan Pan |
rot90 Drehen 90° (im Gegen-Uhrzeigersinn) | rot180 Drehen 180° rot270 Drehen 90° (im Uhrzeigersinn)
3dtrans Ansichten | namedvw Wählen Sie eine gespeicherte Ansicht aus Rotview Spezielle Ansicht Arrkey Pfeiltasten

sketch Erstellen Einer Freihandlinie

'Markup' version

line Erstellen Einer Linie

arrow Erstellen eines Hinweispfeils

FreehandDrawNewCircle Draw Circle

box Erstellen eines Rechtecks

mrkwipe Verdeckt einen rechteckigen Bereich mit aktuell eingestellten Markupfarbe

rectback Verdeckt einen rechteckigen Bereich mit det Hintergrundfarbe

Insert Image

measmove Verschieben

ScaleaMarkup Scale Markup Entries

delete Löschen von erstellten Markup-Elementen

paint Farbe ändern

markset Markup- Einstellungen und -Vorgaben

text Hinzufügen von Texten

'Markup' version

text Hinzufügen von Texten

editm Ändern von hinzugefügten Texten

HYPER2smal Add Markup Hyperlink

textmov Verschieben von Markup- Text

delete Löschen von erstellten Markup-Elementen

markset Markup- Einstellungen und -Vorgaben

dimension Ausgerichtete Bemaßung

'Markup' version

dimension Ausgerichtete Bemaßung

dimehorz Ausgerichtete Bemaßung

vert2pt Ausgerichtete Bemaßung

measdit Abstand und Strecken Messen
rectarea Rechteckfläche ermitteln

polyarea Polygonflche_vermessen

stylemeas Vermessung Styles

measpref Konfiguration Einstellungen des Vermessungst

Stampbutton Stamps

'Markup' version only

Stampbutton1 Stempel Setzen

StampListButton Stempel List

Stampbuttonsettings Stempel Einstellungen

SymbolButton Symbols

'Markup' version only

SymbolButton Add Symbol(s)

Insert Image

SymbolRotate1button Rotate 90 degrees anti-clockwise

SymbolRotate2button Rotate 180 degrees

SymbolRotate3button Rotate 90 degrees clockwise

SymbolRotate4button Rotate at a fixed angle

SymbolSettings Symbol Library Manager

addqual QS 'QS' version | addqual QS Symbol hinzufügen, Automatische Nummerierung attqasym Merkmale an das QS Symbol hinzufügen oder ändern paint Farbe / Größe ändern Renumber Neu_nummerieren qamove1 Mehrere Stempel verschieben measmove Einzelner Stempel verschieben expqatt Ausgabe der Merkmale in ein ASCII-File (CSV) markset QS Einstellungen
Prefu Einstellungen | EXPLODU Explode / Ursprung Blöcke LAYERSU Layersteuerung SCALEU Skalieren
Inqent Koordinatenabfrage | Inqpnt Abfrage Punkte Inqatt Abfrage Attribute Ptp Abfrage Abstand Punkt zu Punkt find Text suchen symedit Text ändern symmove Text verschieben symcopy Text kopieren symdel Text löschen symprp Match Properties
Help Hilfe |
About info |
Exit Beenden |

modecont Gehe zur

Die Modus Befehle sind in einer Gruppe von Schaltflächen in der Statuszeile rechts unten im Zeichnen Schaufenster platziert.

Ttype Ein/Aus TrueType Schriftarten

Point Ein/Aus Punkte anzeigen

Render Ein/Aus Render Modus

Pspace Umschalter Modell / Papierbereich (3D / 2D )

marklay Toggle Markup Layer

Umschalter schwarzweiß - farbig

siehe auch

zusätzliche Befehle über Shortcut Keys (Abkürzungstasten)

Befehle über Pull-down-Menüs


Über das Pull-Down-Menü

Navigation: »No topics above this level«

Über das Pull-Down-Menü

 Return to chapter overview

Fast jeder Befehl kann im software auf zwei Arten aufgerufen werden:

·über eine Schaltfläche oder Abkürzungstasten auch Shortcut Keys genannt ( z.B. Ctrl+B für Zoom Fenster)

·über ein Pull-Down-Menü

Falls Sie nicht (mehr) wissen, welcher Befehl sich hinter einer bestimmten Schaltfläche oder einem Menüpunkt verbirgt, können Sie die Kurzbeschreibung des Befehls in der Statusleiste unten links am Bildschirmrand zu Hilfe nehmen.

Diese Kurzbeschreibung erscheint immer wenn der Cursor über einer bestimmten Schaltfläche oder einem Menüpunkt platziert ist.

Während Sie mit dem software arbeiten sollten Sie die Statuslinie immer im Auge behalten.

Klicken Sie auf einen Menüpunkt um das entsprechende Menü 'aufzuklappen'.

Datei

Bearbeiten

Ansicht

Bild

Einstellungen / Abfrage / Hilfe

Markup

Stempel

Vermessung

Symbolbibliothek

QS

siehe auch

Befehle über Schaltflächen (Buttons)


Flyouts

Flyout Buttons

Some buttons on the main toolbar have 'flyout' buttons attached.

Flyout buttons are accessed by clicking on the primary button and holding it down for about half a second.

The flyout buttons will stay out without the mouse button being held down. They will disappear when one of the buttons is clicked on or if another command is selected.


Xrefs0

Xref

'Xref' is short for 'External Reference'. It refers to a drawing file that has been inserted into the main drawing. Typically it may be a title block or some other commonly used major drawing component.

(An Xref always has a .DWG file extension.)